Welcome

This page links you to user documentation and other pertinent product information for the Keysight N7601B Signal Studio for cdma2000/1xEV-DO.

Read the Technical Overview

Get a Free Trial

Configure and Purchase

Install the Software

Install the License

Use the Software

Read the Release Notes

Help compiled on Wednesday, September 30, 2015 - get the latest revision

© Keysight Technologies, Inc. 2006-2015


Technical Overview

Real Time

N7601B Signal Studio for cdma2000/1xEV-DO
Technical Overview

Read the technical overview to learn more about:

  • key features and benefits

  • performance characteristics

  • supported standards

  • basic and advanced capabilities

  • hardware configurations

  • connectivity options

  • licensing information

  • additional web and literature references

  • contacting Keysight Technologies


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.

From the Signal Studio DVD

The Signal Studio DVD automates much of the installation process. To install the software from the DVD, do the following:

  1. Perform step 1 above.

  2. Insert the DVD and follow the prompts.

  3. Perform steps 6 and 7 above.


System Requirements

Real Time

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7601B Signal Studio for cdma2000/1xEV-DO software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Instrument Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-1ER (flexible reference input, 1-50 MHz)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5172B-UNZ (fast switching for manufacturing environments)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-1ER (flexible reference input, 1-50 MHz)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182B-UNZ (fast switching for manufacturing environments)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

N5182A MXG Vector Signal Generator - requires firmware version A.01.10 or later (how to upgrade)

N5182A-503

250 kHz to 3 GHz frequency range

Or the other frequency option:

N5182A-506

250 kHz to 6 GHz frequency range

N5182A-651

Internal Baseband Generator (30 MSa/s and 8 MSa)

Or one of the Closed other internal baseband generator options :

Simple guidelines for deciding which internal baseband generator you will need is using the following equation:

Sample Size = ARB Sample Clock Rate (located in the signal generator node) ARB Sample Clock X Oversampling Ratio X Number of Carriers

As example,

  • If you have an ARB Sample Clock rate of 1.2288 MHz and you are testing with 4 carriers and an oversampling ratio of 4,

    Sample Size

    = 1.2288 MHz X 4 X 4

    = 19.6608 MSa/s

    Since 19.6608 MSa/s is less than the 30 MSa/s capability of option 651, this internal baseband generator should be adequate for this testing.

  • If you have an ARB Sample Clock rate of 1.2288 MHz and you are testing with 10 carriers and an oversampling ratio of 4,

    Sample Size

    = 1.2288 MHz X 4 X 10

    = 49.152 MSa/s

    Since 49.152 MSa/s is greater than the 30 MSa/s capability of option 651, this internal baseband generator will not be adequate for this testing. However, option 652 has 60 MSa/s capability. So the option 652 internal baseband generator should be adequate for this testing.

N5182A-652

Internal Baseband Generator (60 MSa/s and 8 MSa)

N5182A-654

Internal Baseband Generator (125 MSa/s and 8 MSa)

N5182A-UNV

Enhanced Dynamic Range

N5182A-019

Increased baseband generator memory to 64 MSa is also available, in addition to one of the Internal Baseband Generator options listed above. (Used to save several types of waveform files)

N5182A-1EL

Differential I/Q Outputs (Depends on the test requirements)

N5182A-403

Calibrated AWGN Personality (used only for receiver test)

E4438C Vector Signal Generator - requires firmware version C.04.84 or later (how to upgrade)
 | E4438C-503 | 250 kHz to 3 GHz frequency range
 |  | Or the other frequency option:
 |  | E4438C-506 | 250 kHz to 6 GHz frequency range
 | E4438C-6021 | Internal Baseband Generator (64 MSa memory)
 | E4438C-005 | 6 GB internal hard drive
 | E4438C-UNJ | Enhanced phase noise (required with E4438C-506)
 | E4438C-403 | Calibrated AWGN Personality (used only for receiver test)
E8267D Vector Signal Generator - requires firmware version C.04.85 or later (how to upgrade)
 | E8267D-520 | 250 kHz to 20 GHz frequency range
 | E8267D-6021 | Internal Baseband Generator (64 MSa memory)
 | E8267D-005 | 6 GB internal hard drive
 | E8267D-UNX | Ultra phase noise
 | E8267D-005 | 6 GB internal hard drive
 | E8267D-1EH | Improved harmonics below 2 GHz
 | E8267D-403 | Calibrated AWGN Personality (used only for receiver test)
N5106A PXB Baseband Generator and Channel Emulator
N5106A-612 | 2 DSP blocks on 1 baseband card
N5106A-632 | 2 I/O channels - 2 analog I/Q out and 2 digital I/O
N5106A-EFP | Baseband Generation
N5106A-JFP | Calibrated AWGN

1. Recommended option: the baseband generator option can be any of the following: E4438C-001, -002, -601, -602 or E8267D-602

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

Adobe Flash Player 7 or later (required for using the Signal Studio Configuration Assistant)

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

Real Time

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 8.1

With Windows 8.1 you do not have to install .NET Framework, rather you enable it in the Control Panel and it is downloaded and installed automatically. You must perform this procedure as the administrator and be connected to the internet.

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5. Make sure the checkbox is marked.

  3. Press OK. This will begin the installation process of .NET Framework 3.5.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

Real Time

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

Real Time

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

Real Time

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

Real Time

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

Real Time

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to an EXT, use the EXT's address (LAN/GPIB) or hostname (LAN only) [Some Signal Studio products do not support live connectivity to the EXT]:

      • hostname: press System > Show > System and view the Computer Name row

      • IP address: press System > Show > System and view the IP Address row

      • GPIB address: press System > I/O Config > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Signal Studio Configuration Assistant to explore the available license configurations for this Signal Studio product.

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Signal Studio Configuration Assistant

The Signal Studio Configuration Assistant is a utility that helps you create a list of capability options that best fit your needs. Use this list when you are ready to contact Keysight to purchase a license. Using this utility does not place an order, so you can use it repeatedly to explore different capability options.

If you are unable to view the configuration assistant, try downloading the latest version of the Adobe Flash Player. Visit www.adobe.com for more information.

Access the configuration assistant now at www.keysight.com/find/ssconfig.


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • SystemVue ESL Design Software

  • M9381A PXIe Vector Signal Generator

  • E6640A EXM Wireless Test Set

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator

  • E6607 EXT Wireless Communications Test Set


Installing the License in an MXG Signal Generator

Real Time

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the MXG/EXG signal generator, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file N5182A-US70000628.lic is placed in a folder named N5182A.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > I/O Config > LAN Setup on the signal generator front panel. The hostname and IP address are displayed, as shown below.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License for SystemVue ESL Design Software

Before installing the license file, save a backup copy in a safe place.

Fixed Licenses

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the host PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

Floating Licenses

  1. Save the license file to a convenient location on the server PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the server PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

  4. Move to the client PC(s) and install the licenses on each client, following the same steps. On the client PCs, the Host ID shown in Keysight License Manager will be different than the one matching the server PC.

  5. Client PCs must have a network link to the server PC before the licenses will work, as the licenses are validated by the server.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (ALM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to the PC with ALM. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of controlling PC.

  4. Start the Keysight License Manager software.

  5. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  6. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  7. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  8. Click File > Install License(s)... to open the Install License File(s) dialog box.

  9. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  10. Select the desired license file and click Open.

  11. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.


Installing the License in an E6640A EXM Wireless Test Set

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (ALM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to the PC with ALM. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of controlling PC.

  4. Start the Keysight License Manager software.

  5. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  6. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  7. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  8. Click File > Install License(s)... to open the Install License File(s) dialog box.

  9. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  10. Select the desired license file and click Open.

  11. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the ESG signal generator, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file E4438C-US70000174.lic is placed in a folder named E4438C.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > GPIB/RS-232 LAN > LAN Setup on the signal generator front panel. The hostname and IP address are displayed, as shown below.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PSG signal generator, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file E8267D-US70000654.lic is placed in a folder named E8267D.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > GPIB/RS-232 LAN > LAN Setup on the signal generator front panel. The hostname and IP address are displayed, as shown below.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

    Refer to the Keysight License Manager online help for more information about using the software.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Real Time

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of the Keysight License Manager installed.

  1. Verify that the same version of the Keysight License Manager resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter the IP address (obtained in Step 4) of the PXB.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for the license to appear in the Installed Licenses list. This indicates that the license has been successfully installed in the PXB. A popup message from KLM also appears on the PXB front panel, displaying the license model number and version with the following message: "Successful License Installation."

    Refer to the Keysight License Manager online help for more information about using the software.


Installing the License in an EXT

Real Time

Installing the License in an EXT Wireless Communications Test Set

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the EXT, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the EXT to install the license remotely, see Using Keysight License Manager on a PC Connected to the EXT.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the EXT using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the EXT.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (ALM) appears on the EXT front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the EXT

If a USB storage device is not available, you can install the license using the Keysight License Manager (ALM) on a PC that is connected to the EXT through a LAN connection. This method requires that the EXT and PC have the same version of the Keysight License Manager installed.

  1. Verify that the same version of the Keysight License Manager resides on both the EXT and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of ALM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the EXT.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your EXT. In the EXT user interface, press System > Show > System and see the IP Address row.

  5. On your PC, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  6. In the Keysight License Manager main window, click File > Connect... to open the Connect to host system(s) dialog box.

  7. In the Connect to host system: field, enter the IP address (obtained in Step 4) of the EXT.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

    If you are unable to connect to the EXT or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the EXT. Click Start > Control Panel > Windows Firewall > Off.

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for the license to appear in the Installed Licenses list. This indicates that the license has been successfully installed in the EXT. A popup message from ALM also appears on the EXT front panel, displaying the license model number and version with the following message: "Successful License Installation."

    Refer to the Keysight License Manager online help for more information about using the software.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (ALM) software. If you do not have the Keysight License Manager installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. Open the ALM software.

  3. Click File > Connect.... to open the Connect to Device dialog box.

  4. In the Device Address field, enter either the hostname or the IP address of the source instrument.

  5. Click OK. The instrument hostname/address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the Closed drop-down figure.)

  6. Repeat steps 3 through 5 for the target instrument.

  7. In the tree view, expand the Installed Licenses node of the source instrument. All the licenses used by that instrument are displayed.

  8. From this list of licenses, find all the capability and connectivity licenses associated with the software model you want to move.

  9. Drag and drop each of these licenses to the hostname/address node of the target instrument.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the ALM software.

  3. In the tree view, delete the transportable license from the source instrument (either right-click the license and then select Delete, or select the license and then press the Delete key).

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the ALM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into ALM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators and the EXT wireless communications test set. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

    EXT: System > More > Licensing

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Real Time

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • E6607 EXT

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • E6640A EXM Wireless Test Set (50-pack options 250, 251, and 252 are standard with this product)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
E6607 EXT | All firmware versions | N/A
M9381A PXIe VSG | All firmware versions | N/A
E6640A | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Using the Software

Arb | describes how to use the software to create, download, and playback waveforms.
Real Time | describes how to use the software to configure real-time test signals.
Troubleshooting | describes how to resolve common software and instrument problems.


Using the Software – Arb

The Arb (also know as waveform playback) capability of the software creates a waveform file for use in an instrument. After being downloaded, the instrument plays back the waveform file to produce the signal.

Concepts | provides conceptual information on a variety of subjects related to the N7601B software.
Tutorials | gives step-by-step instructions for some tasks associated with the software.
User Interface | describes each window of the user interface in detail, providing background information, default values, ranges of acceptable inputs, and lists of available selections.
API Control | provides basic information regarding the API Help and gives some programming examples.


Concepts

Click the following links for conceptual information about these subjects:

About IS-95A

About cdma2000

About 1xEV-DO Rev 0

About 1xEV-DO Rev A

Understanding Test Mode signal Forward Channels

Understanding CCDF Curves

Understanding Waveform Clipping


About IS-95A

Introduction

CDMA (Code Division Multiple Access) is a digital radio scheme designed to send voice, data and signaling data between mobile telephones and cellular base stations. IS-95A is a 2G mobile telecommunications standard that uses CDMA. It was developed to meet Revision A of the Telecommunications Industry Association / Electronic Industries Association Interim Standard - 95 (TIA/EIA IS-95). IS-95 is also known as cdmaOne.

An IS-95A system transmits streams of pseudo-random (PN) sequences of bits which allows several radios to share the same frequency band. IS-95 systems operate at a PN chip rate of 1.2288 Mcps. More mobile stations (MS) can be served by fewer of base stations (BS) because network capacity does not directly limit the number of active MS telephones.

Forward Link

The forward link for IS-95A has the four channel types:

  • Pilot channel:

    The pilot channel provides a reference signal that helps the mobile station detect, synchronize, and demodulate the received signal. The pilot carries no information. The pilot channel is kept at a constant power approximately 4 to 6 dB greater than the carrier's traffic channels. The MS uses this constant signal to compare against the pilot channels of other BS so that an appropriate hand-off of the MS between the BS can be made. The pilot channel is always assigned a Walsh code of 0 (zero). The pilot channel operates at 4800 or 9600 bps.

  • Sync channel:

    The sync channel may be used along with the pilot channel by the MS to establish initial time synchronization with the BS. Only a synchronization message is transmitted on the sync channel. The synchronization message contains Closed BS and time information. This information is used by MS to synchronize to the BS network. The sync channel is always assigned a Walsh code of 32. The sync channel always operates at a data rate of 1200 bps but it is convolutionally encoded to 2400 bps and repeated to 4800 bps before being interleaved over the period of the pilot's PN sequence.

    • System Identification Number

    • Network Identification Number

    • Pilot PN Sequence Index

    • Long Code State

    • Paging Channel Data Rate

    • System Time

    • Leap Seconds

    • Local Time Offset

    • Daylight Savings Time Indicator

  • Paging channel:

    The paging channel is used to transmit:

    • system control messages to all MS on the BS network, and

    • dedicated call-setup information to individual MS on the BS network. The carrier contains at least one paging channel but it may contain as many as seven paging channels (assigned the code channel number of 1 through 7).

  • Traffic channel:

    Forward traffic channels can use the remaining code channels. A traffic channel is used to carry user information (such as speech or data) to individual mobile phones during a call. It also carries signaling messages (such as requests to change frequency) to individual mobile phones during a call. Like the paging channel, traffic channels have a frame time of 20ms. Since voice and user data are intermittent, the traffic channels support variable-rate operation. Every 20 ms frame may be transmitted at a different rate (1200, 2400, 4800, or 9600 bps), as determined by the service in use (voice or data).

    Traffic channels may also carry circuit-switch data calls in IS-95. The variable-rate traffic frames are generated using the IS-95 Radio Link Protocol (RLP). RLP provides a mechanism to improve the performance of the wireless link for data. Where voice calls might tolerate the dropping of occasional 20 ms frames, a data call would have unacceptable performance without RLP.

Reverse Link

In the reverse link direction, no pilot is used because a pilot channel would be required for each signal. The total number of MS that the BS can support is usually limited by the maximum number of MS that can be supported in the reverse link direction. The reverse link channels are divided into two channel types:

  • Traffic channels:

    The reverse traffic channel is used by the MS to carry user information (such as speech or data) to the BS during a call. The traffic channel can use a data rate of 9600 bps, 4800 bps, 2400 bps, or 1200 bps. The traffic channel has a transmitting duty cycle that is proportionate with the data rate used as shown in the following table:

    Data Rate

    Duty Cycle

    9600 bps

    100%

    4800 bps

    50%

    2400 bps

    25%

    1200 bps

    12.5%

  • Access channels:

    The reverse access channel is used by the MS to communicate information such as call origination and paging response to the BS. The access channel has a fixed access rate of 4800 bps. Each access channel is identified by a unique access-channel long code sequence with an access number, an associated paging channel number, and additional system data. The BS can identify an individual MS because each MS has a different PN code. All transmitted reverse link data is grouped into 20-ms frames.


About cdma2000

Real Time

About cdma2000Excerpts from Keysight Technologies Application Note 1358: Designing and Testing cdma2000 Mobile Stations 1

Introduction

Basic Concepts of cdma2000

Spreading Rate

Radio Configuration

Forward Link Air Interface

Reverse Link Air Interface — HPSK

Forward Link Power Control

Introduction

One of the technologies meeting the IMT-2000 requirements for a third generation (3G) global wireless communications system is cdma2000, also known as IS-2000. The Third-Generation Partnership Project 2 (3GPP2) wrote the specification for this wideband code division multiple access (CDMA) system as a derivative of the IS-95-B CDMA system, also known as cdmaOne. The 3GPP2 organizational partners are the Japanese Association of Radio Industries and Businesses (ARIB), Telecommunication Technology Committee (TTC), Telecommunications Industries Association (TIA), and Korean Telecommunications Technology Association (TTA).

Basic Concepts of cdma2000

The main advantages that cdma2000 offers over other IMT-2000 proposals are backward compatibility with cdmaOne systems and a smooth migration from second-generation (2G) cdmaOne systems to 3G. Figure 1 shows the potential evolution path from cdmaOne to cdma2000 systems.

Figure 1. Evolution from cdmaOne to cdma2000

Spreading Rate

Spreading rate (SR) defines the final spread chip rate in terms of 1.2288 Mcps. The two spreading rates are SR1 and SR3.

SR1: An SR1 signal has a chip rate of 1.2288 Mcps and occupies the same bandwidth as cdmaOne signals. The SR1 system doubles the system capacity, therefore, it can be considered an improved cdmaOne system. The main differences from cdmaOne are:

  • Fast power control and quadrature phase shift keying (QPSK) modulation rather than dual binary phase shift keying (BPSK) in the forward link

  • Pilot signal, to allow coherent demodulation, and hybrid phase shift keying (HPSK) spreading in the reverse link

SR3: An SR3 cdma2000 signal has a rate of 3.6864 Mcps (3 x 1.2288 Mcps) and occupies three times the bandwidth of cdmaOne. Originally, the SR3 system appeared to be viable. Upon further investigation the SR3 cdma2000 system was determined to not be viable and is no longer receiving any commercial attention at this time.

Radio Configuration

Radio configuration (RC) defines the physical channel configuration based upon a specific channel data rate. Each RC specifies a set of data rates based on either 9.6 or 14.4 kbps. These are the two existing data rates supported for cdmaOne. Each RC also specifies the spreading rate (either SR1 or SR3) and the physical coding. Currently there are nine radio configurations defined in the cdma2000 system for the forward link and six for the reverse link. Examples are:

  • RC1 is the backwards compatible mode of cdmaOne for 9600-bps voice traffic. It includes 9.6, 4.8, 2.4, and 1.2 kbps data rates and operates at SR1. It does not use any of the new cdma2000 coding improvements.

  • RC3 is a cdma2000-specific configuration based on 9.6 kbps that also supports 4.8, 2.7, and 1.5 kbps for voice, while supporting data at 19.2, 38.4, 76.8, and 153.6 kbps and operates at SR1.

Each base transceiver station (BTS) or MS must be capable of transmitting using different RCs at the same SR. Refer to [2] for detailed information on the different RCs.

Forward Link Air Interface

The forward link air interface for a cdma2000 SR1 channel is very similar to that of cdmaOne. In order to preserve compatibility, cdma2000 uses the same structure as cdmaOne for the forward pilot (F-Pilot), forward sync (F-Sync), and forward paging (F-Paging) channels.

In cdma2000, each user is assigned a forward traffic (F-Traffic) channel, which consists of:

  • zero to one forward fundamental channel (F-FCH)

  • zero to seven forward supplemental code channels (F-SCCHs) for RC1 and RC2

  • zero to two forward supplemental channels (F-SCHs) for RC3 to RC9

  • zero to one forward dedicated control channels (F-DCCHs)

The F-FCHs are used for voice and the F-FCCHs and F-SCHs are used for data. The BTS may also send zero or one F-DCCHs. An F-DCCH is associated with traffic channels (either FCH, SCH, or SCCH) and may carry signaling data and power control data.

One of the main differences between cdmaOne and cdma2000 is that the latter uses true quadrature phase shift keying (QPSK) modulation (as opposed to dual-BPSK) for all traffic channels from RC3 to RC9. As an example, Figure 2 shows the forward link structure for an RC4 F-FCH. The coding is identical to cdmaOne up through the long code scrambling of the voice data. The F-FCH is optionally punctured with the reverse link power control data bits. The data is then converted from a serial bit stream into a two-bit wide parallel data stream to produce true QPSK modulation. This reduces the data rate of each stream by a factor of two. Each branch is spread with a 128 Walsh code to generate a spreading rate of 1.2288 Mcps. In this case, the processing gain is doubled for each channel relative to cdmaOne. Each channel is transmitted at one-half the power used before, but there are now two of them for no apparent gain. The actual processing gain for each channel depends on its data rate and RC.

The outputs of the I and Q Walsh spreaders are then complex multiplied against the same I and Q channel short codes used in cdmaOne. Complex scrambling is used in the forward link instead of regular scrambling because it is a more robust scheme against interference.

Figure 2. Coding and air interface for a cdma2000 RC4 F-FCH

Reverse Link Air Interface — HPSK

The cdma2000 reverse link is very different from cdmaOne. The MS can transmit more than one code channel to accommodate the high data rates. The minimum configuration consists of a reverse pilot (R-Pilot) channel to allow the BTS to perform synchronous detection and a reverse fundamental channel (R-FCH) for voice. Additional channels, such as the reverse supplemental channels (R-SCHs) and the reverse dedicated control channel (R-DCCH) can be used to send data or signaling information, respectively.

The different channels are assigned to either the I or Q path. For example, for RC3 to RC6, the R-Pilot is assigned to I and R-FCH is assigned to Q (see Figure 3).

Figure 3. An example of channel summing and HPSK spreading in cdma2000 reverse link (SR1)

Channels can be at different rates and different power levels. Complex scrambling facilitates this by continuously phase rotating the constellation and thus distributing the power evenly between the axes.

Without scrambling, unequal channel powers would result in a rectangular four-quadrature amplitude modulation (QAM) constellation (assuming that only R-Pilot and R-FCH are active). With complex scrambling, the constellation for two channels generally has eight points distributed around a circle, with the angular distribution determined by the relative powers of the two channels. For example, an amplitude difference of 6 dB between the two channels results in the constellation shown in Figure 4, which is close to an 8-PSK (8-phase shift keying) constellation (an amplitude difference of 7.65 dB would result in a perfect 8-PSK constellation). If the amplitudes for the two channels are equal, then pairs of constellation points merge to give a QPSK-like constellation.

Figure 4. I/Q Measured Polar Vector Plot

(A reverse link cdma2000 SR1 signal with an R-Pilot and an R-FCH. The amplitude of the R-FCH is 6 dB lower than that of the R-Pilot.)

Basic complex scrambling applies a phase rotation of 0, ±π/2, or π radians to each chip. HPSK takes this idea a stage further and defines the complex scrambling so that for every second chip, the phase rotation is restricted to ±π/2. This constraint on the phase transitions entering the baseband pulse shaping filter reduces the peak-to-average ratio of the signal (about 1 to 1.5 dB) compared to regular complex scrambling (or regular QPSK). The HPSK technique continues to be advantageous even when the signal has more than two channels.

Forward Link Power Control

A key improvement in cdma2000 is forward link power control. The MS sends power control data back to the BTS by time multiplexing it with the R-Pilot channel. Like the existing reverse link closed loop power control of cdmaOne, the cdma2000 forward link closed loop power control sends 800 power control bits each second. These bits indicate whether the BTS should raise or lower its power in 1 dB, 0.5 dB, or 0.25 dB. The finer steps allow tighter power control for low mobility or stationary phones. Tighter control (less power ripple) lowers the average power and thus raises the capacity of the system.


About 1xEV-DO

Real Time

About 1xEV-DO Rev 0

1xEV-DO is designed to optimize data transmissions, delivering peak data speeds of 2.4 Mbps and supporting applications such as MP3 transfers and video conferencing. As 1xEV-DO has evolved from the cdma2000 voice system and has structural similarity to cdma2000, this discussion will also describe the differences between 1xEV-DO and cdma2000.

RF Characteristics

1xEV-DO uses what is known as high rate packet data, using the same final spread rate of 1.2288 Mcps as cdma2000 spreading rate 1 (SR1). It also uses the same digital filter to reduce the final modulation bandwidth, with the result that 1xEV-DO is spectrally compatible with cdma2000 SR1. Both 1xEV-DO and cdma2000 SR1 can utilize the same amplifiers, combiners, and antennas to reduce the installation cost of 1xEV-DO.

Although 1xEV-DO is compatible with much of the existing cdma2000 infrastructure, the two systems may not simultaneously occupy the same channel. Each 1xEV-DO channel requires a paired 1.25 MHz clear channel, therefore it cannot be overlaid with cdma2000 channels.

New Terminology for the 1xEV-DO System

1xEV-DO introduces some terminology that differs from cdma2000.

  • Access Terminal (AT) - A mobile device equipped with a radio modem and a data interface, allowing the user to access a packet data network through the 1xEV-DO access network.

  • Access Network (AN) - This network equipment performs the same role as a base station, providing data connectivity between a packet-switched data network such as the internet and the ATs.

Forward Link Coding

1xEV-DO relies on the global positioning system (GPS) for intercell synchronization, in the same manner as cdma2000. The 1xEV-DO system is well suited for data transmission in the forward link, as it is optimized for high speed packet data communications from ANs to ATs. When compared to the recent IS-95B design in cdma2000, 1xEV-DO shows about six times improvement in the overall network data rate. Average delivery rates of 600 kHz per sector on a continuous basis have been demonstrated.

The largest contribution to overall increased data throughput is the ability of 1xEV to negotiate for increased data rates for individual users or mobiles, as only one user is served at a time. This and other contributing factors are described in detail in the Design Elements section below.

Frame Structure

The frame structure is different from that used for cdma2000 and IS-95 systems, as they are based on 20 ms frames set by the codec for speech. The frame period for 1xEV-DO is 26.667 ms, which is also the period of one pilot channel. Each frame is divided into 16 slots of 1.667 ms, as shown below.

The frame structure is the same for both the forward and reverse link; however, the channel structure within the timeslots is dependent upon the link direction.

Design Elements

When compared to a voice communication system of cdma2000, the following design elements of the forward link contribute to raise the data rate:

  • Full power - The cell is always at full power, resulting in no overhead for statistical variations of multiple users.

  • Best serving cell - When in soft handoff, the mobile selects the best serving cell and can only request and receive data from that cell.

  • Efficient data delivery - The base station can send data to a mobile at times when its rate request is higher than the running average of the base station, and will avoid sending data when the requested rate is lower than the running average.

The forward link is always transmitted at its full power, using a rate control scheme instead of the power control scheme that is used in cdma2000. The data is time division multiplexed (TDM) to the various users or mobiles, with only one being served at any time. Each mobile measures signal-to-noise ratio (S/N) on the forward link pilot every slot, 1.667 ms, and sends a data rate request to the base station every 1.667 ms. The base station decides which mobile should be served next. The maximum data transfer from the network will be achieved if only the most favorable links get served.

Forward Channel TDM Structure

The following four channel types are used in the forward link and each are time division multiplexed (TDM):

  • Traffic Channel - This channel contains user-requested data from the AN. QPSK modulation is used for data rates up to 1.2288 Mbps. Higher order modulation, either 8PSK with 3 bits per symbol or 16QAM with 4 bits per symbol, is used for higher data rates up to 2.4 Mbps. The I and Q channels are mapped into 16 parallel Walsh covers, Walsh code length 16. The I and Q outputs with the Walsh covers signals are summed.

  • Preamble - At the beginning of the transmission to one user, there is a preamble that is embedded in the data. This preamble contains the user ID for the data, and its repeat rate is determined by the data rate; lower data rates require higher repeat values. At its largest, the preamble will fill more than half of the first slot.

  • Medium Access Control (MAC) - This layer consists of the reverse power control (RPC) and the reverse activity (RA) channels. The power control bits are sent in parallel to all mobiles with an open connection. Each one is assigned a different 64-bit Walsh code which gets transmitted on either the I or Q channel. The codes 0 through 3 are reserved. Walsh code 4 is the RA cover. Walsh codes 5 through 63 are allocated to RPC. One Walsh code is allocated for power control to each active reverse link signal. Power control bits for all of the reverse link signals are sent in parallel as part of the MAC channel. These are made of 4 repetitions of an assigned Walsh code length 64. The RA channel is used to indicate that the sector is busy decoding multiple reverse link signals.

  • Pilot - The pilot signal is gated on for only 192 chips per slot. The differentiator between the cell and the sector is still the PN offset of the pilot channel.

The data structure per slot can be illustrated as follows:

Reverse Link Coding

The reverse link for 1xEV-DO has a structure similar to that for cdma2000, except that in addition to a data channel, the following channels are also included:

  • Reverse Rate Indication (RRI) - In cdma2000, power control bits are needed for the "power control” scheme. However, 1xEV-DO uses the "rate control” scheme with this RRI transmitted in the pilot. The mobile should send RRI to AN for rate control.

  • Data Request Control Channel (DRC) - This contains a 4 bit word in each slot to allow the choice of up to 16 different transmission rates. Different Walsh covers are used to indicate which PN offset in the active set is preferred for transmission.

  • Acknowledgement Channel (ACK) - This acknowledgement channel is only transmitted after the mobile detects a frame with its preamble, meaning the packet is directed to that mobile. The 1 bit on this channel, which is transmitted for a half slot, is used to indicate a successful reception or an erasure.

The pilot in 1xEV-DO is still punctured but the information carried is different:

  • In cdma2000, the pilot is punctured in a 3:1 ratio (3 pilot, 1 data) to carry power control bits. The puncture period is 1 power control group, or 1.25 ms. The data rate for power control bits is 16 bits per 20 ms frame.

  • In 1xEV-DO, the puncture pattern is 7:1 on each slot (7 pilot, 1 data). The underlying data is coded, and the transmission rate is 3 bits per 26.667 ms frame.

  • In 1xEV all signaling is performed on the data channel so there is no dedicated control channel. The data channel can support 5 data rates, which are separated in powers of 2 (256 through 4096 bits, or 9.6 through 153.6 kbps). These rates are achieved by varying the repeat factor. The highest rate uses a turbo coder with lower gain.

Reverse Link Scrambling

The pilot, ACK, DRC, and data channels are added with each other in a manner that maps some into I and some into Q for eventual spreading. The final spreading is done similarly to cdma2000 with HPSK. In 1xEV-DO, the long code used for spreading is seeded with a fixed pattern at the start of every Pilot sequence, every 26.667 ms. There are separate masks, 42 bits long, for the I and Q long spreading codes. In cdma2000, the long code generator is based on system time, or in other words, a continuous clock.


About 1xEV-DO Rev A

A successor to 1xEV-DO Release 0, CDMA2000 1xEV-DO Rev A offers improved peak data rates on both the forward and reverse links. On the forward link, peak data rates increase to 3.1 Mbps, while reverse link peak speeds have increased to 1.8 Mbps. Rev A also offers higher sector capacity within the same 1.25 MHz carrier, allowing operators to support more users and richer applications. New physical layer protocols provide increased capacity and flexibility.

RF Characteristics

1xEV-DO Rev A uses the same final spread rate of 1.2288 Mcps as does IS-2000 1x and 1xEV-DO Release 0. The same digital output filter is used to maintain spectral compatibility with IS-2000 1x and 1xEV-DO Release 0. Like 1xEV-DO Release 0, 1xEV-DO Rev A cannot be overlaid with IS-2000 channels. Each 1xEV-DO channel requires a paired 1.25 MHz clear channel. While 1xEV-DO Rev A fully supports 1xEV-DO Release 0 (superset), the new physical layer defined in Rev A cannot be overlaid on the same channel with a 1xEV-DO Release 0 physical layer system.

Forward Link Channel Structure

The new features of the subtype 2 forward link include ARQ channels used to signal the reception of the new high speed reverse traffic channel, variable physical layer packet sizes, more transmission configurations, lower data rates and one higher data rate, slower reverse power control bit stream, and more available MAC indexes.

Subtype 2 Forward Link Physical Layer

The subtype 2 forward link physical layer has several modifications relative to the subtype 0 physical layer. New ”r;short” packet sizes are defined to be 512 bits, 256 bits, or 128 bits. As the data rate rises, the packet size is increased from 1024 bits up to 2048 bits, 3072 bits, 4096 bits, and 5120 bits. The increased number of available physical packet sizes results in lower data rates for subtype 2 (4.8 kbps, 9.6 kbps, and 19.2 kbps) as well as two new high data rates (1,536 kbps and 3,072 kbps). In subtype 2, there is a one-to-one correspondence with the MAC layer packet size and the physical layer packet size unlike subtype 0, where the MAC packet size is always fixed to 1024 bits and multiple MAC packets are required to fill up the larger physical layer packets.

Forward Link Frame Structure

The frame structure for subtype 2 physical layer operations is the same as is used for subtype 0. The frame period is still based on the pilot channel, which has a period of 26.667 msec.

Forward Link Slot Structure

Each frame is divided up into 16 slots of 1.667 msec. One control channel cycle is defined to be a 256 slot period, synchronous with CDMA system time where there is an integer multiple of 256 slots between the beginning of a cycle and the beginning of CDMA system time.

Reverse Link Channel Structure

The subtype 2 Reverse Access channel is only slightly modified from the subtype 0 configuration and is essentially the same as subtype 1. However, the subtype 2 Reverse Traffic channel has many changes in the definitions of the Reverse Pilot, Reverse Rate Indicator, Reverse ACK, and Reverse Data channels, and introduces two new reverse channels.

  • The Reverse Data Source Control channel indicates the desired forward link serving cell which minimizes service interruption due to server switching on the forward link.

  • The Reverse Auxiliary Pilot channel is used instead of adding power to the Reverse Pilot so that other reverse link channels will not scale their power as the power energy increases.

Subtype 2 Reverse Link Physical Layer

The reverse link of the subtype 2 physical layer has more changes relative to the original subtype 0 physical layer than the forward link. Subtype 2 introduces much higher and lower data rates (up to 1.8 Mbps and down to 4.8 kbps), and two new modulation formats (QPSK and 8-PSK).

Reverse Link Frame Structure

In subtype 2 operation, the Reverse Data channel uses a new timing structure. The frame and slot timing is the same as subtype 0 (each 26.67 ms frame consists of 16, 1.667 ms slots), but the concept of the subframe is introduced. Each subframe consists of four contiguous slots (6.667ms). Also new is the concept of a subpacket. A subpacket is defined to be the smallest unit of a reverse traffic channel transmission that can be acknowledged at the physical layer by the access network. A subpacket is transmitted over four contiguous slots, thus a subpacket is transmitted in one subframe. Each physical layer packet can be transmitted in up to four subpackets. When more than one subpacket is required to successfully transmit the physical layer packet, the transmitted subpackets use a three subframe interlace pattern. The subtype 2 Reverse Data channel also uses five modulation schemes as opposed to the single scheme used in subtype 0 operation.


Understanding FTM Forward Channels

Real Time

Understanding Test Mode Signal Forward Channels

Pilot Channel

The pilot channel occurs as two distinct bursts in each timeslot of the 1xEV-DO forward link frame. It cannot be de-activated and does not appear as a configurable parameter in the software. The PN offset of the pilot channel indicates the cell or sector of the transmitting access network (AT).

MAC Channel

The medium access control (MAC) channel coding is not implemented for factory test mode (Test Mode Signal) frames. Instead, all zero I/Q symbols are time division multiplexed into the MAC portion of each frame timeslot.

Traffic Channel

The number of physical layer packets to be transmitted over the traffic channel is a user-defined parameter. The preambles and physical layer packets are constructed based on the data rate control (DRC) value selected for the traffic data rate set. The preamble of each physical layer packet is coded with a 32-symbol bi-orthogonal cover derived from the MAC index that uniquely identifies the access terminal for which the physical layer packet is intended. The data transmitted during the MAC layer packet portion of the physical layer packet is set with the Payload parameter in the forward channel configuration table.

The payload is a raw data sequence, not a formatted MAC layer packet. This level of signal coding is sufficient to verify physical layer receiver performance. When PN sequences are selected as the payload, a continuous PN sequence is distributed across the MAC layer packet portions of the total number of packets specified. After the last packet has been filled with data, the PN sequence is truncated. All zero data is transmitted during the pad portions of packet and a frame check sequence (FCS) and tail bits are appended to the end of each packet. The Traffic Data Rate parameter allows you to select from 12 traffic channel DRC values to set the data rate, encoding rate, and modulation type for the packet transmission. The table below lists the modulation characteristics and packet structures associated with specific DRC values.

DRC value | Data rate (kbps) | Encoding rate | Modulation type | Number of bits per packet | Number of slots per packet | Number of 32-chip preamble repetitions | Number of slots per preamble
0x1 | 38.4 | 1/5 | QPSK | 1024 | 16 | 32 | 16
0x2 | 76.8 | 1/5 | QPSK | 1024 | 8 | 16 | 8
0x3 | 153.6 | 1/5 | QPSK | 1024 | 4 | 8 | 4
0x4 | 307.2 | 1/5 | QPSK | 1024 | 2 | 4 | 2
0x5 | 614.4 | 1/3 | QPSK | 1024 | 1 | 2 | 1
0x6 | 307.2 | 1/3 | QPSK | 2048 | 4 | 4 | 4
0x7 | 614.4 | 1/3 | QPSK | 2048 | 2 | 2 | 2
0x8 | 1228.8 | 1/3 | QPSK | 2048 | 1 | 2 | 1
0x9 | 921.6 | 1/3 | 8-PSK | 3072 | 2 | 2 | 2
0x10 | 1843.2 | 1/3 | 8-PSK | 3072 | 1 | 2 | 1
0x11 | 1228.8 | 1/3 | 16-QAM | 4096 | 2 | 2 | 2
0x12 | 2457.6 | 1/3 | 16-QAM | 4096 | 1 | 2 | 1

Packets that occupy multiple frame slots are transmitted using four-slot interlacing. For example, as indicated in the table above, a single packet transmitted at 153.6 kbps occupies four frame timeslots. If only one packet is selected for transmission, frame slots 1, 5, 9, and 13 are active while slots 2, 3, 4, 6, 7, 8, 10, 11, 12, 14, 15, and 16 are idle. On the other hand, if four packets are transmitted at 153.6 kbps, the first packet occupies frame slots 1, 5, 9, and 13, the second packet occupies slots 2, 6, 10, and 14, the third packet occupies slots 3, 7, 11, and 15, and the fourth packet occupies slots 4, 8, 12, and 16. If more than four packets are selected for transmission, additional frames are filled in a similar manner to accommodate the additional packets.

Control Channel

The control channel sends synchronization information to the access terminal. This channel allows the AT to acquire system time and the pilot channel PN offset. The modulation characteristics and physical layer packet structure for control channel transmissions are either DRC values 0x1 or 0x2. The control channel data rate, 38.4 or 76.8 kbps, is selected in the Test Mode Signal Control window.


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B

For additional reading on CCDF, refer to the Characterizing Digitally Modulated Signals with CCDF Curves Application Note.


Understanding Waveform Clipping

In a CDMA waveform, high power peaks can cause intermodulation distortion, which generates spectral regrowth (a condition that interferes with signals in adjacent frequency bands). The clipping function allows you to reduce high power peaks.

How Power Peaks Develop

To understand how clipping reduces high power peaks, it is important to know how the peaks develop as the signal is constructed. For this section, we will discuss power peaks relative to a CDMA signal.

A CDMA waveform is composed of an I waveform and a Q waveform. Often, these waveforms are the summation of multiple channels (see graphic below). Whenever most or all of the individual channel waveforms simultaneously contain a bit in the same state (high or low), an unusually high power peak (negative or positive) occurs in the summed waveform. This does not happen frequently because the high and low states of the bits on these channel waveforms are random, which causes a cancelling effect.

The I and Q waveforms combine in the I/Q modulator to create an RF waveform. The magnitude of the RF envelope is determined by the equation [image], where the squaring of I and Q always results in a positive value. Notice how simultaneous positive and negative peaks in the I and Q waveforms do not cancel each other, but combine to create an even greater peak (see graphic below).

How Peaks Cause Spectral Regrowth

Because of the relative infrequency of high power peaks, a waveform will have a high peak-to-average power ratio (see graphic below). Because a transmitter’s power amplifier gain is set to provide a specific average power, high peaks can cause the power amplifier to move toward saturation. This causes intermodulation distortion, which generates spectral regrowth.

Spectral regrowth is a range of frequencies that develops on each side of the carrier (similar to sidebands) and extends into the adjacent frequency bands (see graphic below). Consequently, spectral regrowth interferes with communication in the adjacent bands. Clipping can provide a solution to this problem.

How Clipping Reduces Peak-to-Average Power

You can reduce peak-to-average power, and consequently spectral regrowth, by clipping the waveform to a selected percentage of its peak power. The Signal Studio software provides circular clipping. Though the software doesn't provide rectangular clipping, it is discussed here for comparison.

During circular clipping, clipping is applied to the combined I and Q RF waveform (|I + jQ|). Notice in the graphic below that the clipping level is constant for all phases of the vector representation and appears as a circle.

During rectangular clipping, clipping is applied to the I and Q waveforms separately (|I|, |Q|). Notice in the graphic below that the clipping level is different for I and Q; therefore, it appears as a rectangle in the vector representation. With either method, the objective is to clip the waveform to a level that effectively reduces spectral regrowth, but does not compromise the integrity of the signal.

The graphic below uses two complementary cumulative distribution plots to show the reduction in peak-to-average power that occurs after applying circular clipping to an RF waveform. The lower you set the clipping value, the lower the peak power that is passed (or the more the signal is clipped). Often, the peaks can be clipped successfully without substantially interfering with the rest of the waveform. Data that might be lost in the clipping process is salvaged because of the error correction inherent in the coded systems. If you clip too much of the waveform, however, lost data is irrecoverable. You may have to try several clipping settings to find a percentage that works well.

FIR Filtering Options

The Signal Studio software allows you to choose whether clipping occurs prior to, or after, FIR filtering. Because clipped waveforms have abrupt discontinuities which can generate noise, you can select pre-FIR filter clipping. The FIR filter smooths any discontinuities in the clipped waveform and prevents noise. If desired, however, you can also select post-FIR filter clipping.


Tutorials

Creating a 1xEV-DO Rev. A Forward Configuration | This procedure shows you how to configure a multicarrier forward link signal useful for component, transmitter, and power amplifier (MCPA) testing.
Creating a 1xEV-DO Rev. A Reverse Configuration | This procedure shows you how to configure a multicarrier reverse link signal.
Using Predefined Configurations | This procedure shows you how to using a predefined configuration can help you create a multicarrier and mixed format waveform and speed the time it takes to create a waveform to meet your test needs.
Creating a Waveform Sequence | This procedure gives instruction on creating a sequence of waveforms by adding, inserting, and appending waveforms together in the desired order.
Using the System Configuration Wizard | This procedure steps you through connecting to a new or previously configured hardware setup.
Creating and Exporting Waveforms | This procedure describes how to create and export waveform files for use with most instruments, such as the M9381A PXI Vector Signal Generator.
Creating and Exporting Waveforms for the EXT | This procedure describes how to create and export a waveform file to the EXT. This is an alternate method to using a live connection.
Configuring the M9381A for Signal Studio | This procedure describes the steps unique to M9381A PXIe configurations with Signal Studio products.


Forward link frame configuration

Real Time

Creating a 1xEV-DO Rev. A Forward Configuration

This procedure shows you how to configure a multicarrier forward link signal useful for component, transmitter, and power amplifier (MCPA) testing. This procedure assumes that you have successfully completed the required installation and equipment setup.

  1. Click Waveform Setup in the tree view. In the parameter view, click [image] to add a new waveform.

  2. Enter the name, "DO-A FWD" in the Waveform Name cell, and "Example" in the Comment cell. Leave Playback and Mode parameters set to off.

  3. Click WFM1 in the tree view.

  4. In the parameter view, click [image] and select Basic 1xEV-DO Rev.A Forward. Notice that a new Carrier with a Channel Setup node has been added to the tree view.

  5. Click Carrier 1 and accept the default parameter settings displayed in the parameter view.

  6. Click Channel Setup in the tree view.

    1. Set the Traffic Channel State to on by double-clicking the cell or select On from the drop-down menu.

    2. Leave all other parameters settings at their default values.

  7. Click Packets in the tree view.

    The parameter view consists of two panes. The top pane displays the parameter settings for each packet. Clicking the cell of a packet in the top pane displays cells below in which you can edit these parameters.

    1. For each packet, select 307.2 kbps (1024, 2, 128) QPSK from the drop-down window in the parameter setting pane. The values correspond to the nominal data rate (kbps), physical layer packet size (bits), nominal transmit duration (slots), preamble length (chips), and modulation type respectively.

    2. Leave all other parameters settings at their default values.

  8. Click Timeslots in the tree view.

    The parameter view consists of three panes. The top pane displays the parameter settings for each timeslot. Clicking a timeslot in the top pane displays cells in the pane below in which you can edit these parameters. The bottom pane contains the parameter settings for the MAC RPC/DRCLock/ ARQ channels.

    ARQ channel parameters are configured on Timeslot 1, Timeslot 2, Timeslot 3, Timeslot 5, Timeslot 6, Timeslot 7, Timeslot 9, Timeslot 10, Timeslot 11, Timeslot 13, Timeslot 14, and Timeslot 15 and the RPC/DRCLock channel parameters on Timeslot 4, Timeslot 8, Timeslot 12, and Timeslot 16 when the frame offset is set to All 0.

    1. For the ARQ timeslots, make the following changes:

      1. Select On from the drop-down menu for the H-/L-ARQ State for Channels 0-12.

      2. Select On from the drop-down menu for the P-ARQ State for Channels 0-12.

        If you click [image] in the MAC RPC/DRCLock/ ARQ bottom pane, you can select Copy from H-/L-ARQ State from the drop-down menu to copy all selected H-/L-ARQ state settings to the P-ARQ state settings for each channel.

      3. Enter the value –14.14 dB under Gain for Channels 0-12.

        You can also click [image], select Normalize... and enter –3 dB in the window that appears. This sets the target power relative to the pilot power and automatically adjusts the ARQ gain to the target power relative to the Pilot power. The setting is applied only for activated ARQ channels.

    2. For Timeslot 4, Timeslot 8, Timeslot 12, and Timeslot 16, make the following changes:.

      1. Enable the RPC state for Channels 0-12.

      2. Enable the DRCLock State for Channels 0-12.

      3. Enter the value –14.14 dB under Gain for Channels 0-12.

        You can also click [image], select Normalize... and enter –3 dB in the window that appears. This sets the target power relative to the pilot power and automatically adjusts the RPC gain to the target power relative to the Pilot power. The setting is applied only for activated RPC/DRCLock channels.

  9. To add additional carriers, repeat steps 3 through 8, configuring the Carrier, Channel, and Timeslots as desired.

  10. Click [image] in the tool bar. The software generates an I/Q waveform file in accordance with the current channel configuration and signal generation setup. Waveform generation time varies proportionally with the complexity of the waveform.

  11. After the waveform is generated, you can examine its characteristics. You can view plots of the baseband spectrum, I and Q signals, and CCDF curve prior to downloading the file to the signal generator.

    1. In the tree view, click WFM1.

    2. Click the CCDF and Waveform tabs at the bottom of the window to view their respective graphs.


Reverse Link Frame Configuration

Real Time

Creating a 1xEV-DO Rev. A Reverse Configuration

This procedure shows you how to configure a multicarrier reverse link signal. This procedure assumes that you have successfully completed the required installation and equipment setup.

  1. Click Waveform Setup in the tree view. In the parameter view, click [image] to add a new waveform.

  2. Enter the name, "DO-A RL" in the Waveform Name cell, and "Example" in the Comment cell. Leave Playback and Mode parameters off.

  3. Click WFM1 in the tree view.

  4. In the parameter view, click [image] and select Basic 1xEV-DO Rev.A Reverse. Notice that a new Carrier node with a Channel Setup node has been added to the tree view.

  5. Click Carrier 1 in the tree view and accept the default parameter settings displayed in the parameter view.

  6. Click Channel Setup in the tree view.

    1. Set the Auxiliary Pilot Channel State to Off.

    2. For RRI Relative Channel Gain, enter the value –6.00 dB.

    3. For DSC Channel Relative Gain, enter the value –12.00 dB.

    4. Leave the default values for the RRI State, DRC State, and all other parameter settings.

  7. Click Packets in the tree view.

    Click each Physical Layer Packet 1-3 Data Rate cell, and select 38.4 / 19.2 / 12.8 / 9.6 kbps (256) B4 from the drop-down window. The values correspond to the data rate [kbps] after 4, 8, 12, and 16 slots, (payload data size [bits]), and modulation type respectively.

  8. Click Timeslots in the tree view.

    1. For DSC Data, enter 1.

    2. For the RRI Payload Index, enter 0.

    3. Leave all other parameters settings at their default values.

  9. To add additional carriers, repeat steps 3 through 8, configuring the Carrier, Channel, and Timeslots as desired.

  10. Click [image] in the tool bar. The software generates an I/Q waveform file in accordance with the current channel configuration and signal generation setup. Waveform generation time varies proportionally with the complexity of the waveform.

  11. After the waveform is generated, you can examine its characteristics. You can view plots of the baseband spectrum, I and Q signals, and CCDF curve prior to downloading the file to the signal generator.

    1. In the tree view, click WFM1.

    2. Click the CCDF and Waveform tabs at the bottom of the window to view their respective graphs.


Predefined Configuration

Real Time

Using Predefined Configurations

The software provides various preconfigured multicarrier and mixed format configurations to facilitate waveform setup. The predefined parameters for these base configurations may be modified, and the configuration can then be renamed and saved as a quick setup. This procedure assumes that you have successfully completed the required installation and equipment setup.

  1. Click Waveform Setup in the tree view. In the parameter view, click [image] to add a new waveform.

  2. Enter the name, "3RDORevA"in the Waveform Name cell, and "Precon" in the Comment cell. Leave Playback and Mode parameters off.

  3. Click WFM1 in the tree view.

  4. Click [image] at the top of the parameter view, and select 1xEV-DO Rev A Reverse 3 Carrier from the drop-down menu.

  5. Observe that three new carriers have been added under WFM1 in the tree view.

  6. Click Carrier 1 in the tree view.

    This predefined setup configures a non-coded traffic channel with physical layer packet size of 4096 bits, Q2 modulation (QPSK modulation with 2-ary Walsh cover modulated symbols), and a – 1.25 MHz frequency offset.

  7. Click Channel Setup in the tree view.

    Note the preconfigured settings for the relative gain for the Pilot, RRI, DRC, and DSC channels.

  8. Click Packets in the tree view.

    The data rate and gain settings are preset. The data rate of 614.4 / 307.2 / 204.8 / 153.6 kbps (4096) Q2 corresponds to the data rate [kbps] after 4, 8, 12, and 16 slots, (payload data size [bits]), and modulation type respectively.

  9. Click Timeslots in the tree view.

    Note that DRC (data rate control) data is preconfigured to 12. The DRC data sets the fixed, 4-bit data rate control pattern, indicating the selected serving sector and the requested data rate on the forward traffic channel.

  10. Click Carrier 2. This configures a traffic channel with encoding. All predefined parameters are similar to Carrier 1 except for frequency offset.

    • Note that in the Packets window, the Encoder is set to On.

    • In the Timeslots window, the ACK data bit is set to 1 (no acknowledgement), indicating that the physical layer packet was not successfully received from the access network.

  11. Click Carrier 3. All predefined parameters are similar to Carrier 1 except for frequency offset.

  12. Click [image] in the tool bar. The software generates an I/Q waveform file in accordance with the current channel configuration and signal generation setup. Waveform generation time varies proportionally to the complexity of the waveform.

  13. After the waveform is generated, you can examine its characteristics. You can view plots of the baseband spectrum, I and Q signals, and CCDF curve prior to downloading the file to the signal generator.

    1. In the tree view, click WFM1.

    2. Click the CCDF and Waveform tabs at the bottom of the window to view their respective graphs.


Creating a Waveform Sequence

Using sequencing, you can set up and arrange up to 10 previously configured waveforms for playback. You can then play each waveform up to 65,535 times before stepping to the next waveform.

For this example, WFM1, WFM2, WFM3, and WFM4 are four previously configured waveforms.

  1. In the Closed Waveform Setup window, set Use Sequence to On. Notice that Sequence now appears in the tree view.

  2. Click Sequence in the tree view. The sequence configuration pane appears in the parameter view where you can add previously configured waveforms to build a sequence table.

  3. Click [image] to insert a waveform into the sequence. From the drop-down menu, select WFM4 as the first waveform to be added to the sequence.

  4. Select another waveform (WFM3) to add. The added waveform is inserted immediately above the selected waveform. (The selected waveform has the [image] icon in the left column.)

  5. Click [image] to append a waveform. From the drop-down menu, select the waveform (WFM1) to add. This adds the waveform below the selected waveform.

    When you have finished adding your waveforms, you can highlight a waveform, and use the following buttons to rearrange your sequence list:

    moves any selected waveform up one position.

    moves a selected waveform down one position.

    deletes a selected waveform.

  6. Set the number of times (Repetitions) you want the waveform to play before playing the next waveform. Click the number in the column for each waveform, and enter 10, 20, and 30 respectively.

  7. For each row, use the M1, M2, M3, and M4 columns to set the state of the markers for each waveform in the sequence. For this example, leave all markers set to on. Default settings will be used. If desired, you can select other settings from the Marker Source Selection dialog box.

  8. Click [image] and then [image] to play your waveform sequence in the signal generator.


Using the System Configuration Wizard

From the menu bar, click System and select Run System Configuration Wizard from the drop-down menu that appears. A sequence of windows steps you through configuring the hardware for your application and saving the setup for later use.

In each window:

  • Click Next to continue the configuration.

  • Click Back to return to the previous window.

  • Click Cancel to dismiss the System Configuration dialog box, making no changes to the current system configuration.

Step 1- Select a hardware configuration.

Choose a supported hardware configuration from the Closed displayed list.

Step 2- Select a specific hardware system.

You can either configure a new system or select a previously saved hardware configuration:

Choose <New> to Closed configure a new system.

Step 3- Enter the connection information for one of the following:

  • Select LAN and enter the Hostname or IP address as appropriate.

  • Select GPIB and enter the GPIB information if different from the default settings displayed. Refer to the signal generator's user manual to retrieve this information from the signal generator, if necessary. Click Test I/O to verify the connection

or

  • If you have previously configured the hardware using the Keysight IO Libraries, enable the second option to select it from a list of configured hardware.

Step 4- The software tests the I/O connection and confirms a Pass or Fail status for the connected hardware. (You can also click the Test I/O button in Step 3 to confirm the connection.)

  • If PASS is displayed, click Finish to begin using this setup.

  • If the connection fails, click BACK to return to Step 2. Click the View Details button for details of the hardware system used. Ensure that the instrument is properly connected, and that you have entered the correct information for your connection type.

Step 5- Enter a name of your choice for the system and click Finish to begin using this setup.

Closed Select a previously saved hardware system configuration from the list displayed.

Step 3- The software tests the I/O connection and confirms a Pass or Fail status for the connected hardware.

  • If PASS is displayed, click Finish to begin using this setup.

  • If the connection fails, click BACK to return to Step 2. Click the View Details button for details of the hardware system used. Ensure that the instrument is properly connected, and that you have entered the correct information for your connection type.


Creating and Exporting Waveforms

Signal Studio software products do not provide direct connectivity for all licensed platforms. In these cases, waveforms must be created in simulated hardware mode, exported to a waveform file, and then loaded into the instrument's controlling PC via a USB storage device. This procedure describes how to create and transfer waveform files using this method and applies to the following instruments.

  • Keysight SystemVue ESL Design Software

  • Keysight M9381A PXIe Vector Signal Generator

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and highlight your instrument. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the instrument. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your instrument. This example assumes the advanced option was not purchased for your instrument.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into a USB port on the controlling PC and copy the waveform file to the proper directory, as described in the instrument's documentation.


Creating and Exporting Waveforms for the EXT

Some Signal Studio software products do not provide direct connectivity to the Keysight E6607 EXT Wireless Communications Test Set. In these cases, waveforms licensed to play on the EXT must be created in simulated hardware mode, exported to a waveform file, and then loaded into the EXT via a USB storage device. This procedure describes how to create and transfer waveform files to your EXT for playback using this method.

If available, a direct connection to the EXT is more convenient to use than the export method described here. To determine if this Signal Studio product provides direct connectivity to the EXT, open the software and select New hardware configuration in the system configuration wizard. The EXT will be one of the supported hardware configuration choices, if direct connectivity is available.

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications that support the EXT.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and make sure RF Output (for Signal Generator) is highlighted. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the EXT. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your EXT. This example assumes the advanced option was not purchased for the EXT.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into the EXT's front panel USB port.

  12. On the EXT, make sure the EXT user interface is the active window and press File > File Explorer. Then locate the USB storage device and copy your waveform file to D:\NVARB. You can navigate to this folder by selecting My Computer > User Data (D:) > NVARB.

  13. On the EXT, press Source > More 1 of 2 > Modulation Setup > ARB > More 1 of 2 > Select Waveform > Segments on Hard Disk. Then use the arrow keys or mouse to select a waveform file from NVARB memory.

    The EXT's user interface uses the term segment to refer to a waveform file.

  14. Press Load Segment to ARB Memory.

  15. Now that the waveform resides in the EXT's ARB memory, press the Return key and select the waveform for playback. Use the EXT's front panel and softkey menus to set up other ARB parameters, turn ARB modulation on, set frequency and amplitude, and turn RF output on. You can also examine the waveform, using the EXT's measurement functions. Refer to the EXT's user documentation for more information.


Configuring the M9381A for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9381A PXIe configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9381A PXIe. If necessary, refer to the user documentation listed below to become familiar with basic operation. This documentation is available at www.keysight.com/find/M9381A.

  • M9381A & M9391A Configuration Guide (PDF Document)

  • M9381A PXIe VSG and M9380A CW Source SCPI Programming Information (Help File)

  • M9381A PXIe Vector Signal Generator Soft Front Panel Help (Help File)

  • M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide (PDF Document)

Signal Studio provides two methods for configuring waveform playback on the M9381A:

  • Direct Connection with a Signal Studio Application

  • Using Waveform 5- and 50-Pack

Direct Connection with a Signal Studio Application

  1. Configure the hardware and cabling for the M9381A system as described in "Multiple M9381A PXIe VSGs in a single PXIe chassis" of the M9381A & M9391A Configuration Guide.

    If you are using an external trigger source, the trigger signal cable must be connected to the Trig 1 connector of the M9301A module. In the case of a multi-channel system, the trigger signal must be connected to the Trig 1 connector of all M9301A modules, using cables of equal length. For more information, refer to the subsection entitled, "Routing an External Trigger Input and ALC Hold on each M9381A PXIe VSG" of the major section entitled, "Working with 802.11ac MIMO R&D/DVT Tests" in the M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide.

  2. This step is commonly referred to as configuring the backplane triggers. Open the M9018A Soft Front Panel (SFP) and check the Allow Control box. Then click the Configure Trigger Bus tab.

    The Keysight M9018A PXIe chassis does not remember the trigger bus configuration upon cycling power.After a power cycle, you must reconfigure the bus triggers by using the M9018A SFP or by creating a persistent configuration by using the AgM9018 API.

    For single-channel and two-channel configurations, configure the GUI, as shown below. This backplane signal configuration assumes the M9381A modules are positioned in the PXIe chassis as described in the M9381A & M9391A Configuration Guide. For all other configurations and additional information, refer to the "Managing Triggers" topic located in M9381A PXIe Vector Signal Generator Soft Front Panel Help.

  3. Open the M9381 SFP (without connecting) to view the Alias. It must be "M938XA-1," as shown below, for the SCPI Parser to connect in the next step. For more information, refer to the "Creating the IVI Config Store Alias(es)" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

    Make sure the M9381 SFP is not connected to the instrument before proceeding to next step, as it and the SCPI Parser cannot run simultaneously.

  4. Run the M938x SCPI Parser. The Signal Studio software will not connect to the system unless the SCPI Parser is running. For more information, refer to the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  5. Open the Signal Studio software and, in the System Configuration Wizard, select the M9381A as the connected instrument.

  6. In the Signal Studio System Configuration Wizard, make sure the host name entered for each PXIe module uses this syntax: <hostname>::hislip<module number>. See example shown below. For more information, refer to the "Overview" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  7. You can now configure, generate, and download your Signal Studio waveform.

    If you are using an external trigger source, be sure to configure the instrument settings in the Signal Studio software. In the tree view, click Instrument and in the trigger settings, select TRIG1 for the External Source.

Using Waveform 5- and 50-Pack

To use a waveform for use with a Signal Studio 5- or 50-pack license, use any Signal Studio application to generate and download a waveform to the M9381A controller PC, where the SCPI Parser is running. You will not be able to play the waveform, however, until it is assigned and locked into one of the available 5- or 50-pack slots. For more information, refer to the "Managing Waveform Packs" topic in the M9381A PXIe Vector Signal Generator Soft Front Panel Help .


User Interface

User Interface Basics

provides tips on navigating the user interface.

Menu Bar and Toolbar

describes the selections found in the pull down menus and the various toolbar icons.

Status Window

provides information related to carrier and channel parameters, waveform generation, and license status.

Quick Setups

provides information on how to select predefined or previously saved user-defined settings, or to save a configuration as a quick setup.

Status Bar

provides information related to the software status, connection status, and error messages.

Hardware

provides information about the system hardware.

Signal Generator

provides information on how to set up the signal generator for use with this software. The following sub-categories are contained on this pane: instrument configuration, basic settings, I/Q adjustments, automatic level control (ALC), dual ARB settings (including marker utilities and trigger settings), and real-time noise setup settings.

Licenses

lists the software capability options and the respective license required to play them using the signal generator.

Waveform Setup

provides information on how to set up new waveforms.

Test Mode Signal Control

provides information on how to set up the Test Mode Signal.

Sequence

provides information on how to set up the sequence in which the waveforms are put together for signal generation.

WFM "N"

provides information on how to set up each waveform and its markers.

Carrier "N"

provides information on how to set up each carrier of a waveform.

Channel Setup

provides information on how to set up each channel. The radio formats supported by the software are listed below. In addition, setup descriptions for Packet and Timeslot panes are provided as appropriate:

  • IS95A Forward

  • IS95A Reverse

  • CDMA2000 Forward

  • CDMA2000 Reverse

  • Basic 1xEV-D0 Rev.0 Forward plus Timeslots setup

  • Basic 1xEV-D0 Rev.0 Reverse plus Timeslots setup

  • Advanced 1xEV-D0 Rev.0 Reverse plus Timeslots setup

  • Basic 1xEV-D0 Rev.A Forward plus Packets and Timeslots setups

  • Advanced 1xEV-D0 Rev.A Forward plus Packets and Timeslots setups

  • Basic 1xEV-D0 Rev.A Reverse plus Packets and Timeslots setups

  • Advanced 1xEV-D0 Rev.A Reverse plus Packets and Timeslots setups

  • 1xEV-DO Rev.0 Forward Test Mode Signal

  • Advanced CDMA2000 Forward


User Interface Basics

Viewing Parameter Descriptions

Working with Cells

Using the Tree View

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Viewing Parameter Descriptions

Check [image] in the upper right corner above the parameter configuration table, and then click a parameter cell to display a brief description. The initial state is unchecked.

is displayed in some parameter views in the upper right corner. Checking this box expands the number of columns displayed. These columns are informational only and are not editable.

Working with Cells

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings where you choose from a selection of parameters; others are arbitrary and allow you to enter a value within a designated range.

Discrete Settings

RF Output uses discrete settings; you must select either On or Off.

To change a discrete setting, double-click either the cell with the name of the parameter, or the setting. Each double-click cycles to the next selection.

You can also change a discrete setting by clicking the down arrow of the cell and then moving the mouse pointer to click the desired selection.

Click the Details button [image] to make a discrete setting selection for the Marker 1 Source cell when configuring a channel.

Arbitrary Settings

RF Frequency and RF Amplitude use arbitrary settings. You can enter any value within the designated range.

To change an arbitrary setting, double-click either the cell with the name of the parameter or the setting. This highlights the current setting. Enter the new value. You do not need to type "GHz"; the letter "g" is sufficient. The same is true for MHz and kHz.

If you change a default parameter, the new setting becomes Bold to indicate the setting has changed and is no longer set at the default value.

Using the Tree View

The left pane of the main window is called the tree view. It is useful for navigating between the quick setups node, the hardware setup nodes, and waveform setup nodes. The right pane of the main window is called the parameter view. This area enables you to select the waveform parameters and signal generator settings. Selecting an item in the tree view enables the related elements in the parameter view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved horizontally or vertically. Hold down the left mouse button and drag the border to its new position. Closed Illustration…

Collapsing and Expanding Tables

To create more viewing space in a window pane, click the [image] icon to collapse parameter selection tables you are not using. Parameter selection tables have function groups indicated by the [image] or [image] icons.

Related Topics

User Interface


Menu Bar and Toolbar

The following illustration shows the Menu bar and the Toolbar for the N7601B Signal Studio for cdma2000/1xEV-DO software.

Select a command from the displayed menus for a description of the command.

Select an icon from the toolbar for a description of the icon's command.

File

New

Sets the software to its initial state (one IS95A Forward link carrier configured with the 9 Ch Forward configuration) using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting New to prevent the loss of data.

Open

Opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the currently selected hardware. To use a settings file with a different hardware configuration, select Change Hardware Connections, or Run System Configuration Wizard to configure new hardware.

Use Quick Setup to open a saved settings file that includes the hardware connection and software settings.

Save As…

Saves only waveform data settings to a specified settings (.scp) file. Settings files do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Connections, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setup to save the current hardware configuration with your waveform setup.

When using Windows Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Export Waveform Data…

Saves an encrypted waveform file (with a .wfm extension) to your PC. This waveform file can then be downloaded and played in other licensed signal generators or ADS design libraries. If a waveform is configured, but has not been generated, this selection also generates the waveform.

Most Recently Used Files

Displays the four most recent settings files that were either opened with Open... or saved with Save As.... The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error then removes the file from the list.

Exit

Stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

Control

Generate

Enables you to generate a waveform. This allows you to check for waveform errors before downloading or exporting the waveform.

Generate and Download

Enables you to generate and download a waveform to the hardware.

When a power-sensitive DUT is connected to the signal generator, ensure that the RF power is off before downloading a waveform.

  • Closed Keysight N5106A PXB Baseband Generator and Channel Emulator

    If the software displays an error message when you attempt to download a waveform to the PXB, see Instrument Problems in the Troubleshooting section.

    To download a waveform to the Keysight N5106A PXB, perform the following procedure:

    1. On the PXB, set up and load a configuration with the appropriate capabilities for the waveform you intend to play. The configuration must include at least one baseband generator (BBG). Refer to the PXB online documentation.

    2. Start Signal Studio and connect to the PXB using the Configuration Wizard. If you are running the Signal Studio software on the PXB, use “localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard. If you are running Signal Studio on a PC connected to the PXB, use the IP address or Machine Name (hostname) of the PXB in the Hostname/IP Address field. To find the PXB’s Machine Name (hostname) or IP address click System > Product Information in the PXB user interface.

    3. Set up waveform parameters in Signal Studio. Make sure you enter a name in the Waveform Name cell in the Waveform Setup node. This name identifies the waveform on the PXB.

    4. Click the Generate and Download button. The default location for the waveform file in the PXB is D:\Waveforms\ChannelN.

    5. On the PXB, click Load Waveforms and select the waveform file with the Waveform Name from Step 3.

    6. Click Download to download the waveform to the BBG.

    7. On the PXB, click Play to play the waveform.

  • Closed Keysight E6607 EXT Wireless Communications Test Set

    To avoid causing the EXT to timeout during the download process,.verify the EXT's triggering mode is set to Free Run.

    If the software displays an error message when you attempt to download a waveform to the EXT see Instrument Problems in the Troubleshooting section.

    To download a waveform to the Keysight E6607 perform the following procedure:

    1. On the EXT set up and load a configuration with the appropriate capabilities for the waveform you intend to play. Refer to the EXT online documentation.

    2. Start Signal Studio and connect to the EXT using the Configuration Wizard. If you are running the Signal Studio software on the EXT, use “localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard. If you are running Signal Studio on a PC connected to the EXT, use the IP address or hostname of the EXT in the Hostname/IP Address field. To find the EXT's hostname or IP address click System > Product Information in the EXT user interface.

    3. Set up waveform parameters in Signal Studio. Make sure you enter a name in the Waveform Name cell in the Waveform Setup node. This name identifies the waveform on the EXT.

    4. Click the Generate and Download button. The default location for the waveform file in the EXT is D:\NVARB.

Update Hardware Settings

Sends the current signal generator configuration to the appropriate instrument. If the configuration is not received by the instrument, an error message describing the problem appears.

System

Change Hardware Connections

Displays a list of saved hardware connections. This menu choice opens Closed Step 2 of the System Configuration Wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run System Configuration Wizard

Enables you to configure your system component connections and save the hardware configuration for later use. Use Closed Run System Configuration Wizard to set up a new signal generator connection, or use Quick Setup to save and change between complete setups that include the hardware connection and software settings.

Tools

Status Window

Enables you to turn the Status Window on or off.

Waveform Generation Log

displays the waveform generation log.

Options/Display Welcome Dialog

Allows you select whether to display the Closed Run System Configuration Wizard when the software is started.

Help

Contents

Opens the Help system and displays the table of contents.

Index

Opens the Help system and displays the Index utility.

Search

Opens the Help system and displays the search utility.

API Reference

Opens the N7601B API help.

Software License Terms

Displays the Software License Terms.

Keysight Signal Studio Website

Go to the Keysight Signal Studio Website

http://www.keysight.com/find/signalstudio

About

Displays the version and release date of the software.


Status Window

The status window displays information related to carrier and channel parameters, waveform generation, and license status.

When you change a parameter, the software checks for errors and conflicts, such as configuration errors, no active channel on a carrier, code domain space conflicts, and downlink pilot bit errors.

When you generate, download or export waveform data, the software checks waveform generation and license status to find errors such as, missing carriers, oversampling ratio inconsistencies, and missing or invalid licenses.

Turn the Status window on or off by either clicking the [image] toolbar button or selecting Status Window from the Tools menu.

A green Closed OK icon indicates there are no errors in your setup.

The figure below shows some of the possible error messages. Errors are listed sequentially with the most recent error at the top of the list.

Name

Is a column that shows the channel name or type of error. Channel configuration errors display the channel name beside the icon. Generation errors display Generation beside the icon. License errors display Instrument beside the icon. No active channel displays NoChannel beside the icon.

Description

Is a column that provides a detailed description of the error.

Note

Is a column that provides supplemental information about the error, or how to resolve the conflict or error.

Window Positioning

Position the status window to one of three different locations relative to the main window, or turn positioning off to create a free-floating window. When the status window is not free-floating, it tracks with the main window as the main window moves.

For convenience, you can move the status window to another location away from the main window even if it is positioned with the main window. However, moving the main window again snaps the status window back into its position.

Select the status window position using one of the four buttons located in the status window. A Closed green button indicates the current window location.

Positions the status window to the left of the main window.

Positions the status window to the right of the main window.

Positions the status window to the bottom of the main window.

Turns the positioning off causing the status window to become free-floating.

Related Topic

Status Bar


Status Bar

The status bar displays information related to your software status, connection status, carrier and channel parameters, waveform generation progress and license status.

Run Status

This area shows the status of the software's setup.

The following are some of the possible run status messages:

Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status

This area shows the connection status of the software to the instrument.

The following are some of the possible connection status messages:

Blank (no text) | Simulated hardware mode.
Connected | The instrument connection is checked and verified.
Not Connected | The software cannot connect to the instrument.

Software Message Area

This area shows license status, waveform generation progress, and information relating to the latest error for your setup. To view messages for multiple errors, use the status window.

Related Topics

Status Window


Quick Setups

Selecting Quick Setups in the tree view displays a list of quick setups to help you create a waveform using a predefined or previously saved configuration.

You can use the System Configuration Wizard to start a new setup using actual hardware, or you can choose from predefined setups using simulated or actual hardware. You can customize the settings and save as a quick setup for later use. Quick Setups saves the Signal Generator and Waveform Setup parameters.

Predefined Quick Setups

The predefined quick setups enable you to test the setup parameters. You can modify a setup as needed and save the modified file using the Save as Quick Setup button. You cannot delete the predefined quick setups.

Custom Quick Setups

After you have defined waveform parameters in the Instrument node and the Waveform Setup node, you can associate this waveform setup with the currently configured hardware (displayed in the Hardware node) by pressing the Save As Quick Setup button and providing a name for the new Quick Setup.

To save the current waveform setup with a different hardware configuration, define the new hardware configuration using the System Configuration Wizard (System > Run System Configuration Wizard), then click Save As Quick Setup.

If you change one or more Waveform Setup parameters, the software prompts you to save the changes as a Quick Setup when you exit. If you have changed only Hardware node or Signal Generator node settings, the software does not prompt you to save changes when you exit. Use the Save As Quick Setup button to save these changes to a Quick Setup

When using Windows Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Use the following buttons to manage your quick setups:

Saves the current hardware and software configuration as a custom quick setup. A Closed Save Quick Setup dialog box is displayed, enabling you to enter a name for the quick setup.

To save only Hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup.

Opens the selected quick setup. Double-clicking the quick setup performs the same function.

Deletes the selected custom quick setup.

Allows you to rename a custom quick setup. Select the quick setup to rename, click the Rename Quick Setup button, and then enter the new name for quick setup.

Closed Illustration…

System Details

System Name

Displays the name of the system. This was set in the System Configuration Wizard.

System Description

Displays the description of the system. This was set in the System Configuration Wizard.

Signal Generator Connection

Displays the connection type and LAN or GPIB address of the signal generator. This was set in the System Configuration Wizard.


Hardware

For information about using the software to change instrument settings:

  • for Arb, see Instrument.

  • for real time, see Instrument.

Click Hardware in the Closed tree view to display read-only information about the hardware.

Click Hardware in the tree view to display read-only information about the hardware system. When using simulated hardware is selected in the wizard, Closed <Simulated Hardware> is displayed in the Name and Connection cells, and "N/A" is displayed in most of the other cells.

Run Self-Tests

Runs an I/O interface connection test between the signal generator and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Test I/O Connections

Runs an I/O interface connection test between the signal generator and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

Displays the name assigned to the system when it is configured with the wizard.

Description

Displays the hardware configuration type.

2. Signal Generator Details

Connection

Displays the connectivity method, such as LAN or GPIB.

Model Number

Displays the signal generator model number.

Serial Number

Displays the signal generator serial number.

Firmware Revision

Displays the signal generator firmware revision number.

2.1 Options

Lists the options installed on the connected instrument.

Selections will vary.

Related Topic

Signal Generator


Signal Generator

Real Time

Instrument

Click Instrument in the Closed tree view to display the Signal Generator Settings table in the parameter view. Click [image] to expand the table and access details for the associated parameters.

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

Update to Instrument

Sends the software parameters to the connected instrument.

Update from Instrument

Retrieves the parameters from the connected instrument.

Local

Deactivates remote operation and returns the signal generator to local (front panel) control.

Preset

Sets the signal generator to a known state, either factory-defined or user-defined.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Executes an I/Q DC calibration to minimize errors associated with offset voltages. To execute an I/Q DC calibration, modulation state and I/Q state of the connected instrument must be set to on.

DC Cal minimizes I/Q offset errors for a single frequency only, and must be repeated if the signal generator's settings change.

Power Search

Executes a power search calibration.

This is an internal calibration routine that improves output power accuracy when ALC is off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument, and set ALC to Off to make this button available.


1. Configuration

Instrument Model Number

Displays the model number of the currently connected instrument. The parameters that are available in the signal generator node are determined by the Instrument Model Number.

Retrieve Instrument Model Number

Retrieves and displays the model number of the currently connected instrument.

Parameter Optimization

Selections: Auto, Off

Default: Auto

Enables or disables parameter optimization.

  • Auto − overrides the current settings to optimize settings

  • Off − parameter optimization is not applied.

When Parameter Optimization is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.

Perform DC I/Q Calibration

Selections: On, Off

Default: On

Enables or disables automatic DC I/Q calibration.

  • On − the signal generator performs a DC I/Q calibration after downloading a waveform.

  • Off − the signal generator does not perform DC I/Q calibrations.


2. Basic

2. Basic: Relative Amplitude (PXB)

2. Basic: Baseband Channel Assignment (PXB)

2. Basic: RF Output Port (EXT)

Frequency

Range: for specified range values, see the signal generator's data sheet.

Sets the signal generator’s output frequency.

Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for specified range values, see the signal generator's data sheet

Remotely sets the signal generator’s output amplitude.

Relative Amplitude (PXB)

PXB Baseband Generator and Channel Emulator

In a typical MIMO system, the average power of the signal transmitted by each antenna is different than the average power transmitted by the other antennas. For example, a difference in average power can be caused by preambles or other reference signals that are present on some antennas and not on others.

When connected to a PXB Baseband Generator and Channel Emulator, Signal Studio provides a separate Relative Amplitude cell for each antenna to display this difference in average power. For example, if you set up a two-antenna configuration in the System Configuration Wizard, the software displays two Relative Amplitude cells.

When you generate the waveform, the software sets the power in the Relative Amplitude cells based on the current waveform settings. The value in each Relative Amplitude cell represents the power in the corresponding baseband generator (BBG) on the PXB relative to the power in the other BBGs.

For more information, refer to the PXB's online documentation.

Baseband Channel Assignment (PXB)

Range: 1 to 16

Default: 1

When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell, the default BBG assignments are displayed as a comma-separated list (1,2).

The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default. You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

RF Output

Selections: On, Off

Default: On

Controls the signal generator’s RF output state

RF Output Port (EXT)

Choice: RF Out | RFIO 1 | RFIO 2

Default: RF Out

Double-click or use the drop-down menu to select the signal generator’s RF output port. This parameter is only available when connected to the E6607 EXT.


3. I/Q

I/Q instrument settings are not available for the E6607 EXT.

IQ Adjustments

Selections: On | Off

Default: Off

Turns the I/Q adjustments on or off.

  • On − The values entered for I Offset, Q Offset, and Quadrature Skew are applied to the I and Q signals.

  • Off − I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

N5182A: –20% to 20%

All other models: –50% to 50%

Default:

0.0%:

Sets a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range:

N5182A: –20% to 20%

All other models: –50% to 50%

Default:

0.0%:

Sets a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range:

N5182A: –1 dB to 1 dB in 0.001 dB steps

All other models: –4 dB to 4 dB in 0.01 dB steps

Default:

0.00 dB:

Sets the gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q or introduce calibrated impairments.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: −10 to 10 degrees

Default: 0.00 degrees

Adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees while negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Timing Skew Path

Choice: RF | BB

Default: RF

Selects the I/Q timing skew path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Selections:

N5172B/N5182B: RF Output, External I/Q Output, Dig Bus Output

Other Models: RF Output, External I/Q Output

Default: RF Output

Selects the I/Q Correction optimization path.

Set I/Q Adjustments to On to enable this parameter.

I/Q Skew

Range:

N5182A: −800 ns to 800 ns, in 1 ps steps

All other models: −2.0 to 2.0 seconds, in 1 ps steps

Default:

0.0 seconds:

Inputs skew changes to the I and Q paths, in picoseconds. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: −1.0 to 1.0 seconds, in 1 picosecond steps

Default: 0 ps

Sets the I/Q delay from triggers and markers, in picoseconds.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.


4. ALC

4. ALC: ALC Trigger Source bus (M9381A)

4. ALC: ALC Mode (M9381A)

ALC

Selections: On | Off

Default: On

Enables or disables the automatic level control.

  • On − The ALC circuit constantly monitors and controls the output power level.

  • Off − No automatic leveling occurs.

ALC Bandwidth

Selections: Auto | 100.00 Hz | 1.00 kHz | 10.00 kHz | 100.00 kHz

Default: Auto

Sets the ALC bandwidth. For waveforms with varying amplitudes, a high crest factor, or both, set the ALC loop bandwidth to 100 Hz, which is the default bandwidth set when an ARB format is turned on. Limiting the loop bandwidth of the ALC circuit prevents the ALC from sampling the fast rising edges of high-crest pulsed waveforms.

This parameter is not available for all instrument model numbers and may be grayed out.

Power Search Reference

Selections: Modulation | Fixed

Default: Modulation

Selects a fixed or modulation reference signal when doing a power search.

  • Modulation − Power search uses the RMS value of the current I/Q modulation as the reference.

  • Fixed − Power search uses a fixed 0.5 V reference.

Set ALC to Off to enable this parameter.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

RF During Power Search

Selections: Normal | Minimum

Default: Normal

Selects the level of the output power control during a power search routine.

  • Normal − Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum − Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

ALC Trigger Source bus (M9381A)

Choice: AUTO | PXI0 | .. | PXI7

Default: None

Double-click or use the drop-down menu to select a bus for ALC hold signal path on PXI backplane. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

ALC Mode (M9381A)

Choice: : Off | HOLD | TRACK

Default: Off

Double-click or use the drop-down menu to select ALC mode. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.


5. Arb Personality

Real Time

5. Dual ARB

5. Dual ARB: Baseband Frequency Offset (EXT)

ARB Sample Clock

Range: 1 kHz to 125 MHz

Default: 100 MHz

Displays the sampling clock frequency of the signal generator, which is automatically calculated by the software.

VCO Clock

Selections: Internal | External

Default: Internal

Sets the VCO clock to Internal or External.

  • Internal − the signal generator uses its internal VCO clock.

  • External − the signal generator uses an external VCO clock.

This parameter is not available for all instrument model numbers and may be grayed out.

Waveform Runtime Scaling

Range: 1% to 100%

Default: 92%

Reduces the overshoot associated with the digital-to-analog convertor (DAC) interpolation filter. Use this cell after downloading and synchronizing with the signal generator.

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital to analog converters. At 100 percent, some overshoot may occur; therefore the default setting is 92 percent.

I/Q Modulation Filter

Selections: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Selects a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter.

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals.

  • Through − bypasses filtering.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Output Filter

Selections: Auto | 40 MHz | Through

Default: Auto

Selects a filter or through path for routing I and Q signals to the I/Q outputs.

  • Auto − automatically selects an I/Q output filter.

  • 40 MHz − applies a 40 MHz baseband filter.

  • Through − bypasses filtering.

This parameter is not available for all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Selections: Auto | Manual

Default: Auto

Selects the mode of the internal I/Q modulator. Use this cell after downloading and synchronizing with the signal generator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Attenuation cell.

  • Auto − the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

Modulation Attenuation

Range: 0.00 to 40.00 dB

Default: 6.00 dB

Sets the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Use this cell after downloading and synchronizing with the signal generator.

High Crest Mode

Selections: Off | On

Default: Off

Enables or disables the high crest mode.

On − processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

Off − disables the high crest mode.

This parameter is not available for all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Sets the reference frequency source for the signal generator.

Internal − the signal generator uses its internally generated 10 MHz signal as the reference source.

External − the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s User’s Guide for information on external references.

This parameter is not available for all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.250 to 100 MHz

Default: 10.00 MHz

Sets the frequency value when using an externally-supplied reference signal. See the signal generator’s User’s Guide for information on external references.

Set ARB Reference to External to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

Baseband Frequency Offset (EXT)

Range: -50.00 MHz to 50.00 MHz

Default: 0.000 Hz

Set ARB Reference to External to enable this parameter.

Enter a frequency value by which the baseband frequency is offset relative to the carrier. This parameter is only available when connected to the E6607 EXT.


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Selections: None | Marker 1-4

Default: None

Selects an RF blanking function. Use this cell after downloading and synchronizing with the signal generator.

  • None − disables RF blanking.

  • Marker 1 through 4 − selects a marker to activate RF blanking. This turns off the RF output signal during specific conditions determined by the marker. Do not blank longer than 100 ms due to ALC hold limit.

ALC Hold

Selections: None | Marker 1-4

Default: None

Selects a marker for ALC Hold. Use ALC Hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired. Use this cell after downloading and synchronizing with the signal generator.

  • None − disables ALC hold.

  • Marker 1 through 4 − assigns a marker for the ALC hold function. When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period. Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

Alternate Amplitude

Choice: None | Marker 1 to 4

Default: None

This parameter is not available for the N5182A signal generator and is grayed out.

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

  • None − disables the alternate amplitude function.

  • Marker 1 through 4 − assigns a marker for the alternate amplitude function. When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's User's Guide.

Marker 1- 4 Polarity

Selections: Positive, Negative

Default: Positive

Selects the active polarity for Marker 1-4. Use this cell after downloading and synchronizing with the signal generator.

  • Positive − the marker signal is high during the marker points.

  • Negative − the marker signal is high during the period of no marker points.

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.


7. Dual Arb Trigger

Trigger Type

Selections: Continuous, Single, Gated, Segment Advance

Selections (M9381A): Continuous, Single

Default: Continuous

Selects the triggering type.

  • Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers or select another waveform.

  • Single – sets up a waveform to play once after receiving a trigger.

  • Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External.

  • Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See also Segment Advance Mode.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Trigger Source

Selections: Trigger Key, External, Bus

Selections (M9381A): External, Bus

Default: External

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

  • Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

  • External – causes a waveform to trigger from an externally supplied trigger signal.

  • Bus – enables the sending of a command through the GPIB, LAN or AUXILIARY IO (RS-232) input connector to trigger a waveform.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

External Source

Selections: Pattern Trigger In 1, Trigger Pattern In 2

Selections (M9381A): TRIG1, PXI0, PXI1, PXI2, PXI3, PXI4, PXI5, PXI6, PXI7

Default: Pattern Trigger In 1

Default (M9381A): PXI0

Selects the rear-panel input for the external trigger signal. External must be selected as the trigger source.

  • Patt Trig in 1 – selects the PATTERN TRIG IN rear-panel BNC connector

  • Patt Trig in 2 – selects the AUXILIARY I/O rear panel connector

For the M9381A PXIe VSG, double-click or use the drop-down menu to select the front-panel input for the external trigger signal. External must be selected as the trigger source.

  • TRIG1 – selects the Trig 1 front-panel SMA connector as the external trigger input for the M9381A PXIe VSG.

  • PXI0-PXI7 – selects the backplane bus signal for the M9381A PXIe VSG.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

External Polarity

Selections: Positive, Negative

Default: Positive

Toggles the polarity of the TTL signal at the rear panel TRIGGER OUT connector.

  • Pos – the trigger out signal is asserted high (+ 5.0 V) at the start of the swept-sine modulation sweep and low (0 V) when the sweep ends.

  • Neg – reverses the polarity, so that the trigger out signal is low (0.0 V) at the start of the swept-sine modulation sweep and high (+ 5.0 V) when the sweep ends.

External Delay

Selections: On, Off

Default: Off

Turns the external trigger delay off or on. The selection is active only after selecting External as the trigger source.

External Delay Time

Range: 10 ns to 40 ns, in 10 ns steps

Default: 1 ms

Sets the amount of time to delay the signal generator's response to an external trigger, in 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Selections: Free Run, Trigger & Run, Rest & Run

Default: Free Run

Selects the waveform's response to triggers when Continuous is the trigger mode (continuous waveform transmission.)

  • Free Run – immediately triggers when you turn the format on

  • Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

  • Rest & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Selections: Buffered Trigger, No Retrigger, Restart on Trigger

Default: Buffered Trigger

Configures the waveform's response to triggers while using the single trigger mode. The response selections determine whether the waveform accepts a trigger during playback, and if it does, how it responds to that trigger.

  • Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the play finishes.

  • No Retrigger – the waveform segment ignores triggers during playback

  • Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Segment Advance

Selections: Single, Continuous

Default: Continuous

Configures how play moves from segment to segment within a waveform sequence.

  • Single – causes a segment to play once and wait for a trigger before the sequence advances to the next segment.

  • Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Gated

Selections: Active High, Active Low

Default: Active High

Sets the trigger active state for the gated trigger mode. To use the gated trigger mode, you must also select External.

  • Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

  • Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.


8. Real-time Noise

Real Time

Go to topic Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic

8. Real-time Noise Setup

These settings only apply to an instrument that has Option 403, real-time noise capability.

Real-time Noise

Selections: On, Off

Default: Off

Enables or disables adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

  • On – automatically set the following parameters: RF Blanking = None, Oversample Ratio = 2, and Noise Bandwidth Factor = 1.

  • Off – disables addition of Real-time Noise.

Carrier to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Selects the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. The noise power is the in-channel noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: 0.001 to 80.0 MHz

Default: 1.0 Hz

Coupling: Read only when Carrier Bandwidth Auto is set to Auto

Displays the carrier bandwidth. This is the same as the bandwidth of the target carrier.

Carrier Bandwidth Auto

Selections: Auto, Manual

Default: Manual

Sets whether the Carrier Bandwidth is automatically set by the software or set manually using the Carrier Bandwidth parameter.

When set to Auto, the carrier bandwidth is as follows:

  • 1.25 MHz—single carrier signal

  • 1.25 MHz x Number-of-Carriers—multi-carrier signal

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Noise Bandwidth Factor

This parameter is not available for the N5182A.

Noise Bandwidth

Range: 0.001 to 100.000 MHz

Default: 1.0 Hz

Sets or changes the noise bandwidth (MHz)..


Licenses

Feature Index (#)

Displays the licensed feature's index number.

State

Double-click or use the drop-down menu to set the operating state of the selected feature.

The State cell turns red if a feature is set to On and a valid license is not available.

If you set the state to Off for a licensed feature that is used in the current setup, a Closed window appears that enables you to save the current setup before continuing.

Feature

Displays the model number of the licensed feature.

Minor Enhancement Updates (N7601B-Uxx)

The minor enhancement updates (MEU) option allows you to obtain the latest capabilities of the software. It is purchased as N7601B-MEU. However, each enhancement update is licensed as N7601B-Uxx, as shown in the image above. As more enhancements become available, the option suffix increments: U01, U02, U03 and so on. Purchasing MEU includes all the capabilities from previous MEU licenses. For example, purchasing the license for U03 includes everything that was in U01 and U02. If you had purchased an earlier MEU license, such as U01, and want the most recent MEU capabilities available in U03, purchasing another MEU license upgrades your software to the most current state.

Description

Displays a description of the licensed feature.

Instrument License

Displays the status of the selected license on the connected instrument.

  • Valid – the license is installed and active.

  • Invalid – the license is expired or not installed.

  • N/A – the license is not applicable.

  • Info Not Available – The Signal Studio software does not provide license information for some products.

When a new instrument connection is established or the hardware configuration is changed, the instrument licenses are automatically retrieved from the connected instrument. If the connected instrument does not have the correct licensing for the current waveform setup, initial settings are restored. You are prompted to save the setup parameters before continuing.

Carrier Name

Displays the name of the carrier associated with the selected feature.

State

Displays the status of the carrier.

  • Available – the carrier is available for use.

  • Not available – the carrier is not available or the license is not active.

Required Feature n

Displays the required capability option needed to download the waveform to an instrument.

Related Topics

Licensing


Waveform Setup

Waveform Name | Use Sequence
Comment | 1xEV-DO Rev.0 Forward Test Mode Signal

Waveform Configuration Summary Table

This table enables you to view the WFM "N" waveform information and attributes. You can also add or delete waveforms using the buttons above the table (see the descriptions below). Double-clicking a waveform row activates the setup tables for that waveform.

Adds a waveform to the waveform list.

Deletes the currently highlighted waveform. You can highlight multiple waveforms by holding down the CTRL key while selecting the waveforms. You can also use the SHIFT key to select a succession (group) of waveforms.

Basic

Waveform Name

Displays the waveform name. You can enter an alpha-numeric waveform file name, up to 22 characters in length. The name can include spaces and some special characters: _ $ & # + - [ ]. You can enter a name with more than 22 characters, but when you click outside of the cell, the software truncates the name to 22 characters. This name pertains to the entire waveform setup and appears as the prefix for each waveform in the setup.

Comment

Displays any comments. You can enter an alpha-numeric comment up to 32 characters in length. The comment resides in the file header and can include spaces and special characters. This comment pertains to the entire waveform setup; you can enter comments for individual waveforms in the WFM "N" pane.

Playback

Use Sequence

Selections: On, Off

Default: Off

Turns the sequencing mode on or off. When this is set to On, the software displays the Closed Sequence node in the tree view and the Sequence pane is available. The Sequence pane allows you to set up waveforms to be played sequentially.

Mode

1xEV-DO Rev.0 Forward Test Mode Signal

Selections: On, Off

Default: Off

Turns the factory test mode (FTM) on or off (default) for the1xEV-DO forward link. This test mode provides fully coded forward link signals for access terminal (AT) receiver tests.

Enabling this mode adds new nodes to the Closed tree view: FTM Control, Sequence, and two waveforms. No additional carriers can be added when using this mode.

  • Clicking Test Mode Signal Control provides a window to configure traffic and control channel parameters.

  • Clicking Closed Sequence displays read-only waveform and marker settings. You can, however, set Automatic Calculate Repetitions (in the FTM Control pane) to off, and edit the number of traffic waveform repetitions.

  • Clicking each Channel node displays read-only parameters for the respective channel.

Turning this mode off returns to the default waveform set up configuration. (The software prompts you to save the current parameter setup to a file when you turn this mode on or off.)

Related Topics

FTM Control

Sequence


FTM Control

Real Time

Test Mode Signal Control

3GPP2 | Baseband | Signal Generator
Traffic Data Rate | Oversampling Ratio | BandClass
Payload | Filter | Channel Number
MAC Index | Alpha | Transmitter Type
Mac Channel | BbT | Frequency
Total Number of Packets | Pre-Filter Clipping | Amplitude
Control Data Rate | Post-Filter Clipping | Tools
Pilot PN Offset | Playback | Expand Sequence
Automatic Calculate Repetitions | Traffic Waveform Frame Count | Pilot Ratio
Idle Slot Noise State | Traffic Waveform Repetition |
Idle Slot Noise Gain | Control Waveform Frame Count |
RPC Pattern | Control Waveform Repetition |
DRCLockPeriod |  |

When 1xEV-DO Rev 0 Forward Test Mode Signal is enabled in Closed Waveform Setup, the Test Mode Signal Control node is added to the tree view. This is a special mode for testing mobile handsets and cannot be used in a multicarrier waveform setup. All Channel parameters are set in this Test Mode Signal Control pane and are read-only parameters in the Traffic and Control Channel panes.

You can, however, add a fully coded 1xEV-DO Rev. 0 Forward Test Mode Signal channel to a multicarrier setup by using the Closed Add Channel feature in either the Waveform Setup or Carrier Setup panes. When adding 1xEV-DO Rev. 0 Forward Test Mode Signal in a multicarrier setup, both traffic and control channels are configurable.

3GPP2

Traffic Data Rate

Selections: Several selections available from the Closed drop-down list

0x1 38.4 (16) QPSK

0x2 76.8 (8) QPSK

0x3 153.6 (4) QPSK

0x4 307.2 (2) QPSK

0x5 307.2 (4) QPSK

0x6 614.4 (1) QPSK

0x7 614.4 (2) QPSK

0x8 921.6 (2) 8-PSK

0x9 1228.8 (1) QPSK

0xA 1228.8 (2) 16-QAM

0xB 1843.2 (16) 8-PSK

0xC 2457.6 (16) 16-QAM

Default: 0x4 307.2 ( 2) QPSK

Sets the traffic channel data rate set. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections. Each traffic channel data rate set includes the data rate control (DRC) value, data rate, number of slots per packet, and modulation type.

Closed Example…

0x4 307.2 (2) QPSK represents: a data rate control (DRC) value of 0x4, a data rate of 307.2 kbps, 2 slots per packet, QPSK modulation type.

Payload

Selections: PN9, PN15, User Defined Bits

Default: PN9

Sets the data type (bit pattern) to be transmitted during the medium access control (MAC) layer portion of the physical layer packet.

The [image] icon at the right edge of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Test Mode Signal Control pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Test Mode Signal Control pane.

User Defined Bits

This selection opens the Closed User data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

MAC Index

Range: 5 to 63

Default: 7

Sets the medium access control (MAC) index for the forward link traffic channel.

Mac Channel

Selections: On, Off

Default: On

Sets the state of the medium access control (MAC) channel for the entire frame. Any channel configuration done at the slot level is not valid unless this channel is activated for use in the entire frame.

Total Number of Packets

Range: 1 to 16

Default: 8

Sets the number of unique physical layer packets to be transmitted over the traffic channel.

Control Data Rate

Selections: 38.4 kbps, 76.8 kbps

Default: 38.4 kbps

Sets the data rate for the control channel. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

Pilot PN Offset

Range: 0 to 511

Default: 0

Sets the pilot channel PN offset. The PN offset of the pilot channel indicates the cell or sector of the transmitting access network.

Automatic Calculate Repetitions

Selections: On, Off

Default: On

Enables automatic calculation of the number of traffic and control waveform repetitions. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

When set to on, the software calculates and sets the number of repetitions for each waveform. When set to off, you can enter the desired number of repetitions. This provides the flexibility to set up custom ratios of traffic channel transmissions to control channel transmissions.

Idle Slot Noise State

Selections: On, Off

Default: On

Allows An idle slot to have a controllable low level of noise, rather than no signal, to improve the on/off ratio that must be handled by the component. This low level of the noise is controlled by the Idle Slot Gain parameter. During idle slot transmission, a large on/off power ratio requires that the access network power amplifier have extremely wide dynamic range. This is typically not the case. address this issue, the idle slot noise function allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. When the idle slot noise is disabled, RF blanking (turning off the RF signal in certain conditions) is automatically enabled, which results in a very large on/off power ratio during idle slot transmission. \

Idle Slot Noise Gain

Allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. To set the idle slot gain, the idle slot noise function must be enabled first. Range: -80 dB to 0 dB Default: 0.00 dB

RPC Pattern

SelecT a data type by clicking on the [image] to launch a Closed RPC Selection dialog box.

DRCLockPeriod

Selections: 8 slots, 16 slots

Default: 16 Slots

Select the DRCLockPeriod Length. The value could be 8 or 16 slots.

Baseband

Oversampling Ratio

Selections: Auto, 1, 2, 4, 8, 16, 32, 64

Default: Auto

Defines the number of samples calculated per I/Q symbol. Increasing the oversampling ratio of the constructed signal increases the separation of the sampling images from the desired signal. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

This allows for better image rejection by the baseband reconstruction filter. However, the improved image rejection comes with a price. Increasing the oversampling ratio increases the waveform calculation time and file size. Notice that the projected file length (data points) in the Projected waveform lists pane is updated as the oversampling ratio setting is increased.

If the oversample ratio is not set high enough, the following message appears in the status bar: "Oversample Ratio is not enough. More than <value> is required."

Filter

Selections: Auto, 1, 2, 4, 8, 16, 32, 64

Default: Auto

Displays the baseband filter type and its parameters.

Filter

Range: None, Root Nyquist, Nyquist, Rectangle,Gaussian, IS95 STD, IS95 STD EQ, IS95 ACP, IS95 ACP EQ, IS95 EVM EQ

Default: IS95 STD EQ

Sets the baseband Closed filter type. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

None | no filter is used
Root Nyquist | root Nyquist filter
Nyquist | Nyquist filter
Rectangle | Rectangular filter
Gaussian | Gaussian filter
IS95 STD | IS95 standard filter
IS95 STD EQ | IS95 standard filter with phase equalization
IS95 ACP | IS95 filter modified for improved adjacent channel power performance
IS95 ACP EQ | IS95 filter modified for improved adjacent channel power performance with phase equalization
IS95 EVM EQ | IS95 filter modified for improved error vector magnitude performance with phase equalization
Note: Phase equalization filters perform as pre-distortion filters to correct for delay distortion across the frequency band of interest.

Alpha

Range: Filter factor for Nyquist and Root Nyquist filters

Default: 0.22

Changes the Alpha parameter for Root Nyquist and Nyquist filters. This field is inactive with other filter selections.

BbT

Range: Filter factor for Gaussian filter

Default: 0.5

Changes the BbT parameter for a Gaussian filter. This field is inactive with other filter selections.

Pre-Filter Clipping

Range: 10% – 100%

Default: 100%

Sets the circular clipping percentage for each carrier prior to finite impulse response (FIR) filtering of the I and Q data. Clipping limits power peaks in waveforms by clipping the I and Q data to a selected percentage of its highest peak. Circular clipping is defined as clipping the composite I/Q data (I and Q data are equally clipped). For more information, see Understanding Waveform Clipping. A level of 100.0% equates to no clipping.

Post-Filter Clipping

Range: 10% – 100%

Default: 100%

Sets the circular clipping percentage for each carrier after finite impulse response (FIR) filtering of the I and Q data. Clipping limits power peaks in waveforms by clipping the I and Q data to a selected percentage of its highest peak. Circular clipping is defined as clipping the composite I/Q data (I and Q data are equally clipped). For more information, see Understanding Waveform Clipping. A level of 100.0% equates to no clipping.

Playback

Traffic Waveform Frame Count

Displays the number of traffic frames required for the current forward link factory test mode (Test Mode Signal) configuration. You cannot edit this cell.

Traffic Waveform Repetition

Range: 1 to 46

Displays the number of data points in the traffic waveform. You cannot edit this cell.

Control Waveform Frame Count

Displays the number of control frames required for the current forward link forward test mode (Test Mode Signal) configuration. You cannot edit this cell.

Control Waveform Repetition

Max Value: 1

Displays the number of data points in the control waveform. You cannot edit this cell.

Signal Generator

BandClass

Selections: Several selections available from the Closed drop-down list

Band Class 0 (800-MHz Band)

Band Class 1 (1900-MHz Band)

Band Class 2 (TACS Band)

Band Class 3 (JTACS Band)

Band Class 4 (Korean PCS Band)

Band Class 5 (450-MHz Band)

Band Class 6 (2-GHz Band)

Band Class 7 (700-MHz Band)

Band Class 8 (1800-MHz Band)

Band Class 9 (900-MHz Band)

Default: Band Class 1 (1900-MHz Band)

Sets the band class. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

The band class setting combined with the channel number setting, determines the frequency setting on the signal generator.

Channel Number

Range: Closed Varies with the selected Band Class

Band Class | Available Channel Numbers
Band Class 0 (800 MHz Band) | 1 – 799, 991 – 1024
Band Class 1 (1900 MHz Band) | 0 – 1200
Band Class 2 (TACS Band) | 0 – 1000, 1329 – 2048
Band Class 3 (JTACS Band) | 1 – 799, 801 – 1039, 1041 – 1199, 1201 – 1600
Band Class 4 (Korean PCS Band) | 0 – 599
Band Class 5 (450 MHz Band) | 1 – 300, 539 – 871, 1039 – 1473, 1792 – 2016
Band Class 6 (2 GHz Band) | 0 – 1199
Band Class 7 (700 MHz Band) | 0 – 359
Band Class 8 (1800 MHz Band) | 0 – 1499
Band Class 9 (900 MHz Band) | 0 – 699

Sets the number of channels. The channel number setting, combined with the band class setting, determines the frequency setting on the signal generator.

Transmitter Type

Selections: AN, AT

Default: AT

Sets the transmitter type. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections. The transmitter types are:

  • AN (Access Network) – This network equipment performs the same role as a base station, providing data connectivity between a packet-switched data network such as the internet and the ATs.

  • AT (Access Terminal) – A mobile device equipped with a radio modem and a data interface, allowing the user to access a packet data network through the 1xEV-DO access network.

Frequency

Displays the frequency (Hz) at which the signal generator plays the waveform. In Test Mode Signal mode, the frequency cannot be changed directly from the software interface, but is determined by the band class, transmitter type, and channel number settings. You can set the frequency to a value other than what is shown through the signal generator's front panel.

Closed Frequency Table…

Band Class | Channel Numbers | AN (Access Network) Frequency (MHz) | AT (Access Terminal) Frequency (MHz)
Band Class 0 (800 MHz Band) | 1 – 799 991 – 1024 | 0.03 * channel + 870 0.03 * (channel – 1024) + 870 | 0.03 * channel + 825 0.03 * (channel – 1024) + 825
Band Class 1 (1900 MHz Band) | 0 – 1200 | 0.05 * channel + 1930 | 0.05 * channel + 1850
Band Class 2 (TACS Band) | 0 – 1000 1329 – 2048 | 0.025 * channel + 934.9875 0.025 * (channel – 1328) + 916.9875 | 0.025 * channel + 889.9875 0.025 * (channel – 1328) +.871.9875
Band Class 3 (JTACS Band) | 1 – 799 801 – 1039 1041 – 1199 1201 – 1600 | 0.0125 * channel + 860 0.0125 * (channel – 800) + 843 0.0125 * (channel – 1040) + 832 0.0125 * (channel – 1200) + 838 | 0.0125 * channel + 915 0.0125 * (channel – 800) + 898 0.0125 * (channel – 1040) + 887 0.0125 * (channel – 1200) + 893
Band Class 4 (Korean PCS Band) | 0 – 599 | 0.05 * channel + 1840 | 0.05 * channel + 1750
Band Class 5 (450 MHz Band) | 1 – 300 539 – 871 1039 – 1473 1792 – 2016 | 0.025 * channel + 460 0.025 * (channel – 512) + 421 0.02 * (channel – 1024) + 461.01 0.02 * (channel – 1792) + 489 | 0.025 * channel + 450 0.025 * (channel – 512) + 411 0.02 * (channel – 1024) + 451.01 0.02 * (channel – 1792) + 479
Band Class 6 (2 GHz Band) | 0 – 1199 | 0.05 * channel + 2110 | 0.05 * channel + 1920
Band Class 7 (700 MHz Band) | 0 – 359 | 0.05 * channel + 746 | 0.05 * channel + 776
Band Class 8 (1800 MHz Band) | 0 – 1499 | 0.05 * channel + 1805 | 0.05 * channel + 1710
Band Class 9 (900 MHz Band) | 0 – 699 | 0.05 * channel + 925 | 0.05 * channel + 880

Amplitude

Range: –110 dBm to 25 dBm

Default: –10 dBm

Is the power level (dBm) at which the signal generator plays the waveform.

Tools

Expand Sequence

Selections: On, Off

Default: On

Expands the generated sequence to one waveform file.

Pilot Ratio

Range: 0.5 to 2.0

Default: 1.0

Sets the pilot power ratio.

Related Topic

Understanding Test Mode Signal Forward Channels


Sequence

When the sequencing mode is set to On in Closed Waveform Setup, the software displays the Sequence node in the tree view. Click the node to access the Sequence pane where you can set up previously configured waveforms to be played in an order specific to your requirements. You can add and arrange up to 10 waveforms for playback. You can also play each waveform up to 65,535 times before stepping to the next waveform and control the four marker states for each waveform.

If you have 1xEV-DO Rev. 0 Forward FTM mode set to On in Closed Waveform Setup, these parameters cannot be edited.

Sequence Table

Inserts a waveform (WFM) into the sequence. The added waveform is inserted immediately above the selected waveform.

Appends a waveform (WFM) to the bottom of the sequence.

Deletes the selected waveform from the sequence.

Moves the selected waveform up one position in the sequence table.

Moves the selected waveform down one position in the sequence table.

#

Displays the waveform number. You cannot edit cells in this column.

Waveform

Displays the waveform name. You cannot edit cells in this column.

Total Sample Points

Displays the number of sample points. This field is updated after the waveform is generated and cannot be edited. You cannot edit cells in this column.

Repetitions

Range: 1 to 65535

Default: 1

Sets the number of times you want the waveform to play before playing the next waveform. Click the number in this column to highlight the repetitions and enter the number of times you want the waveform to play.

M1 – M4

Selections: On, Off

Default: On

Sets the marker state for each marker of each waveform in the sequence. If you click in the cell, the [image] icon is displayed. Click the icon and you may select from either On or Off to set the individual marker state. The source of each marker is defined when the waveform is defined in the WFM "N" pane.

Related Topics

Creating a Waveform Sequence Waveform Setup

WFM "N"


WFM N

Real Time

WFM "N"

Waveform Name | Marker 3 Source
Comment | Marker 4 Source
Total Sample Points | CCDF
Map | Waveform
Marker 1 Source |
Marker 2 Source |

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier.

Opens a Closed drop-down menu of predefined carrier configuration selections. Double-clicking a configuration replaces the current configuration in the Carrier Configuration Summary Table.

Opens a Closed drop-down menu which allows you to add a carrier to the current configuration.

The new carrier is added immediately above the currently highlighted carrier in the Carrier Configuration Summary Table.

Deletes the currently highlighted carrier in the Carrier Configuration Summary Table. You can highlight multiple carriers by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of carriers.

Copies the highlighted carrier and appends it at the bottom of the carrier list.

Waveform Attributes

1. Basic

Waveform Name

Displays the name of the waveform entered in the waveform setup window. It cannot be edited in this cell.

Comment

Allows you to enter an alpha-numeric comment up to 32 characters in length. The comment may be unique for each individual waveform.

Total Sample Points

Displays the number of sample points. This field is updated after the waveform is generated and cannot be edited.

I/Q Map

Selections: Normal, Invert

Default: Normal

Allows you to select a normal or inverted I/Q signal. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

2. Marker

Marker 1 Source

Selections: None, Frame, RF ALC Control, RF Blanking Control, Timing Control, User Defined Bits

Default: Frame

Defines the source of the marker points for Marker 1. Click [image] at the right edge of the cell to display the Closed Marker Source Selection dialog box from which you can select the marker source.

Select one of the following sources for the marker.

None

Sets all maker points are set to zero (inactive).

Frame

Sets the first five marker bits of the frame to 1, which sets an active marker for the first five waveform samples (waveform points). The signal generator outputs the Marker 1 output from the rear-panel Event 1 output.

RF ALC Control

Activates the automatic leveling control (ALC) function. When enabled, the ALC constantly monitors and controls the RF output power of the signal generator.

The ALC circuit cannot properly handle some modulation conditions, leading to output power level errors. In these conditions, turning the ALC off and using the signal generator power search function can achieve better power level accuracy.

RF Blanking Control

Assigns a specific marker to activate RF blanking. The automatic leveling control (ALC) hold is automatically enabled during output blanking.

RF Blanking Control improves the signal quality when the MAC channel and/or traffic channel are de-activated in a timeslot. It does so by increasing the on/off ratio of the forward link RF bursts.

When RF Blanking Control is enabled, the marker polarity must be set to positive or the wanted RF signal will be blanked, resulting in no RF output from the signal generator.

Timing Control

Sets the marker so that it is generated by the waveform.

IS95/cdma2000 generates the first five waveform samples (waveform points) in the The short PN code has a length of 32,768 chips, a speed of 1.2288 million chips per second, and a cyclic period of 26.67 ms. short code cycle. 1xEV-DO generates the half-slot timing.

User Defined Bits

Opens the user Closed data entry area, which lets you customize the marker signal.

The data entry area contains buttons to import, export, or clear user marker data along with the ability to insert a PN9 sequence as the marker bits. Optionally you can manually insert or delete marker data. To manually insert marker data, simply place the cursor within the data entry area or highlight existing bits, and insert bits. There are three ways to insert marker data:

  • using the 1 (marker active) and 0 (marker inactive) keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete data. The key board short cut Ctrl+Z also deletes highlighted data.

The maximum number of marker bits for the user data entry area is 2,097,152 which equals 32,768 (1short code data points) * 64 (oversampling ratio). This is also the maximum file size.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29–1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

The software lets you create a file larger than it uses for the waveform. When this occurs, the software truncates the excess marker bits. Conversely, if there are not enough marker bits, the software repeats the marker bit pattern until there are enough marker bits to match the Waveform Length cell value.

The signal generator outputs the marker 1 signal from the rear-panel EVENT 1 output. For more information, see the signal generator's User Guide.

Marker 2 Source

Selections: None, Frame, RF ALC Control, RF Blanking Control, Timing Control, User Defined Bits

Default: None

Defines the source of the marker points for Marker 2. Click [image] at the right edge of the cell to display the Closed Marker Source Selection dialog box from which you can select the marker source.

Select one of the following sources for the marker.

None

Sets all maker points are set to zero (inactive).

Frame

Sets the first five marker bits of the frame to 1, which sets an active marker for the first five waveform samples (waveform points). The signal generator outputs the Marker 1 output from the rear-panel Event 1 output.

RF ALC Control

Activates the automatic leveling control (ALC) function. When enabled, the ALC constantly monitors and controls the RF output power of the signal generator.

The ALC circuit cannot properly handle some modulation conditions, leading to output power level errors. In these conditions, turning the ALC off and using the signal generator power search function can achieve better power level accuracy.

RF Blanking Control

Assigns a specific marker to activate RF blanking. The automatic leveling control (ALC) hold is automatically enabled during output blanking.

RF Blanking Control improves the signal quality when the MAC channel and/or traffic channel are de-activated in a timeslot. It does so by increasing the on/off ratio of the forward link RF bursts.

When RF Blanking Control is enabled, the marker polarity must be set to positive or the wanted RF signal will be blanked, resulting in no RF output from the signal generator.

Timing Control

Sets the marker so that it is generated by the waveform.

IS95/cdma2000 generates the first five waveform samples (waveform points) in the The short PN code has a length of 32,768 chips, a speed of 1.2288 million chips per second, and a cyclic period of 26.67 ms. short code cycle. 1xEV-DO generates the half-slot timing.

User Defined Bits

Opens the user Closed data entry area, which lets you customize the marker signal.

The data entry area contains buttons to import, export, or clear user marker data along with the ability to insert a PN9 sequence as the marker bits. Optionally you can manually insert or delete marker data. To manually insert marker data, simply place the cursor within the data entry area or highlight existing bits, and insert bits. There are three ways to insert marker data:

  • using the 1 (marker active) and 0 (marker inactive) keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete data. The key board short cut Ctrl+Z also deletes highlighted data.

The maximum number of marker bits for the user data entry area is 2,097,152 which equals 32,768 (1short code data points) * 64 (oversampling ratio). This is also the maximum file size.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29–1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

The software lets you create a file larger than it uses for the waveform. When this occurs, the software truncates the excess marker bits. Conversely, if there are not enough marker bits, the software repeats the marker bit pattern until there are enough marker bits to match the Waveform Length cell value.

The signal generator outputs the marker 2 signal from the rear-panel EVENT 2 output. For more information, see the signal generator's User Guide.

Marker 3 Source

Selections: None, Frame, RF ALC Control, RF Blanking Control, Timing Control, User Defined Bits

Default: None

Defines the source of the marker points for Marker 3. Click [image] at the right edge of the cell to display the Closed Marker Source Selection dialog box from which you can select the marker source.

The signal generator outputs the marker 3 signal from the rear-panel EVENT 3 output. For more information, see the signal generator's User Guide.

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.

Select one of the following sources for the marker.

None

Sets all maker points are set to zero (inactive).

Frame

Sets the first five marker bits of the frame to 1, which sets an active marker for the first five waveform samples (waveform points). The signal generator outputs the Marker 1 output from the rear-panel Event 1 output.

RF ALC Control

Activates the automatic leveling control (ALC) function. When enabled, the ALC constantly monitors and controls the RF output power of the signal generator.

The ALC circuit cannot properly handle some modulation conditions, leading to output power level errors. In these conditions, turning the ALC off and using the signal generator power search function can achieve better power level accuracy.

RF Blanking Control

Assigns a specific marker to activate RF blanking. The automatic leveling control (ALC) hold is automatically enabled during output blanking.

RF Blanking Control improves the signal quality when the MAC channel and/or traffic channel are de-activated in a timeslot. It does so by increasing the on/off ratio of the forward link RF bursts.

When RF Blanking Control is enabled, the marker polarity must be set to positive or the wanted RF signal will be blanked, resulting in no RF output from the signal generator.

Timing Control

Sets the marker so that it is generated by the waveform.

IS95/cdma2000 generates the first five waveform samples (waveform points) in the The short PN code has a length of 32,768 chips, a speed of 1.2288 million chips per second, and a cyclic period of 26.67 ms. short code cycle. 1xEV-DO generates the half-slot timing.

User Defined Bits

Opens the user Closed data entry area, which lets you customize the marker signal.

The data entry area contains buttons to import, export, or clear user marker data along with the ability to insert a PN9 sequence as the marker bits. Optionally you can manually insert or delete marker data. To manually insert marker data, simply place the cursor within the data entry area or highlight existing bits, and insert bits. There are three ways to insert marker data:

  • using the 1 (marker active) and 0 (marker inactive) keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete data. The key board short cut Ctrl+Z also deletes highlighted data.

The maximum number of marker bits for the user data entry area is 2,097,152 which equals 32,768 (1short code data points) * 64 (oversampling ratio). This is also the maximum file size.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29–1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

The software lets you create a file larger than it uses for the waveform. When this occurs, the software truncates the excess marker bits. Conversely, if there are not enough marker bits, the software repeats the marker bit pattern until there are enough marker bits to match the Waveform Length cell value.

Marker 4 Source

Selections: None, Frame, RF ALC Control, RF Blanking Control, Timing Control, User Defined Bits

Default: None

Defines the source of the marker points for Marker 4. Click [image] at the right edge of the cell to display the Closed Marker Source Selection dialog box from which you can select the marker source.

The signal generator outputs the marker 4 signal from the rear-panel EVENT 4 output. For more information, see the signal generator's User Guide.

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.

Select one of the following sources for the marker.

None

Sets all maker points are set to zero (inactive).

Frame

Sets the first five marker bits of the frame to 1, which sets an active marker for the first five waveform samples (waveform points). The signal generator outputs the Marker 1 output from the rear-panel Event 1 output.

RF ALC Control

Activates the automatic leveling control (ALC) function. When enabled, the ALC constantly monitors and controls the RF output power of the signal generator.

The ALC circuit cannot properly handle some modulation conditions, leading to output power level errors. In these conditions, turning the ALC off and using the signal generator power search function can achieve better power level accuracy.

RF Blanking Control

Assigns a specific marker to activate RF blanking. The automatic leveling control (ALC) hold is automatically enabled during output blanking.

RF Blanking Control improves the signal quality when the MAC channel and/or traffic channel are de-activated in a timeslot. It does so by increasing the on/off ratio of the forward link RF bursts.

When RF Blanking Control is enabled, the marker polarity must be set to positive or the wanted RF signal will be blanked, resulting in no RF output from the signal generator.

Timing Control

Sets the marker so that it is generated by the waveform.

IS95/cdma2000 generates the first five waveform samples (waveform points) in the The short PN code has a length of 32,768 chips, a speed of 1.2288 million chips per second, and a cyclic period of 26.67 ms. short code cycle. 1xEV-DO generates the half-slot timing.

User Defined Bits

Opens the user Closed data entry area, which lets you customize the marker signal.

The data entry area contains buttons to import, export, or clear user marker data along with the ability to insert a PN9 sequence as the marker bits. Optionally you can manually insert or delete marker data. To manually insert marker data, simply place the cursor within the data entry area or highlight existing bits, and insert bits. There are three ways to insert marker data:

  • using the 1 (marker active) and 0 (marker inactive) keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete data. The key board short cut Ctrl+Z also deletes highlighted data.

The maximum number of marker bits for the user data entry area is 2,097,152 which equals 32,768 (1short code data points) * 64 (oversampling ratio). This is also the maximum file size.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29–1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

The software lets you create a file larger than it uses for the waveform. When this occurs, the software truncates the excess marker bits. Conversely, if there are not enough marker bits, the software repeats the marker bit pattern until there are enough marker bits to match the Waveform Length cell value.

Graphs

CCDF

Displays the Complimentary Cumulative Distribution Function (CCDF) graph. This Closed graph shows the plot and peak-to-average values for the current waveform. A waveform can only be plotted after it has been generated.

The CCDF graph displays the probability (in percentage) of the generated carrier's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the carrier. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Gaussian

Toggles the view of the band-limited Gaussian noise curve (blue).

Reference

Toggles the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button.

Acquire Ref.

Sets the current waveform curve to yellow and the reference curve to red. Click the Reference button to view the reference curve.

Waveform

Power

Selects different waveform plots. Selections include Power, Closed I+Q, Closed I|Q, and Closed Spectrum. Each click selects the next plot type in the list. You can also click the arrow to access a drop-down menu where you can make a direct selection.

I+Qplots the I and Q curves overlapped.

I|Qdisplays the I and Q curves separately.

Spectrum displays a frequency domain based plotting.

Related Topics

Waveform Setup

Carrier "N"


Carrier "N"

3GPP2 |  |
State | RPC Data | Expand Sequence
Channel Configuration | RPC Exist | Chip Rate
Repetition | RPC Data | Waveform Generation Length
MAC Index | Number of Super Frames | Waveform Generation Offset
RPC Exist | Waveform Length |
Baseband |  |
Radio Config | Pre-Filter Clipping | Power
Oversampling Ratio | Post-Filter Clipping | Timing Offset
Filter | Total Sample Points | PN Offset
Alpha | Frequency Offset |
BbT | Frequency Offset |

If you have 1xEV-DO Rev. 0 Forward Test Mode Signal mode set to on in the Closed Waveform Setup pane, these parameters are set in the Test Mode Signal window and are read-only in the Carrier Setup pane.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 25 carriers in the waveforms.

Default: Varies by Radio Format

Opens a Closed drop-down menu with the predefined carrier configuration selections. Double-clicking a predefined carrier configuration in the window replaces the current carrier configurations in the Carrier Configuration Summary Table.

Opens a Closed drop-down menu which allows you to add a carrier to the current configuration. The new carrier is added immediately above the currently highlighted carrier in the Carrier Configuration Summary Table.

Deletes the highlighted carriers in the Carrier Configuration Summary Table.

Copies the highlighted carrier and appends the copy to the bottom of the carrier list.

3GPP2

State

Selections: On, Off

Default: On

Sets the state of the selected carrier to either on or off. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

Channel Configuration

Selections: Closed Varies by radio format

Default: Varies by radio format

Radio Format | Selections ( = default value)¨
IS95A Forward | Pilot 9 Ch Forward 32 Ch Forward 64 Ch Forward¨
IS95A Reverse | Traffic ¨
cdma200 Forward | Pilot 9 Channel Forward 12 Channel Forward 15 Channel Forward¨
cdma2000 Reverse | Pilot 5 Channel Reverse ¨
Basic 1xEV-DO Rev.0 Forward | MAC Traffic 16QAM without coding Traffic 8PSK without coding Traffic QPSK without coding¨
Basic 1xEV-DO Rev.0 Reverse | Basic Traffic BPSK without coding¨
Advanced 1xEV-DO Rev.0 Reverse | Basic Traffic 152.6k¨
Basic 1xEV-DO Rev.A Forward | MAC Traffic 16QAM without coding¨
Advanced 1xEV-DO Rev.A Forward | MAC Traffic (4096,1,64) Traffic (1024,1,64)¨
Basic 1xEV-DO Rev.A Reverse | Basic Traffic Q2 without coding¨
Advanced 1xEV-DO Rev.A Reverse | Basic Traffic (4096,Q2) Traffic (8192,Q4Q2) Traffic (12288,E4E2)¨
1xEV-DO Rev.0 Forward Test Mode Signal | Control Channel Traffic Channel¨
Advanced cdma2000 Forward | Radio Configuration 1 Forward Radio Configuration 2 Forward Radio Configuration 3 Forward ¨ Radio Configuration 4 Forward Radio Configuration 5 Forward Pilot 9 Channel Forward 12 Channel Forward 15 Channel Forward¨
1xEV-DO Rev.A Forward Test Mode Signal | Control Channel Traffic Channel¨

Sets the predefined channel configuration of the selected carrier. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections. The configuration can also be set by selecting the [image] button in each of the Channel Setup panes.

Repetition

Range: 0 to 30

Default: 2

Sets the number of repetitions this frame is used in the sequence.

MAC Index

Range: 2 to 127

Default: 7

Sets the medium access control (MAC) index for the forward link traffic channel.

RPC Exist

Selections: True or False

Default: True

Select True, if you want to use the bits entered in the RPC Data field. Select False, if you want to set the RPC data in the TimeSlots node.

RPC Data

Default: 01

Sets RPC data used in MAC channel.

Number of Super Frames

Range: 1 to 100

Default: 1

Note: 1 Super frame is 240 ms length

Enter a number of frames for the selected carrier.

The number of frames in a multi-carrier waveform is determined by the carrier with the largest number of frames. In carriers in the waveform with fewer frames, the frames are repeated until the number of frames matches that in the longest carrier. For example, for two carriers A and B in the same waveform, if A has 10 frames and B has 3 frames, B is repeated 3 times completely, then one more frame from B is used before both A and B start again.

The maximum waveform length depends on the oversampling ratio, the number of carriers, and your PC resources,an Out of Memory error is reported, reduce the number of frames, the number of carriers, or the maximum Frequency Offset (reducing the Frequency offset, reduces the ov (memory size). If ersampling ratio which reduces the amount of PC memory required).

Expand Sequence

Selections: On, Off

Default: On

Expands the generated sequence to one waveform file. On means it will generate one waveform instead of a sequnece containing 2 waveforms.

Waveform Length

Displays the length of the waveform.

Chip Rate

Displays the chip rate setting of the selected carrier.

Waveform Generation Length

Selections:
 | IS95A and cdma2000 Carriers: PN Sequence Period (26.666…ms), 1 PCG (1.25 ms), 2 PCG's (2.5 ms), 3 PCG's (3.75 ms), 4 PCG's (5 ms), 5 PCG's ( 6.25 ms), 6 PCG'g (7.5 ms), 7 PCG's (8.75 ms), 8 PCG's (10 ms), 9 PCG's (11.25 ms), 10 PCG's (12.5 ms), 11 PCG's (13.75 ms), 12 PCG's (15 ms), 13 PCG's (16.25 ms), 14 PCG's (17.5 ms), 15 PCG's (18.75 ms), 16 PCG's (20 ms)
 | Basic 1xEV-DO Carriers except Basic 1xEV-DO Rev.A Reverse Carrier: Physical Layer Packet (26.666…ms), 1 Slot (1.666…ms), 2 Slots (3.333…ms), 3 Slots (5 ms), 4 Slots (6.66…ms), 5 Slots (8.333…ms), 6 Slots (10 ms), 7 Slots (11.666…ms), 8 Slots (13.33…ms), 9 Slots (15 ms), 10 Slots (16.666…ms), 11 Slots (18.333…ms), 12 Slots (20 ms), 13 Slots, (21.666…ms), 14 Slots (23.333…ms), 15 Slots (25 ms)
 | Basic 1xEV-DO Rev.A Reverse Carrier: Auto, 1 Slot (1.666…ms), 2 Slots (3.333…ms), 3 Slots (5 ms), 4 Slots (6.66…ms), 5 Slots (8.333…ms), 6 Slots (10 ms), 7 Slots (11.666…ms), 8 Slots (13.33…ms), 9 Slots (15 ms), 10 Slots (16.666…ms), 11 Slots (18.333…ms), 12 Slots (20 ms), 13 Slots, (21.666…ms), 14 Slots (23.333…ms), 15 Slots (25 ms)
Default:
 | IS95A and cdma2000 Carriers: PN Sequence Period (26.666…ms)
 | Basic 1xEV-DO Carriers except Basic 1xEV-DO Rev.A Reverse Carrier: Physical Layer Packet (26.666…ms)
 | Basic 1xEV-DO Rev.A Reverse Carrier: Auto

Double-click or use the drop-down menu to select the waveform generation length.

For the Basic 1xEV-DO Rev.A Reverse carrier, when Auto is the selection, the carrier length is determined by the Data Packet Transmission Repetition value:

  • For a value of 3, the Waveform Generation Length is 240 ms.

  • For a value other than 3, the Waveform Generation Length is 80 ms.

A waveform offset is available using the Waveform Generation Offset parameter when one of the following conditions apply:

  • For IS95A and cdma2000 carrriers, when less than a PN Sequence Period is selected.

  • For Basic 1xEV-DO Carriers except Basic 1xEV-DO Rev.A Reverse Carrier, when less than one physical layer packet is selected.

  • For Basic 1xEV-DO Rev.A Reverse carrier, when Auto is not the selection.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Waveform Generation Offset

Range: 0–15 PCG/Slot (15 is the waveform generation length)

Default: 0.0 ms

Coupling:

This setting is grayed out until one of the following conditions is met using the Waveform Generation Length parameter:

  • For IS95A and cdma2000 carrriers, when less than a PN Sequence Period is selected.

  • For Basic 1xEV-DO Carriers except Basic 1xEV-DO Rev .A Reverse Carrier, when less than one physical layer packet is selected.

  • For Basic 1xEV-DO Rev.A Reverse carrier, when Auto is not the selection.

Sets the waveform generation offset, when the waveform generation length selected is less than 16 PCGs/slots. The offset value is clipped so that the offset and the waveform length does not exceed 16 PCGs/slots

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Baseband

Radio Config

Displays the radio configuration selection of the selected carrier. This cell is displayed in CDMA2000 Reverse only.

Oversampling Ratio

Selections: Auto, 1, 2, 4, 8, 16, 32, and 64

Default: Auto

Sets the oversampling ratio of the selected carrier. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

Filter

Displays the filter type selection and the appropriate filter parameters for the selected carrier.

The filter type and parameters may be changed using the filter entry when the [image] icon is displayed. If the [image] icon is displayed, click it to expand the Filter selection area allowing you access to the filter selections and parameters.

Filter

Sets the baseband filter type. The [image] icon at the right edge of the entry box displays a drop-down list with all available selections.

Range: None, Root Nyquist, Nyquist, Rectangle,Gaussian, IS95 STD, IS95 STD EQ, IS95 ACP, IS95 ACP EQ, IS95 EVM EQ

Default: IS95 STD EQ

If the overSampling ratio is set to 1, the filter type is automatically set to None, and the filter types and corresponding filter parameters are not available.

If the oversampling ratio is set to any other value, you can select one of the listed filter types and edit the associated parameters.

Alpha

Range: Filter factor for Nyquist and Root Nyquist filters

Default: 0.22

Changes the Alpha parameter for Root Nyquist and Nyquist filters. This field is inactive with other filter selections.

BbT

Range: Filter factor for Gaussian filter

Default: 0.5

Changes the BbT parameter for a Gaussian filter. This field is inactive with other filter selections.

Pre-Filter Clipping

Range: 10% – 100%

Default: 100%

Sets the circular clipping percentage for each carrier prior to finite impulse response (FIR) filtering of the I and Q data. Clipping limits power peaks in waveforms by clipping the I and Q data to a selected percentage of its highest peak. Circular clipping is defined as clipping the composite I/Q data (I and Q data are equally clipped). For more information, see Understanding Waveform Clipping. A level of 100.0% equates to no clipping.

Post-Filter Clipping

Range: 10% – 100%

Default: 100%

Sets the circular clipping percentage for each carrier after finite impulse response (FIR) filtering of the I and Q data. Clipping limits power peaks in waveforms by clipping the I and Q data to a selected percentage of its highest peak. Circular clipping is defined as clipping the composite I/Q data (I and Q data are equally clipped). For more information, see Understanding Waveform Clipping. A level of 100.0% equates to no clipping.

Total Sample Points

Displays the length of the waveform in sample points. You cannot edit this cell. Total Sample Points is directly related to the Oversampling Ratio value selected. The higher the oversampling ratio, the larger the number of waveform sample points. Closed Oversampling Ratio–Total Sample Points Details…

Oversampling Ratio | Total Sample Points
 | All IS95A, CDMA2000, and 1xEV-D0 Rev.0, and 1xEV-DO Rev.A Forward only (Basic and Advanced) | 1xEV-DO Rev.A Reverse (Basic and Advanced)
Auto (default) | 131072 | 393216
1 | 32768 | 98304
2 | 65536 | 199608
4 | 131072 | 393216
8 | 262144 | 786432
16 | 524288 | 1572864
32 | 1048576 | 3145728
64 | 2097152 | 6291456
25 | 819200 | 2457600
50 | 1638400 | 4915200

Frequency Offset

Range: –37.5 to 37.5 MHz

Default: 0.000000 Hz

Sets the frequency offset for the carrier relative to the signal generator's frequency setting. This parameter is coupled with Oversampling Ratio.

Power

Range: –40 to 0 dB

Default: 0.00 dB

Sets the carrier's power relative to the signal generator's amplitude setting.

Timing Offset

Closed For EV-DO carriers

Range: 0 – 149

Default: 0

Sets the timing offset of the carrier. The timing offset values increment by 1 chips. Physical channels summed in phase produce a high crest factor (high peak-to-average ratio). Offsetting the timing can minimize the crest factor.

Closed For the other carriers

Range: 0 – 149

Default: 0

Sets the timing offset of the carrier. The timing offset values increment by 512 chips. Physical channels summed in phase produce a high crest factor (high peak-to-average ratio). Offsetting the timing can minimize the crest factor.

Initial Phase

Range: 0 – 359 Deg

Default: 0 Deg

Sets the initial phase (in degrees) of the carrier.

PN Offset

Range: 0 to 511

Default: 0

Sets the Pseudo Noise (PN) offset for the selected channel.

Related Topics

WFM "N"

Channel Setup


Channel Setup

Each radio format has it own unique Channel Setup node. Refer to links below to learn about the channel setup you are interested in.

IS95A

IS95A Forward Channel Setup

IS95A Reverse Channel Setup

CDMA2000

CDMA2000 Forward Channel Setup

CDMA2000 Reverse Channel Setup

1xEV-DO Rev.0

Basic 1xEV-DO Rev.0 Forward Channel Setup

Basic 1xEV-DO Rev.0 Reverse Channel Setup

Advanced 1xEV-DO Rev.0 Reverse Channel Setup

1xEV-DO Rev.A

Basic 1xEV-DO Rev.A Forward Channel Setup

Advanced 1xEV-DO Rev.A Forward Channel Setup

Basic 1xEV-DO Rev.A Reverse Channel Setup

Advanced 1xEV-DO Rev.A Reverse Channel Setup

Forward Test Mode

Test Mode Signal 1xEV-DO Rev.0 Forward Channel Setup

Advanced CDMA2000 Forward Channel Setup


IS95A Forward Channel Setup

Real Time

Channel Setup: IS95A Forward

Channel_Number | Data Rate
Name | Walsh Code
State | PN Offset
Power | Data

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in the carrier. You can also add or delete channels using the buttons above the table (see descriptions below). Clicking a channel row activates the setup tables for that channel. You can use a maximum of 64 channels.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration Summary Table.

Opens a Closed drop-down menu which allows you to add a channel to the current configuration. The following types of channels can be added to the channel configuration: Pilot, Paging, Traffic, and Sync

The new channel is added immediately above the currently highlighted channel in the Channel Configuration Summary Table.

Deletes the currently highlighted channels in the Channel Configuration Summary Table and the current configuration. You can highlight multiple channels by holding down the CTRL key while selecting the channels. You can also use the SHIFT key to select a succession (group) of channels.

3GPP2

Channel Number

Displays the channel number selected in the Channel Configuration Summary Table. You can change the channel configuration or add individual channels using the Add Channel button at the top of the table.

Name

Displays the channel type or name that is selected in the Channel Configuration Summary Table.

State

Selections: On, Off

Default: On

Sets the state of the selected channel to either on or off. The [image] icon at the right of the entry box displays the valid selections.

Power

Range: –40 to 0 dB

Default: 0 dB

Sets the power of the selected channel.

Data Rate

Displays the data rate of the selected channel. This value is fixed at 9600 bps for IS-95-A.

Walsh Code

Range: 0 to 63

Default: Closed Varies by channel type

Sets the Walsh Code for the selected channel.

PILOT:

SYNC:

Paging:

Traffic:

0

32

1

14

PN Offset

Range: 0 to 511

Default: 0

Sets the Pseudo Noise (PN) offset for the selected channel.

Data

Allows you to select or specify the data for the selected channel. The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from Random, PN9, or User Defined Bits.

To select from the following data types, click the desired radio selection:

Random

Provides random signal generator data. If this is the selection, you are returned to the Channel Setup pane.

PN9

Provides a pseudo-random bit sequence containing 511 bits (29–1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has four buttons that can be used to manipulate data for the channel.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29–1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Graphs

CDP

Shows the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh code applied. Select the channel setup in the Closed tree view to view the CDP distribution for that carrier.

Click on a Closed channel in the graph to view the parameter selections for that channel.

Hold the cursor over any individual channel to view a Closed tool tip showing the channel number, type, Walsh Code, rate, and power.

CCDF

Shows the Complimentary Cumulative Distribution Function (CCDF) graph. This graph shows the plot and peak-to-average values for the current carrier. This topic describes the CCDF functionality using the graph in the Channel Setup view.

The CCDF graph displays the probability (in percentage) of the generated carrier's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the carrier. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Gaussian

Toggles the view of the band-limited Gaussian noise curve (blue).

Reference

Toggles the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button.

Acquire Ref.

Sets the current waveform curve to yellow and the reference curve to red. Click the Reference button to view the reference curve.


IS95A Reverse Channel Setup

Real Time

Channel Setup: IS95A Reverse

Channel_Number | Data Rate
Name | Walsh Code
State | PN Offset
Power | Data

Channel Configuration Summary Table

This table enables you to view the key parameters for the channel in the carrier. You can also add or delete channels using the buttons above the table (see descriptions below). Clicking the channel row activates the setup tables for that channel. You can use a maximum of 1 channel.

Opens a Closed drop-down menu with the predefined channel configuration selection. Double-clicking the configuration replaces the current configuration in the Channel Configuration Summary Table.

Adds a new Traffic channel to the current channel configuration.

Deletes the highlighted channels in the Channel Configuration Summary Table and the current configuration.

3GPP2

Channel Number

Displays the channel number selected in the Channel Configuration Summary Table. You can change the channel configuration or add individual channels using the Add Channel button at the top of the table.

Name

Displays the channel type or name that is selected in the Channel Configuration Summary Table.

State

Selections: On, Off

Default: On

Sets the state of the selected channel to either on or off. The [image] icon at the right of the entry box displays the valid selections.

Power

Range: –40 to 0 dB

Default: 0 dB

Sets the power of the selected channel.

Data Rate

Displays the data rate of the selected channel. This value is fixed at 9600 bps for IS-95-A.

Walsh Code

Range: 0 to 63

Default: 0

Sets the Walsh Code for the selected channel.

PN Offset

Range: 0 to 511

Default: 0

Sets the Pseudo Noise (PN) offset for the selected channel.

Data

Allows you to select or specify the data for the selected channel. The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from Random, PN9, or User Defined Bits.

To select from the following data types, click the desired radio selection:

Random

Provides random signal generator data. If this is the selection, you are returned to the Channel Setup pane.

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has four buttons that can be used to manipulate data for the channel.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Graphs

CDP

Shows the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh code applied. Select the channel setup in the Closed tree view to view the CDP distribution for that carrier.

Click on a Closed channel in the graph to view the parameter selections for that channel.

Hold the cursor over any individual channel to view a Closed tool tip showing the channel number, type, Walsh Code, rate, and power.

CCDF

Shows the Complimentary Cumulative Distribution Function (CCDF) graph. This graph shows the plot and peak-to-average values for the current carrier. This topic describes the CCDF functionality using the graph in the Channel Setup view.

The CCDF graph displays the probability (in percentage) of the generated carrier's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the carrier. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Gaussian

Toggles the view of the band-limited Gaussian noise curve (blue).

Reference

Toggles the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button.

Acquire Ref.

Sets the current waveform curve to yellow and the reference curve to red. Click the Reference button to view the reference curve.


cdma2000 Forward Channel Setup

Real Time

Channel Setup: CDMA2000 Forward

Channel Number | Power | Walsh Code
Name | Radio Config | PN Offset
State | Data Rate | Data

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in the carrier. You can also add or delete channels using the buttons above the table (see descriptions below). Clicking a channel row activates the setup tables for that channel. You can use a maximum of 256 channels.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration Summary Table.

Opens a Closed drop-down menu which allows you to add a channel to the current configuration. The following types of channels can be added to the channel configuration: Pilot, Paging, Traffic, Sync, or two supplemental traffic channels

The new channel is added immediately above the currently highlighted channel in the Channel Configuration Summary Table.

When selecting from the Traffic or the supplemental traffic channels, Closed additional drop-down menus are displayed which allow you to select the available Radio Config (RC) and data rate choices for each channel type.

Closed All available RC and Data Rate choices…

For the Traffic Channel:

Radio Config | Available Data Rates (bps)
RC1 | 1200, 2400, 4800, or 9600
RC2 | 1800, 3600, 7200, or 14400
RC3 | 1500, 2700, 4800, or 9600
RC4 | 1500, 2700, 4800, or 9600
RC5 | 1800, 3600, 7200, or 14400

For the Supplemental Traffic Channels:

Radio Config | Available Data Rates (bps)
RC1 | 9600
RC2 | 14400
RC3 | 1500, 2700, 4800, 9600, 19200, 38400, 76800, or 153600
RC4 | 1500, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200
RC5 | 1800, 3600, 7200, 14400, 28800, 57600, 115200, or 230400

Deletes the currently highlighted channels in the Channel Configuration Summary Table and the current configuration. You can highlight multiple channels by holding down the CTRL key while selecting the channels. You can also use the SHIFT key to select a succession (group) of channels.

3GPP2

Channel Number

Displays the channel number selected in the Channel Configuration Summary Table. You can change the channel configuration or add individual channels using the Add Channel button at the top of the table.

Name

Displays the channel type or name that is selected in the Channel Configuration Summary Table.

State

Selections: On, Off

Default: On

Sets the state of the selected channel to either on or off. The [image] icon at the right of the entry box displays the valid selections.

Power

Range: –60 to 0 dB

Default: 0.00 dB

Sets the power of the selected channel.

Radio Config

Displays the Radio Config value of the selected channel. This value was set when the predefined configuration was selected or the channel was added as a new channel.

Data Rate

Displays the data rate setting of the selected channel. This value was set when the predefined configuration was selected or the channel was added as a new channel.

Walsh Code

Range: 0 to 63

Default: 0

Sets the Walsh Code for the selected channel.

PN Offset

Range: 0 to 511

Default: 0

Sets the Pseudo Noise (PN) offset for the selected channel.

Data

Allows you to select or specify the data for the selected channel. The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from Random, PN9, or User Defined Bits.

To select from the following data types, click the desired radio selection:

Random

Provides random signal generator data. If this is the selection, you are returned to the Channel Setup pane.

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has four buttons that can be used to manipulate data for the channel.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Graphs

CDP

Shows the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. Select the channel setup in the Closed tree view to view the CDP distribution for that carrier.

Click on a Closed channel in the graph to view the parameter selections for that channel.

Hold the cursor over any individual channel to view a Closed tool tip showing the channel number, type, Walsh Code, rate, and power.

Bit Reverse / Hadamard

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that rearranges the location of the bits of data such Closed the bit in most significant bit (MSB) position is rearranged and placed into the least significant bit (LSB) position and so on until all of the bits are rearranged.

Closed Example…

Original Data | 1 | 1 | 0 | 1 | 1 | 1 | 0 | 1
Original Location | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7
Original Location in Binary (MSB … LSB) | 000 | 001 | 010 | 011 | 100 | 101 | 110 | 111
Location after Bit Reverse (MSB … LSB) | 000 | 100 | 010 | 110 | 001 | 101 | 011 | 111
New Location | 0 | 4 | 2 | 6 | 1 | 5 | 3 | 7
Interleaved Data | 1 | 1 | 0 | 0 | 1 | 1 | 1 | 1

Each channel is also displayed as a bar where the height of the bar is proportionately representative of the channel's power and the width of the bar is proportional to the data rate.

CCDF

Shows the Complimentary Cumulative Distribution Function (CCDF) graph. This graph shows the plot and peak-to-average values for the current carrier. This topic describes the CCDF functionality using the graph in the Channel Setup view.

The CCDF graph displays the probability (in percentage) of the generated carrier's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the carrier. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Gaussian

Toggles the view of the band-limited Gaussian noise curve (blue).

Reference

Toggles the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button

Acquire Ref.

Sets the current waveform curve to yellow and the reference curve to red. Click the Reference button to view the reference curve.


cdma2000 Reverse Channel Setup

Real Time

Channel Setup: CDMA2000 Reverse

Channel Number | Radio Config | Walsh Code
Name | I/Q Axis | PN Offset
State | Data Rate | Data
Power |  |

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in the carrier. You can also add or delete channels using the buttons above the table (see descriptions below). Clicking a channel row activates the setup tables for that channel. You can use a maximum of 8 channels.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration Summary Table.

Opens a Closed drop-down menu which allows you to add a channel to the current configuration. The following types of channels can be added to the channel configuration: Pilot, DedCont, Traffic, or two supplemental traffic

The new channel is added immediately above the currently highlighted channel in the Channel Configuration Summary Table.

When selecting from the Traffic or the supplemental traffic channels, Closed additional drop-down menus are displayed which allows you to select the available data rate choices for each channel type.

Closed Available Data Rate choices…

For the Traffic Channel:

Available Data Rates (bps):

1500, 2700, 4800, or 9600

For the Supplemental Traffic Channels:

Available Data Rates (bps):

1500, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200

Deletes the currently highlighted channels in the Channel Configuration Summary Table and the current configuration. You can highlight multiple channels by holding down the CTRL key while selecting the channels. You can also use the SHIFT key to select a succession (group) of channels.

3GPP2

Channel Number

Displays the channel number selected in the Channel Configuration Summary Table. You can change the channel configuration or add individual channels using the Add Channel button at the top of the table.

Name

Displays the channel type or name that is selected in the Channel Configuration Summary Table.

State

Selections: On, Off

Default: On

Sets the state of the selected channel to either on or off. The [image] icon at the right of the entry box displays the valid selections.

Power

Range: –60 to 0 dB

Default: 0.00 dB

Sets the power of the selected channel.

Radio Config

Displays the Radio Config value of the selected channel. This value was set when the predefined configuration was selected or the channel was added as a new channel.

I/Q Axis

Displays the I/Q Axis setting of the selected channel. This value is determined by the Radio Config setting.

Data Rate

Displays the data rate of the selected channel. This value was set when the predefined configuration was selected or the channel was added as a new channel.

Walsh Code

Range: Closed Varies by channel type

Default: Closed Varies by channel type

Sets the Walsh Code for the selected channel.

Pilot:

Dedicated Control:

Traffic:

Supplemental 1 Traffic:

Supplemental 2 Traffic:

Default: 0 / Range: 0 to 31

Fixed at 8

Fixed at 4

Fixed at 1

Fixed at 2

Pilot:

Dedicated Control:

Traffic:

Supplemental 1 Traffic:

Supplemental 2 Traffic:

Default: 0 / Range: 0 to 31

Fixed at 8

Fixed at 4

Fixed at 1

Fixed at 2

PN Offset

Range: 0 to 511

Default: 0

Sets the Pseudo Noise (PN) offset for the selected channel.

Data

Allows you to select or specify the data for the selected channel. The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from Random, PN9, or User Defined Bits.

To select from the following data types, click the desired radio selection:

Random

Provides random signal generator data. If this is the selection, you are returned to the Channel Setup pane.

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has four buttons that can be used to manipulate data for the channel.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Graphs

CDP

Shows the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. Select the channel setup in the Closed tree view to view the CDP distribution for that carrier.

Click on a Closed channel in the graph to view the parameter selections for that channel.

Hold the cursor over any individual channel to view a Closed tool tip showing the channel number, type, Walsh Code, rate, and power.

Bit Reverse / Hadamard

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that displays the channels as a bar for each channel with the bar height proportionately representative of the channel power and the bar width proportional to the data rate.

CCDF

Shows the Complimentary Cumulative Distribution Function (CCDF) graph. This graph shows the plot and peak-to-average values for the current carrier. This topic describes the CCDF functionality using the graph in the Channel Setup view.

The CCDF graph displays the probability (in percentage) of the generated carrier's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the carrier. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Gaussian

Toggles the view of the band-limited Gaussian noise curve (blue).

Reference

Toggles the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button

Acquire Ref.

Sets the current waveform curve to yellow and the reference curve to red. Click the Reference button to view the reference curve.


Basic 1xEV-DO Rev.0 Forward Channel Setup

Real Time

Channel Setup: Basic 1xEV-DO Rev.0 Forward

Mode | Traffic Channel Data
Pilot Channel State | Traffic Channel Data Offset
Pilot PN Offset | Idle Slot Noise State
MAC Channel State | Idle Slot Noise Gain
Traffic Channel State |

Buttons

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Mode

Selections: Normal, Continuous Pilot

Default: Normal

Sets the operating mode.

Normal - In this mode, a 1xEV-DO frame with custom channel configurations in each of the frame's 16 timeslots can be configured. The pilot channel, MAC channel, and traffic channel are supported in normal operating mode.

Continuous Pilot - This mode provides a fundamental test signal to be used as a troubleshooting tool to verify basic operation of the device under test. Instead of two pilot channel bursts occurring in each of the frame’s 16 timeslots, the pilot channel is continuously active during each frame timeslot, and thus over the entire 1xEV-DO frame. In this mode of operation, the pilot channel is the only available channel type.

Pilot Channel State

Selections: On, Off

Default: On

Is the default active channel in every frame and occurs as two distinct bursts (in normal mode) in each timeslot of the frame.

Pilot PN Offset

Range: 0 to 511

Default: 0

Sets the pilot channel’s PN offset index. The PN offset of the pilot channel indicates the cell or sector of the transmitting access network.

MAC Channel State

Selections: On, Off

Default: On

Sets the state of the medium access control (MAC) channel for the entire frame. Any channel configuration done at the timeslot level is not valid unless the channel is activated for use in the entire frame.

Traffic Channel State

Selections: On, Off

Default: Off

Sets the state of the traffic channel for the entire frame. Any channel configuration done at the timeslot level is not valid unless the channel is activated for use in the entire frame.

Traffic Channel Data

Selections: PN15

Default: PN9, PN15, User Defined Bits

Sets the data type (bit pattern) for the traffic channel. The traffic channel must be activated before you can select the data type.

The traffic channel bit stream is divided into each timeslot with an active traffic channel for the entire frame. In the case of PN sequences, a continuous PN sequence is distributed across the timeslots with an active traffic channel. After the last timeslot with an active traffic channel has been filled with data, the PN sequence is truncated.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Traffic Channel Data Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

Idle Slot Noise State

Selections: On, Off

Default: Off

Allows an idle slot to have a controllable low level of noise, rather than no signal, to improve the on/off ratio that must be handled by the component. This low level of the noise is controlled by the Idle Slot Gain parameter. During idle slot transmission, a large on/off power ratio requires that the access network power amplifier have extremely wide dynamic range. This is typically not the case. To address this issue, the idle slot noise function allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. When the idle slot noise is disabled, RF blanking (turning off the RF signal in certain conditions) is automatically enabled, which results in a very large on/off power ratio during idle slot transmission.

Idle Slot Noise Gain

Range: -80 dB to 0 dB

Default: -10 dB

Allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. To set the idle slot gain, the idle slot noise function must be enabled first.

Related Topics

Timeslots


Timeslots: Basic 1xEV-DO Rev.0 Forward Channel Setup

Real Time

Timeslots: Basic 1xEV-DO Rev.0 Forward

Timeslot Number | MAC RA State | MAC RPC State
Traffic Channel State | MAC RA Data |
Traffic Channel Modulation | MAC RA Gain |

Timeslot Configuration Summary Table

This table enables you to view the key parameters for the channels in each timeslot. Double-clicking a row activates the setup tables for that timeslot. You can use a maximum of 16 timeslots per carrier.

Opens a Closed drop-down menu of predefined channel configuration selections. Clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Opens a Closed drop-down menu which allows you to automatically change the timeslot channel parameters according to a selectable pattern rather than manually editing each timeslot.

Click each of the following for descriptions of available choices.

  • Closed TrCh State

    All On

    activates the traffic channel in all timeslots.

    75% On

    activates the traffic channel in 75 percent of the timeslots. Starting with TS#4, the traffic channel is disabled in every fourth timeslot.

    50% On

    activates the traffic channel in 50 percent of the timeslots. Starting with TS#1, the traffic channel is activated in every other timeslot.

    25% On

    activates the traffic channel in 25 percent of the timeslots. Starting with TS#4, the traffic channel is activated in every fourth timeslot.

    All Off

    turns off the traffic channel in all timeslots.

    Mixed

    activates the traffic channel in a random number of timeslots.

  • Closed TrCh Mod

    QPSK

    assigns QPSK as the traffic channel modulation type for all timeslots.

    8PSK

    assigns 8PSK as the traffic channel modulation type for all timeslots.

    QAM16

    assigns QAM16 as the traffic channel modulation type for all timeslots.

    Mixed

    randomly assigns a mixture of QPSK, 8PSK, and QAM16 traffic channel modulation types to all the timeslots.

  • Closed MAC RA

    All On

    activates the MAC RA channel in all timeslots.

    75% On

    activates the MAC RA channel in 75 percent of the timeslots. Starting with TS#4, the RA channel is disabled in every fourth timeslot.

    50% On

    activates the MAC RA channel in 50 percent of the timeslots. Starting with TS#1, the RA channel is activated in every other timeslot.

    25% On

    activates the MAC RA channel in 25 percent of the timeslots. Starting with TS#4, the RA channel is activated in every fourth timeslot.

    All Off

    turns off the MAC RA channel in all timeslots.

    Mixed

    activates the MAC RA channel in a random number of timeslots.

  • Closed MAC RA Data

    0s

    sets the RA data to 0 in all timeslots

    1s

    sets the RA data to 1 in all timeslots.

    01..

    alternates 0 and 1 as the RA data across all timeslots.

    10..

    alternates 1 and 0 as the RA data across all timeslots.

    Mixed

    randomly assigns a mixture of 0s and 1s as the RA data across all timeslots.

  • Closed MAC RA Gain

    +3

    sets the relative power of the RA channel to 3 dB in all timeslots

    0

    sets the relative power of the RA channel to 0 dB in all timeslots.

    –3

    sets the relative power of the RA channel to –3 dB in all timeslots.

    –6

    sets the relative power of the RA channel to –6 dB in all timeslots.

    –10

    sets the relative power of the RA channel to –10 dB in all timeslots.

    –20

    Sets the relative power of the RA channel to –20 dB in all timeslots.

    Mixed

    randomly assigns a mixture of 3, 0, –3, –6, –10, and –20 dB as the relative power of the RA channel across all timeslots.

    Set Value...

    A window appears where you can set the relative power of the RA channel in all timeslots. The range is –30 dB to 30 dB.

    Normalize MAC

    (RA + RPC)...

    A window appears where you can set the target power relative to the pilot power. The sum of the RA gain and the RPC gain are automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated MAC RA and MAC RPC channels.

    Normalize RA..

    A window appears where you can set the target power relative to the pilot power. The RA gain is automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated MAC RA channels.

  • Closed MAC RPC

    All On

    Activates the MAC RPC channel in all timeslots.

    75% On

    Activates the MAC RPC channel in 75 percent of the timeslots. Starting with TS#4, the RPC channel is disabled in every fourth timeslot.

    50% On

    Activates the MAC RPC channel in 50 percent of the timeslots. Starting with TS#1, the RPC channel is activated in every other timeslot.

    25% On

    Activates the MAC RPC channel in 25 percent of the timeslots. Starting with TS#4, the RPC channel is activated in every fourth timeslot.

    All Off

    Turns off the MAC RPC channel in all timeslots.

    Mixed

    Activates the MAC RPC channel in a random number of timeslots.

    RPC Parameter Clone 1

    Copies MAC RPC parameters of TS#1 to all timeslots.

    RPC Parameter Clone 1,2

    Copies MAC RPC parameters of TS#1 and TS#2 to all timeslots. Odd numbered TS parameters are copied from TS#1. Even numbered TS parameters are copied from TS#2.

    RPC Parameter Default

    Sets all MAC RPC parameters to default values.

3GPP2

Timeslot Number

Designates the timeslot number. You cannot edit cells in this column

Traffic Channel State

Selections: On, Off

Default: On

Sets the traffic channel state for the selected timeslot to on or off.

Traffic Channel Modulation

Selections: QPSK, 8PSK, 16QAM

Default: QPSK

Sets the traffic channel modulation type for the selected timeslot.

MAC RA State

Selections: On, Off

Default: On

Sets the medium access control (MAC) reverse activity (RA) channel state for the selected timeslot to on or off. The RA channel provides flow control information to the access terminal.

MAC RA Data

Selections: 0, 1

Default: 1

Sets the medium access control (MAC) reverse activity (RA) channel information bit for the selected timeslot. The bit is set to either a 0 or 1 in each timeslot.

MAC RA Gain

Range: –30 dB to 30 dB

Default: –3.01 dB

Sets the medium access control (MAC) reverse activity (RA) channel gain (relative to the pilot channel) for the selected timeslot.

MAC RPC State

Selections: On, Off

Default: On

Sets the medium access control (MAC) reverse power control (RPC) channel state for the selected timeslot.

RPC Channel

Opens a Closed drop-down menu which allows you to automatically change the timeslot channel parameters according to a selectable pattern rather than manually editing each timeslot.

Click each of the following for descriptions of available choices.

  • Closed RPC State

    All On

    activates all RPC channels in a selected slot.

    75% On

    activates 75 percent of the RPC channels in a selected slot.

    50% On

    activates 50 percent of the RPC channels in a selected slot.

    25% On

    activates 25 percent of the RPC channels in a selected slot.

    All Off

    turns off all RPC channels in a selected slot.

    Mixed

    activates a random number of RPC channels in a selected slot.

  • Closed RPC Data

    0s

    sets the RPC data to 0 in all RPC channels of a selected slot.

    1s

    sets the RPC data to 1 in all RPC channels of a selected slot.

    01..

    alternates 0 and 1 as the RPC data across all RPC channels of a selected slot.

    10..

    alternates 1 and 0 as the RPC data across all RPC channels of a selected slot.

    Mixed

    randomly assigns a mixture of 0s and 1s as the RPC data across all RPC channels of a selected slot.

  • Closed RPC Gain

    +3

    sets the relative power of all RPC channels to 3 dB.

    0

    sets the relative power of all RPC channels to 0 dB.

    –3

    sets the relative power of all RPC channels to –3 dB.

    –6

    sets the relative power of all RPC channels to –6 dB.

    –10

    sets the relative power of all RPC channels to –10 dB.

    –20

    sets the relative power of all RPC channels to –20 dB

    Mixed

    randomly assigns a mixture of 3, 0, -3, –6, –10, and –20 dB as the relative power across all RPC channels.

    Set Value...

    A window appears where you can set the relative power of all RPC channels. The range is –30 dB to 30 dB.

    Normalize...

    A window appears where you can set the target power relative to the pilot power. The RPC gain is automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated RPC channels.

RPC CH #

Displays the reverse power control (RPC) channel number (0 - 58). You cannot edit cells in this column

MAC Index

Designates the medium access control (MAC) Index. You cannot edit cells in this column.

RPC State

Selections: On, Off

Default: Off

Sets the state for each reverse power control (RPC) channel to on or off.

RPC Data

Selections: 0, 1

Default: 0

Sets the reverse power control (RPC) channel bits. Each RPC channel carries a single power control data bit per timeslot to a unique active access terminal. The access terminal will raise or lower power depending on whether a 0 or a 1 data bit is sent respectively. The data bit for each active RPC channel can be individually defined.

RPC Gain

Range: –30 dB to 30 dB

Default: –3.01 dB

Sets the reverse power control (RPC) channel gain (relative to the pilot channel).

Related Topic

Basic 1xEV-D0 Rev.0 Forward


Basic 1xEV-DO Rev.0 Reverse Channel Setup

Real Time

Channel Setup: Basic 1xEV-DO Rev.0 Reverse

Pilot Channel State | Data Channel State
RRI State | Data Channel Relative Gain
RRI Bits | Data Channel Bit Stream
DRC State | Data Channel Data Offset
DRC Relative Gain | I MASK
ACK State | Q MASK
ACK Relative Gain |

Buttons

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Pilot Channel State

Selections: On, Off

Default: On

Is the default active channel in every frame and occurs as two distinct bursts (in normal mode) in each timeslot of the frame.

RRI State

Selections: On, Off

Default: On

Sets the state of the reverse rate indicator (RRI) channel for the entire frame. When activated, it is time division multiplexed with the pilot channel.

RRI Bits

Sets the reverse rate indicator (RRI) 3-bit symbol, which represents the rate at which the data channel is transmitted. The RRI channel must be activated for the setting to be valid.

Range: 0 to 7

Default: 1

DRC State

Selections: On, Off

Default: On

Sets the state of the data rate control (DRC) channel for the entire frame.

DRC Relative Gain

Range: -30 dB to 30 dB

Default: 0.00 dB

Sets the relative gain of the data rate control (DRC) channel with respect to the pilot channel. The DRC channel must be activated for the setting to be valid.

ACK State

Selections: On, Off

Default: On

Sets the state of the acknowledgement (ACK) channel for the entire frame.

ACK Relative Gain

Range: –30 dB to 30 dB

Default: 0.00 dB

Sets the relative gain of the acknowledgement (ACK) channel with respect to the pilot channel. The ACK channel must be activated for the setting to be valid.

Data Channel State

Selections: On, Off

Default: On

Sets the state of the data channel for the entire frame. When active, the data channel is present in each of the frame’s timeslots.

Data Channel Relative Gain

Range: –30 dB to 30 dB

Default: 0.00 dB

Sets the relative gain of the data channel with respect to the pilot channel. The data channel must be activated for the setting to be valid.

Data Channel Bit Stream

Selections: PN9, PN15, User Defined Bits

Default: PN15

Sets the data type (bit pattern) for the data channel. The default selection is PN15. The data channel must be activated before you can select the data type. The data channel bit stream is divided into each timeslot of the entire frame. In the case of PN sequences, a continuous PN sequence is distributed across the timeslots. After the last timeslot has been filled with data, the PN sequence is truncated.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Data Channel Data Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

I MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the I mask value in hexadecimal.

Q MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the Q mask value in hexadecimal.

Related Topic

Timeslots


Timeslots: Basic 1xEV-DO Rev.0 Reverse Channel Setup

Real Time

Timeslots: Basic 1xEV-DO Rev.0 Reverse

Timeslot Number | DRC Cover
DRC State | ACK State
DRC Data | ACK Data

Timeslot Configuration Summary Table

This table enables you to view the key parameters for each timeslot. Double-clicking a timeslot row activates the setup tables for that timeslot. You can use a maximum of 16 timeslots.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Opens a Closed drop-down menu which allows you to select a pattern to apply to all 16 timeslots rather than manually editing the parameters for individual timeslots.

Click each of the following for descriptions of available choices.

  • Closed DRC State

    All On

    activates the data rate control channel in all timeslots.

    75% On

    activates the data rate control channel in 75 percent of the timeslots. Starting with TS#4, the traffic channel is disabled in every fourth timeslot.

    50% On

    activates the data rate control channel in 50 percent of the timeslots. Starting with TS#1, the traffic control channel is activated in every other timeslot.

    25% On

    activates the data rate control channel in 25 percent of the timeslots. Starting with TS#4, the traffic channel is activated in every fourth timeslot.

    All Off

    turns off the data rate control channel in all timeslots.

    Mixed

    activates the data rate control channel in a random number of timeslots.

  • Closed DRC Data

    0 (0000)

    sets the data rate control channel data to 0000 in all timeslots. 0 represents this selection.

    1 (0001)

    sets the data rate control channel data to 0001 in all timeslots. 1 represents this selection.

    2 (0010)

    sets the data rate control channel data to 0010 in all timeslots. 2 represents this selection.

    3 (0011)

    sets the data rate control channel data to 0011 in all timeslots. 3 represents this selection.

    4 (0100)

    sets the data rate control channel data to 0100 in all timeslots. 4 represents this selection.

    5 (0101)

    sets the data rate control channel data to 0101 in all timeslots. 5 represents this selection.

    6 (0110)

    sets the data rate control channel data to 0110 in all timeslots. 6 represents this selection.

    7 (0111)

    sets the data rate control channel data to 0111 in all timeslots. 7 represents this selection

    8 (1000)

    sets the data rate control channel data to 1000 in all timeslots. 8 represents this selection.

    9 (1001)

    sets the data rate control channel data to 1001 in all timeslots. 9 represents this selection.

    A (1010)

    sets the data rate control channel data to 1010 in all timeslots. 10 represents this selection.

    B (1011)

    sets the data rate control channel data to 1011 in all timeslots. 11 represents this selection.

    C (1100)

    sets the data rate control channel data to 1100 in all timeslots. 12 represents this selection.

    D (1101)

    sets the data rate control channel data to 1101 in all timeslots. 13 represents this selection.

    E (1110)

    sets the data rate control channel data to 1110 in all timeslots. 14 represents this selection.

    F (1111)

    sets the data rate control channel data to 1111 in all timeslots. 15 represents this selection.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel data across all timeslots.

  • Closed DRC Cover

    0

    sets the data rate control channel cover to 0 in all timeslots.

    1

    sets the data rate control channel cover to 1 in all timeslots.

    2

    sets the data rate control channel cover to 2 in all timeslots.

    3

    sets the data rate control channel cover to 3 in all timeslots.

    4

    sets the data rate control channel cover to 4 in all timeslots.

    5

    sets the data rate control channel cover to 5 in all timeslots.

    6

    sets the data rate control channel cover to 6 in all timeslots.

    7

    sets the data rate control channel cover to 7 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel cover across all timeslots.

  • Closed ACK State

    All On

    activates the acknowledgement channel in all timeslots.

    75% On

    activates the acknowledgement channel in 75 percent of the timeslots. Starting with TS#4, the traffic channel is disabled in every fourth timeslot.

    50% On

    activates the acknowledgement channel in 50 percent of the timeslots. Starting with TS#1, the traffic channel is activated in every other timeslot.

    25% On

    activates the acknowledgement channel in 25 percent of the timeslots. Starting with TS#4, the traffic channel is activated in every fourth timeslot.

    All Off

    turns off the acknowledgement channel in all timeslots.

    Mixed

    activates the acknowledgement channel in a random number of timeslots.

  • Closed ACK Data

    0s

    sets the acknowledgement channel data to 0 in all timeslots.

    1s

    sets the acknowledgement channel data to 1 in all timeslots.

    01..

    alternates 0 and 1 as the acknowledgement channel data across all timeslots.

    10..

    alternates 1 and 0 as the acknowledgement channel data across all timeslots.

    Mixed

    randomly assigns a mixture of 0s and 1s as the acknowledgement channel data across all timeslots.

Timeslot Number

Designates the timeslot number. You cannot edit cells in this column.

DRC State

Selections: On, Off

Default: On

Sets the data rate control (DRC) channel state for the selected timeslot.

DRC Data

Range: 0 to 15

Default: 15

Sets the fixed, 4-bit data rate control (DRC) pattern, indicating the selected serving sector and the requested data rate on the forward traffic channel for the selected timeslot. The range is 0 to 15, each of these decimal values representing their binary equivalent (example: 1=0001, 2=0010 and so on).

DRC Cover

Range: 0 to 7

Default: 7

Sets the 8-ary Walsh cover for the data rate control (DRC) channel for each timeslot.

ACK State

Selections: On, Off

Default: On

Sets the acknowledgement channel state for the selected timeslot to on or off.

ACK Data

Selections: 0, 1

Default: 1

Sets the acknowledgement channel information bit to either 0 or 1.

  • A '0' bit (acknowledgement) is transmitted on the ACK channel if a forward traffic channel physical layer packet was successfully received from the access network.

  • A '1' bit (no acknowledgement) is transmitted if the physical layer packet was not successfully received from the access network.

To simulate this, the information bit to be transmitted can be individually configured in each timeslot with an active ACK channel.

Related Topic

Basic 1xEV-D0 Rev.0 Reverse


Advanced 1xEV-DO Rev.0 Reverse Channel Setup

Real Time

Channel Setup: Advanced 1xEV-DO Rev.0 Reverse

Pilot Channel State | ACK State | Data Channel Data Rate
RRI State | ACK Relative Gain | Data Channel Bit Stream
RRI Bits | Data Channel State | Data Channel Data Offset
DRC State | Data Channel Relative Gain | I MASK
DRC Relative Gain | Data Channel Encoder State | Q MASK

Buttons

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration Summary Table.

3GPP2

Pilot Channel State

Selections: On, Off

Default: On

Is the default active channel in every frame and occurs as two distinct bursts (in normal mode) in each timeslot of the frame. It cannot be de-activated.

RRI State

Selections: On, Off

Default: On

Sets the state of the reverse rate indicator (RRI) channel for the entire frame. When activated, it is time division multiplexed with the pilot channel.

RRI Bits

Range: 0 to 7

Default: 1

Sets the reverse rate indicator (RRI) 3-bit symbol, which represents the rate at which the data channel is transmitted. The RRI channel must be activated for the setting to be valid.

DRC State

Selections: On, Off

Default: On

Sets the state of the data rate control (DRC) channel for the entire frame.

DRC Relative Gain

Range: -30 dB to 30 dB

Default: 0.00 dB

Sets the relative gain of the data rate control (DRC) channel with respect to the pilot channel. The DRC channel must be activated for the setting to be valid.

ACK State

Selections: On, Off

Default: On

Sets the state of the acknowledgement (ACK) channel for the entire frame.

ACK Relative Gain

Range: –30 dB to 30 dB

Default: 0.00 dB

Sets the relative gain of the acknowledgement (ACK) channel with respect to the pilot channel. The ACK channel must be activated for the setting to be valid.

Data Channel State

Selections: On, Off

Default: On

Sets the state of the data channel for the entire frame. When active, the data channel is present in each of the frame’s timeslots.

Data Channel Relative Gain

Range: –30 dB to 30 dB

Default: 0.00 dB

Sets the relative gain of the data channel with respect to the pilot channel. The data channel must be activated for the setting to be valid.

Data Encoder State

Selections: On, Off

Default: On

Enables the turbo coder, turbo interleaver, and repeat bits for the data channel. The data channel must be activated for the setting to be valid.

Data Channel Data Rate

Selections: 9.6, 19.2, 38.4, 76.8, or 153.6 kbps

Default: 9.6 kbps

Sets the data channel data rate. The encoding rate (1/2 or 1/4) and symbol repetition factor are automatically configured depending on the selected data rate. In addition, when a data rate is selected, the RRI Bits parameter is automatically updated to represent the selected data rate. The data channel encoder must be activated for the setting to be valid.

Data Channel Bit Stream

Selections: PN9, PN15, User Defined Bits

Default: PN15

Sets the data type (bit pattern) for the data channel. The data channel must be activated before you can select the data type. The data channel bit stream is divided into each timeslot of the entire frame. In the case of PN sequences, a continuous PN sequence is distributed across the timeslots. After the last timeslot has been filled with data, the PN sequence is truncated.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box .

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Data Channel Data Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

I MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the I mask value in hexadecimal.

Q MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the Q mask value in hexadecimal.

Related Topic

Timeslots


Timeslots: Advanced 1xEV-DO Rev.0 Reverse Channel Setup

Real Time

Timeslots: Advanced 1xEV-DO Rev.0 Reverse

Timeslot Number | DRC Cover
DRC State | ACK State
DRC Data | ACK Data

Timeslot Configuration Summary Table

This table enables you to view the key parameters for each timeslot. Double-clicking a timeslot row activates the setup tables for that timeslot. You can use a maximum of 16 timeslots.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Opens a Closed drop-down menu which allows you to select a pattern to apply to all 16 timeslots rather than manually editing the parameters for individual timeslots.

Click each of the following for descriptions of available choices.

  • Closed DRC State

    All On

    activates the data rate control channel in all timeslots.

    75% On

    activates the data rate control channel in 75 percent of the timeslots. Starting with TS#4, the traffic channel is disabled in every fourth timeslot.

    50% On

    activates the data rate control channel in 50 percent of the timeslots. Starting with TS#1, the traffic control channel is activated in every other timeslot.

    25% On

    activates the data rate control channel in 25 percent of the timeslots. Starting with TS#4, the traffic channel is activated in every fourth timeslot.

    All Off

    turns off the data rate control channel in all timeslots.

    Mixed

    activates the data rate control channel in a random number of timeslots.

  • Closed DRC Data

    0 (0000)

    sets the data rate control channel data to 0000 in all timeslots. 0 represents this selection.

    1 (0001)

    sets the data rate control channel data to 0001 in all timeslots. 1 represents this selection.

    2 (0010)

    sets the data rate control channel data to 0010 in all timeslots. 2 represents this selection.

    3 (0011)

    sets the data rate control channel data to 0011 in all timeslots. 3 represents this selection.

    4 (0100)

    sets the data rate control channel data to 0100 in all timeslots. 4 represents this selection.

    5 (0101)

    sets the data rate control channel data to 0101 in all timeslots. 5 represents this selection.

    6 (0110)

    sets the data rate control channel data to 0110 in all timeslots. 6 represents this selection.

    7 (0111)

    sets the data rate control channel data to 0111 in all timeslots. 7 represents this selection

    8 (1000)

    sets the data rate control channel data to 1000 in all timeslots. 8 represents this selection.

    9 (1001)

    sets the data rate control channel data to 1001 in all timeslots. 9 represents this selection.

    A (1010)

    sets the data rate control channel data to 1010 in all timeslots. 10 represents this selection.

    B (1011)

    sets the data rate control channel data to 1011 in all timeslots. 11 represents this selection.

    C (1100)

    sets the data rate control channel data to 1100 in all timeslots. 12 represents this selection.

    D (1101)

    sets the data rate control channel data to 1101 in all timeslots. 13 represents this selection.

    E (1110)

    sets the data rate control channel data to 1110 in all timeslots. 14 represents this selection.

    F (1111)

    sets the data rate control channel data to 1111 in all timeslots. 15 represents this selection.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel data across all timeslots.

  • Closed DRC Cover

    0

    sets the data rate control channel cover to 0 in all timeslots.

    1

    sets the data rate control channel cover to 1 in all timeslots.

    2

    sets the data rate control channel cover to 2 in all timeslots.

    3

    sets the data rate control channel cover to 3 in all timeslots.

    4

    sets the data rate control channel cover to 4 in all timeslots.

    5

    sets the data rate control channel cover to 5 in all timeslots.

    6

    sets the data rate control channel cover to 6 in all timeslots.

    7

    sets the data rate control channel cover to 7 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel cover across all timeslots.

  • Closed ACK State

    All On

    Activates the acknowledgement channel in all timeslots.

    75% On

    Activates the acknowledgement channel in 75 percent of the timeslots. Starting with TS#4, the traffic channel is disabled in every fourth timeslot.

    50% On

    Activates the acknowledgement channel in 50 percent of the timeslots. Starting with TS#1, the traffic channel is activated in every other timeslot.

    25% On

    Activates the acknowledgement channel in 25 percent of the timeslots. Starting with TS#4, the traffic channel is activated in every fourth timeslot.

    All Off

    Turns off the acknowledgement channel in all timeslots.

    Mixed

    Activates the acknowledgement channel in a random number of timeslots.

  • Closed ACK Data

    0s

    sets the acknowledgement channel data to 0 in all timeslots.

    1s

    sets the acknowledgement channel data to 1 in all timeslots.

    01..

    alternates 0 and 1 as the acknowledgement channel data across all timeslots.

    10..

    alternates 1 and 0 as the acknowledgement channel data across all timeslots.

    Mixed

    randomly assigns a mixture of 0s and 1s as the acknowledgement channel data across all timeslots.

Timeslot Number

Designates the timeslot number. You cannot edit cells in this column.

DRC State

Selections: On, Off

Default: On

Sets the data rate control (DRC) channel state for the selected timeslot.

DRC Data

Range: 0 to 15

Default: 15

Sets the fixed, 4-bit data rate control (DRC) pattern, indicating the selected serving sector and the requested data rate on the forward traffic channel for the selected timeslot. The range is 0 to 15, each of these decimal values representing their binary equivalent (example: 1=0001, 2=0010 and so on).

DRC Cover

Range: 0 to 7

Default: 7

Sets the 8-ary Walsh cover for the data rate control (DRC) channel for each timeslot.

ACK State

Selections: On, Off

Default: On

Sets the acknowledgement channel state for the selected timeslot to on or off.

ACK Data

Selections: 0, 1

Default: 1

Sets the acknowledgement channel information bit is set to either 0 or 1.

  • A '0’ bit (acknowledgement) is transmitted on the ACK channel if a forward traffic channel physical layer packet was successfully received from the access network.

  • A '1’ bit (no acknowledgement) is transmitted if the physical layer packet was not successfully received from the access network.

To simulate this, the information bit to be transmitted can be individually configured in each timeslot with an active ACK channel.

Related Topic

Advanced 1xEV-D0 Rev.0 Reverse


Basic 1xEV-DO Rev.A Forward Channel Setup

Real Time

Channel Setup: Basic 1xEV-DO Rev.A Forward

Mode | Traffic Channel Data
Pilot Channel State | Traffic Channel Data Offset
Pilot PN Offset | Idle Slot Noise State
MAC Channel State | Idle Slot Noise Gain
ARQ Channel ARQ Mode | Frame Offset
Traffic Channel State |

Buttons

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Mode

Selections: Normal, Continuous Pilot

Default: Normal

Sets the operating mode.

Normal - In this mode, a 1xEV-DO frame with custom channel configurations in each of the frame's 16 slots can be configured. The following forward link channels are supported in normal operating mode: pilot channel, MAC channel, and traffic channel.

Continuous Pilot - This mode provides a fundamental test signal to be used as a troubleshooting tool to verify basic operation of the device under test. As a result, the pilot channel is continuously active over the entire 1xEV-DO frame. In this mode of operation, the pilot channel is the only available channel type.

Pilot Channel State

Selections: On, Off

Default: On

Is the default active channel in every frame and occurs as two distinct burst (in normal mode) in each slot of the frame.

Pilot PN Offset

Selections: 0 to 511

Default: 0

Sets the pilot channel’s PN offset index. The PN offset index of the pilot channel indicates the cell or sector of the transmitting access network.

MAC Channel State

Selections: On, Off

Default: On

Sets the state of the medium access control (MAC) channel for the entire frame. Any channel configuration done at the slot level is not valid unless this channel is activated for use in the entire frame.

ARQ Channel ARQ Mode

Selections: 0: Bi-Polar Keying, 1: On-Off Keying

Default: 0: Bi-Polar Keying

Defines the H-ARQ transmission rules. This selection is only available when the MAC channel is on. The access network (AN) transmits H-ARQ bits based on the selected ARQ mode:

If the sector is part of the serving cell, the following keying is used:

ARQ Mode 0 | Bipolar keying: +1 for ACK, –1 for NAK
ARQ Mode 1 | ACK-oriented ON-OFF (OOK) keying: +1 for ACK, 0 for NAK

If the sector is not part of the serving cell, the value of ARQMode is ignored and the AN transmits H-ARQ bits using ACK-oriented ON-OFF keying.

Traffic Channel State

Selections: On, Off

Default: Off

Sets the state of the traffic channel for the entire frame. Any channel configuration done at the slot level is not valid unless the channel is activated for use in the entire frame.

Traffic Channel Data

Selections: PN9, PN15, User Defined Bits

Default: PN15

Allows you to set the data for the channel.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box .

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Traffic Channel Data Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the traffic channel data is offset.

Idle Slot Noise State

Selections: On, Off

Default: Off

Allows an idle slot to have a controllable low level of noise, rather than no signal, to improve the on/off ratio that must be handled by the component. This low level of the noise is controlled by the Idle Slot Gain parameter. During idle slot transmission, a large on/off power ratio requires that the access network power amplifier have extremely wide dynamic range. This is typically not the case. To address this issue, the idle slot noise function allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. When the idle slot noise is disabled, RF blanking (turning off the RF signal in certain conditions) is automatically enabled, which results in a very large on/off power ratio during idle slot transmission.

Idle Slot Noise Gain

Range: –80 dB to 0 dB

Default: –10 dB

Allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. To set the idle slot gain, the idle slot noise function must be enabled first.

Frame Offset

Selections: 0 to 15

Default: All 0

Allows you to set a frame offset to assign which parameters, RPC or ARQ, are used for a timeslot. The [image] icon at the right of the cell opens the Closed Frame Offset dialog box.

Set Value...

Accesses a Closed dialog box where you can enter a frame offset (0 to 15) for all 114 RPC channels.

Clear

Clears all previous values and resets all to 0.

RPC Channel

Numbers (1 to 114) the reverse power channels.

MAC Index

Lists the associated MAC index for each channel.

Frame Offset

Allows you to set an individual frame offset for each RPC channel.

Offsets Closed can be individually set for each MAC channel or all assigned the same value. The RPC parameters are activated when (timeslot + frame offset) mod 4 is equal to 0; otherwise, ARQ parameters are activated.

To set offsets for specific RPC channels, you can highlight an individual row or hold down Ctrl and highlight several rows. If you then left-click a highlighted row, a Closed dialog box appears from which you can select Set Value.... or Clear.

  • With frame offset set to 0, the software configures RPC parameters on timeslots #4, 8, 12, 16 and ARQ channel parameters on timeslots #1, 2, 3, 5, 6, 7, 9, 1 0, 11, 13, 14, 15.

  • With frame offset set to 1, the software configures RPC parameters on timeslots # 3, 7, 11, 15 and ARQ channel parameters on timeslots # 1, 2, 4, 5, 6, 8, 9, 10, 12, 13, 14, 16.

Related Topics

Packets

Timeslots


Packets: Basic 1xEV-DO Rev.A Forward Channel Setup

Real Time

Packets: Basic 1xEV-DO Rev.A Forward

Packet Number | MAC Index
State | Data Source
Data Rate | Data Offset

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Packet Number

Displays the packet number of currently displayed parameters.

State

Selections: On, Off

Default: On

Generates a data packet when selected on. When it is selected off, it uses DTX or is filled with noise, according to the setting of the idle slot noise.

Data Rate

Selections: Closed Several Selections

Default: 4.8 kbps (128, 16, 1024) QPSK

Selects the nominal data rate (kbps), physical layer packet size (bits), nominal transmit duration (slots), preamble length (chips), and modulation type respectively.

MAC Index

Range: 0 to 127

Selects the data coding used for the preamble generation.

Data Source

Selections: PN9, PN15, User Defined Bits

Default: PN15

Selects the data bits to be used to generate a data packet. The data channel must be activated before you can select the data type.

If the specified data length is shorter than the required length for the packet, the bits are repeated. If the data length is longer than the required length for the packet, the longer part is ignored. The same generated data packet is then used repeatedly.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Data Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

Related Topic

Basic 1xEV-D0 Rev.A Forward


MAC: Basic 1xEV-DO Rev.A Forward Channel Setup

Real Time

Timeslots: Basic 1xEV-DO Rev.A Forward

Timeslot Number

MAC RA State

MAC RA Data

MAC RA Gain

MAC RPC/DRCLock/ARQ State

Timeslot Configuration Summary Table

This table enables you to view the key parameters for the channels in each timeslot. Double-clicking a row activates the setup tables for that timeslot. You can use a maximum of 16 timeslots per carrier.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Opens a Closed drop-down menu which allows you to select a pattern to apply to all 16 timeslots rather than manually editing the parameters for individual timeslots.

Click each of the following for descriptions of available choices.

  • Closed MAC RA

    All On

    activates the RA channel in all timeslots.

    75% On

    activates the RA channel in 75 percent of the timeslots. Starting with TS#4, the RA channel is disabled in every fourth timeslot.

    50% On

    activates the RA channel in 50 percent of the timeslots. Starting with TS#1, the RA control channel is activated in every other timeslot.

    25% On

    activates the RA channel in 25 percent of the timeslots. Starting with TS#4, the RA channel is activated in every fourth timeslot.

    All Off

    turns off the RA channel in all timeslots.

    Mixed

    activates the RA channel in a random number of timeslots.

  • Closed MAC RA Data

    0s

    sets the RA data to 0 in all timeslots.

    1s

    sets the RA data to 1 in all timeslots.

    01..

    alternates 0 and 1 as the RA data across all timeslots.

    10..

    alternates 1 and 0 as the RA data across all timeslots.

    Mixed

    randomly assigns a mixture of 0s and 1s as the RA data across all timeslots.

  • Closed MAC RA Gain

    +3

    sets the relative power of the RA channel to 3 dB in all timeslots

    0

    sets the relative power of the RA channel to 0 dB in all timeslots.

    –3

    sets the relative power of the RA channel to –3 dB in all timeslots.

    –6

    sets the relative power of the RA channel to –6 dB in all timeslots.

    –10

    sets the relative power of the RA channel to –10 dB in all timeslots.

    –20

    sets the relative power of the RA channel to –20 dB in all timeslots.

    Mixed

    randomly assigns a mixture of 3, 0, –3, –6, –10, and –20 dB as the relative power of the RA channel across all timeslots.

    Set Value...

    A window appears where you can set the relative power of the RA channel in all timeslots. The range is –30 dB to 30 dB.

    Normalize

    (RA + RPC)...

    A window appears where you can set the target power relative to the pilot power. The sum of the RA gain and the RPC gain are automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated MAC RA and MAC RPC channels.

    Normalize RA..

    A window appears where you can set the target power relative to the pilot power. The RA gain is automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated MAC RA channels.

  • Closed MAC RPC/DRClock/ARQ

    All On

    activates the RPC/DRCLock/ARQ channel in all tmeslots.

    75% On

    activates the RPC/DRCLock/ARQ channel in 75 percent of the timeslots.

    50% On

    activates the RPC/DRCLock/ARQ channel in 50 percent of the timeslots.

    25% On

    activates the RPC/DRCLock/ARQ channel in 25 percent of the timeslots.

    All Off

    turns off the RPC/DRCLock/ARQ channel in all timeslots.

    Mixed

    activates the RPC/DRCLock/ARQ channel in a random number of timeslots

    RPC/DRCLock/ARQ Parameter Clone 1

    copies RPC/DRCLock/ARQ parameters of TS#1 to TS#2-16.

    RPC/DRCLock/ARQ Parameter Clone 1, 2 and 4

    copies RPC/DRCLock/ARQ parameters of TS#1 to TS#3, TS#5, TS#7, TS#9, TS#11, TS#13, and TS#15; TS#2 to TS#4, TS#6, TS#10 and TS#14; TS#4 to TS#8, TS#12, and TS#16. The states of RPC/DRCLock/ARQ on the slots are not changed.

    RPC Parameter Default

    sets all RPC/DRCLock/ARQ parameters to default values. The states of RPC/DRCLock/ARQ on the timeslots are not changed .

3GPP2

Timeslot Number

Displays the slot number of the currently displayed parameters.

MAC RA State

Selections: On, Off

Default: On

Sets the reverse activity (RA) channel state for each slot. The RA channel provides flow control information to the access terminal.

MAC RA Data

Selections: 0, 1

Default: 1

Sets the reverse activity (RA) channel information bit to either 1 or 0 in each slot.

MAC RA Gain

Range: –30 dB to 30 dB

Default: –3.01 dB

Sets the reverse activity (RA) channel gain (relative to the pilot channel).

MAC RPC/DRCLock/ARQ State

Selections: On, Off

Default: On

Sets the RPC/DRCLock/ARQ channel state for each slot. When on, it indicates that the state, data, and power settings for the channels within the selected slot are valid. This setting overrides the states of all detailed MAC channel configurations in the MAC channels configuration table.

MAC RPC/DRCLock/ARQ

Opens a drop-down menu which allows you to automatically change the timeslot channel parameters according to a selectable pattern rather than manually editing each timeslot.

Click each of the following for descriptions of available choices.

  • Closed RPC State

    All On

    activates the RPC channel in a selected timeslot.

    75% On

    activates 75 percent of the RPC channels in a selected timeslot.

    50% On

    activates 50 percent of the RPC channels in a selected timeslot.

    25% On

    activates 25 percent of the RPC channels in a selected timeslot.

    All Off

    turns off all RPC channels in a selected timeslot.

    Mixed

    activates a random number of RPC channels in a selected timeslot.

    Copy from DRCLock State

    copies the state of DRCLock channels to RPC state for each RPC channel.

  • Closed RPC Data

    0s

    sets the RPC data to 0 in all RPC channels of a selected timeslot.

    1s

    sets the RPC data to 1 in all RPC channels of a selected timeslot.

    01..

    alternates 0 and 1 as the RPC data across all RPC channels of a selected timeslot.

    10..

    alternates 1 and 0 as the RPC data across all RPC channels of a selected timeslot.

    Mixed

    randomly assigns a mixture of 0s and 1s as the RPC data across all RPC channels of a selected timeslot.

  • Closed DRCLock State

    All On

    activates all DRCLock states in the selected timeslot.

    75% On

    activates 75 percent of the DRCLock states in a selected timeslot.

    50% On

    activates 50 percent of the DRCLock states in a selected timeslot.

    25% On

    activates 25 percent of the DRCLock states in a selected timeslot.

    All Off

    turns off all DRCLock states in a selected timeslot.

    Mixed

    activates a random number of DRCLock states in a selected timeslot.

    Copy from RPC State

    copies the RPC state of each channel to the DRCLock state for all channels in a selected timeslot.

  • Closed DRCLock Data

    0s

    sets the DRCLock data to 0 in all DRCLock channels of a selected timeslot.

    1s

    sets the DRCLock data to 1 in all DRCLock channels of a selected timeslot.

    01..

    alternates 0 and 1 as the DRCLock data across all DRCLock channels of a selected timeslot.

    10..

    alternates 1 and 0 as the DRCLock data across all DRCLock channels of a selected timeslot.

    Mixed

    randomly assigns a mixture of 0s and 1s as the DRCLock data across all DRCLock channels of a selected timeslot.

  • Closed H-/L-ARQ State

    All On

    activates the H-/L-ARQ data for all H-/L-ARQ states for the selected timeslot.

    75% On

    activates the H-/L-ARQ data in 75 percent of the H-/L-ARQ states for the selected timeslot.

    50% On

    activates the H-/L-ARQ data in 50 percent of the H-/L-ARQ states for the selected timeslot.

    25% On

    activates the H-/L-ARQ data in 25 percent of the H-/L-ARQ states for the selected timeslot.

    All Off

    turns off the H-/L-ARQ data in all H-/L-ARQ states.

    Mixed

    activates the H-/L-ARQ data in a random number of the H-/L-ARQ states.

    Copy from P-ARQ State

    copies the P-ARQ state of each channel to the H-/L-ARQ state for the selected timeslot.

  • Closed H-/L-ARQ Type

    All H-ARQ

    assigns H-ARQ data for all H-/L-ARQ types.

    All L-ARQ

    assigns L-ARQ data for all H-/L-ARQ types.

    Mixed

    randomly assigns a mixture of H-ARQ and L-ARQ data for all H-/L-ARQ types.

  • Closed H-/L-ARQ Data

    All ACK

    assigns ACK for all H-/L-ARQ types.

    All NAK

    assigns NAK for all H-/L-ARQ types.

    Mixed

    randomly assigns a mixture of ACK and NAK data for all H-/L-ARQ types across all of the channels.

  • Closed P-ARQ State

    All On

    activates all P-ARQ states in the selected timeslot.

    75% On

    activates 75 percent of the P-ARQ states in a selected timeslot.

    50% On

    activates 50 percent of the P-ARQ states in a selected timeslot.

    25% On

    activates 25 percent of the P-ARQ states in a selected timeslot

    All Off

    turns off all P-ARQ states in a selected timeslot.

    Mixed

    activates a random number of P-ARQ states in a selected timeslot.

    Copy from H-/L-ARQ State

    copies the H-/L-ARQ state of each channel to the P-ARQ state for the selected timeslot.

  • Closed P-ARQ Data

    All ACK

    assigns ACK for all P-ARQ data.

    All NAK

    assigns NAK for all P-ARQ data.

    Mixed

    randomly assigns a mixture of ACK and NAK as the P-ARQ channel data across P-ARQ data

  • Closed Gain

    +3

    sets the relative power of all RPC/DRCLock channels to 3 dB.

    0

    sets the relative power of all RPC/DRCLock channels to 0 dB.

    –3

    sets the relative power of all RPC/DRCLock channels to –3 dB.

    –6

    sets the relative power of all RPC/DRCLock channels to –6 dB.

    –10

    sets the relative power of all RPC/DRCLock channels to –10 dB.

    –20

    sets the relative power of all RPC/DRCLock channels to –20 dB

    Mixed

    randomly assigns a mixture of 3, 0, -3, –6, –10, and –20 dB as the relative power across all RPC/DRCLock channels.

    Set Value...

    A window appears where you can set the relative power of all RPC/DRCLock channels. The range is –30 dB to 30 dB.

    Normalize...

    A window appears where you can set the target power relative to the pilot power. The RPC/DRCLock gain is automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated RPC/DRCLock channels.

Displays all columns including RPC, DRCLock, H-/L-ARQ, and P-ARQ current data settings.

CH #

Displays the channel number of the currently displayed parameters.

MAC #

Displays the MAC number of the currently displayed parameters.

RPC State

Displays the state of the RPC channel.

RPC Data

Sets the reverse power control (RPC) channel bits. Each RPC channel carries a single power control data bit per slot to a unique active access terminal. The access terminal will raise or lower power depending on whether a 0 or a 1 data bit is sent respectively. The data bit for each active RPC channel can be individually defined.

DRCLock State

Displays the state of the DRCLock channel.

DRCLock Data

Sets the DRCLock channel bits. The data bit for each active channel can be individually defined. The bit is set to either a 1 or 0.

H-/L-ARQ State

Selections: On, Off

Selects the H-ARQ/L-ARQ data on or off.

H-/L-ARQ Type

Selections: H-ARQ, L-ARQ

Selects the ARQ data type, H-ARQ or L-ARQ.

H-/L-ARQ Data

Selections: ACK, NAK

Sets the H-ARQ or L-ARQ data bits for ACK or NAK. The data bit for each active data can be individually defined.

P-ARQ State

Selections: On, Off

Sets the P-ARQ data on or off.

P-ARQ Data

Selections: On, Off

Sets the P-ARQ data for ACK or NAK. The data bit for each active data can be individually defined.

Gain

Range: –30 dB to 30 dB

Default: –3.01 dB

Sets the ARQ channel gain (relative to the pilot channel).

Related Topics

Basic 1xEV-D0 Rev.A Forward


Advanced 1xEV-DO Rev.A Forward Channel Setup

Real Time

Channel Setup: Advanced 1xEV-DO Rev.A Forward

Mode | Traffic Channel Data
Pilot Channel State | Traffic Channel Data Offset
Pilot PN Offset | Idle slot Noise State
MAC Channel State | Idle Slot Noise Gain
ARQ Channel ARQ Mode | Frame Offset
Traffic Channel State |

Buttons

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Mode

Selections: Normal, Continuous Pilot

Default: Normal

Sets the operating mode.

Normal - In this mode, a 1xEV-DO frame with custom channel configurations in each of the frame's 16 slots can be configured. The following forward link channels are supported in normal operating mode: pilot channel, MAC channel, and traffic channel.

Continuous Pilot - This mode provides a fundamental test signal to be used as a troubleshooting tool to verify basic operation of the device under test. As a result, the pilot channel is continuously active over the entire 1xEV-DO frame. In this mode of operation, the pilot channel is the only available channel type.

Pilot Channel State

Selections: On, Off

Default: On

Is the default active channel in every frame and occurs as two distinct burst (in normal mode) in each slot of the frame. It cannot be de-activated.

Pilot PN Offset

Range: 0 to 511

Default: 0

Sets the pilot channel’s PN offset index. The PN offset index of the pilot channel indicates the cell or sector of the transmitting access network.

MAC Channel State

Selections: On, Off

Default: On

Sets the state of the medium access control (MAC) channel for the entire frame. The default selection is ON. Any channel configuration done at the slot level is not valid unless this channel is activated for use in the entire frame.

ARQ Channel ARQ Mode

Selections: 0: Bi-Polar Keying, 1: On-Off Keying

Default: 0: Bi-Polar Keying

Defines the H-ARQ transmission rules. This selection is only available when the MAC channel is on. The access network (AN) transmits H-ARQ bits based on the selected ARQ mode:

If the sector is part of the serving cell, the following keying is used:

ARQ Mode 0 | Bipolar keying: +1 for ACK, –1 for NAK
ARQ Mode 1 | ACK-oriented ON-OFF (OOK) keying: +1 for ACK, 0 for NAK

If the sector is not part of the serving cell, the value of ARQ Mode is ignored and the AN transmits H-ARQ bits using ACK-oriented ON-OFF keying.

Traffic Channel State

Selections: On, Off

Default: Off

Sets the state of the traffic channel for the entire frame. Any channel configuration done at the slot level is not valid unless the channel is activated for use in the entire frame.

Traffic Channel Data

Selections: PN9, PN15, User Defined Bits

Default: PN15

Allows you to set the data for the channel.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Traffic Channel Data Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the traffic channel data is offset.

Idle Slot Noise State

Selections: On, Off

Default: Off

Allows an idle slot to have a controllable low level of noise, rather than no signal, to improve the on/off ratio that must be handled by the component. This low level of the noise is controlled by the Idle Slot Gain parameter. During idle slot transmission, a large on/off power ratio requires that the access network power amplifier have extremely wide dynamic range. This is typically not the case. To address this issue, the idle slot noise function allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. When the idle slot noise is disabled, RF blanking (turning off the RF signal in certain conditions) is automatically enabled, which results in a very large on/off power ratio during idle slot transmission.

Idle Slot Noise Gain

Selections: –80 dB to 0 dB

Default: –10 dB

Allows the noise level during the off time of the idle slot to be varied relative to the pilot channel. By varying the idle slot gain, the on/off power ratio can be set as needed to meet the transmission envelope mask requirements of the system. To set the idle slot gain, the idle slot noise function must be enabled first.

Frame Offset

Selections: 0 to 15

Default: All 0

Allows you to set a frame offset to assign which parameters, RPC or ARQ, are used for a timeslot. The [image] icon at the right of the cell opens the Closed Frame Offset dialog box.

Set Value...

Accesses a Closed dialog box where you can enter a frame offset (0 to 15) for all 114 RPC channels.

Clear

Clears all previous values and resets all to 0.

RPC Channel

Numbers (1 to 114) the reverse power channels.

MAC Index

Lists the associated MAC index for each channel.

Frame Offset

Allows you to set an individual frame offset for each RPC channel.

Offsets Closed can be individually set for each MAC channel or all assigned the same value. The RPC parameters are activated when (timeslot + frame offset) mod 4 is equal to 0; otherwise, ARQ parameters are activated.

To set offsets for specific RPC channels, you can highlight an individual row or hold down Ctrl and highlight several rows. If you then right-click a highlighted row, a Closed dialog box appears from which you can select Set Value.... or Clear.

  • With frame offset set to 0, the software configures RPC parameters on timeslots #4, 8, 12, 16 and ARQ channel parameters on timeslots #1, 2, 3, 5, 6, 7, 9, 1 0, 11, 13, 14, 15.

  • With frame offset set to 1, the software configures RPC parameters on timeslots # 3, 7, 11, 15 and ARQ channel parameters on timeslots # 1, 2, 4, 5, 6, 8, 9, 10, 12, 13, 14, 16.

Related Topics

Packets

Timeslots


Packets: Advanced 1xEV-DO Rev.A Forward Channel Setup

Real Time

Packets: Advanced 1xEV-DO Rev.A Forward

Packet Number | MAC Index
State | Data Source
Data Rate | Data Offset

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Packet Number

Displays the packet number of currently displayed parameters.

State

Selections: On, Off

Default: On

Generates a data packet when selected on. When it is selected off, it uses DTX or is filled with noise, according to the setting of the idle slot noise.

Data Rate

Selections: Closed Several Selections

Default: 4.8 kbps (128, 16, 1024) QPSK

Selects the nominal data rate (kbps), physical layer packet size (bits), nominal transmit duration (slots), preamble length (chips), and modulation type respectively.

MAC Index

Range: 0 to 127

Selects the data coding (0 to 127) used for the preamble generation.

Data Source

Selections: PN9, PN15, User Defined Bits

Default: PN15

Selects the data bits to be used to generate a data packet. The data channel must be activated before you can select the data type.

If the specified data length is shorter than the required length for the packet, the bits are repeated. If the data length is longer than the required length for the packet, the longer part is ignored. The same generated data packet is then used repeatedly.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Data Coding

Selections: On, Off

Default: On

Adds FCS, turbo coding, spreading, and scrambling when selected on. Selecting off adds spreading and scrambling only.

Data Offset

Range: 0 to 32768

Default: 0

This parameter sets the numBer of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

Related Topic

Advanced 1xEV-D0 Rev.A Forward


MAC: Advanced 1xEV-DO Rev.A Forward Channel Setup

Real Time

Timeslots: Advanced 1xEV-DO Rev.A Forward

Timeslot Number

MAC RA State

MAC RA Data

MAC RA Gain

MAC RPC/DRCLock/ARQ State

Timeslot Configuration Summary Table

This table enables you to view the key parameters for the channels in each timeslot. Double-clicking a row activates the setup tables for that timeslot. You can use a maximum of 16 timeslots per carrier.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Opens a Closed drop-down menu which allows you to select a pattern to apply to all 16 timeslots rather than manually editing the parameters for individual timeslots.

Click each of the following for descriptions of available choices.

  • Closed MAC RA

    All On

    activates the RA channel in all timeslots.

    75% On

    activates the RA channel in 75 percent of the timeslots. Starting with TS#4, the RA channel is disabled in every fourth timeslot.

    50% On

    activates the RA channel in 50 percent of the timeslots. Starting with TS#1, the RA control channel is activated in every other timeslot.

    25% On

    activates the RA channel in 25 percent of the timeslots. Starting with TS#4, the RA channel is activated in every fourth timeslot.

    All Off

    turns off the RA channel in all timeslots.

    Mixed

    activates the RA channel in a random number of timeslots.

  • Closed MAC RA Data

    0s

    sets the RA data to 0 in all timeslots.

    1s

    sets the RA data to 1 in all timeslots.

    01..

    alternates 0 and 1 as the RA data across all timeslots.

    10..

    alternates 1 and 0 as the RA data across all timeslots.

    Mixed

    randomly assigns a mixture of 0s and 1s as the RA data across all timeslots.

  • Closed MAC RA Gain

    +3

    sets the relative power of the RA channel to 3 dB in all timeslots.

    0

    sets the relative power of the RA channel to 0 dB in all timeslots.

    –3

    sets the relative power of the RA channel to –3 dB in all timeslots.

    –6

    sets the relative power of the RA channel to –6 dB in all timeslots.

    –10

    sets the relative power of the RA channel to –10 dB in all timeslots.

    –20

    sets the relative power of the RA channel to –20 dB in all timeslots.

    Mixed

    randomly assigns a mixture of 3, 0, –3, –6, –10, and –20 dB as the relative power of the RA channel across all timeslots.

    Set Value...

    A window appears where you can set the relative power of the RA channel in all timeslots. The range is –30 dB to 30 dB.

    Normalize MAC

    (RA + RPC)...

    A window appears where you can set the target power relative to the pilot power. The sum of the RA gain and the RPC gain are automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated MAC RA and MAC RPC channels.

    Normalize RA..

    A window appears where you can set the target power relative to the pilot power. The RA gain is automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated MAC RA channels.

  • Closed MAC RPC/DRClock/ARQ State

    All On

    activates the RPC/DRCLock/ARQ channel in all slots.

    75% On

    activates the RPC/DRCLock/ARQ channel in 75 percent of the slots.

    50% On

    activates the RPC/DRCLock/ARQ channel in 50 percent of the slots.

    25% On

    activates the RPC/DRCLock/ARQ channel in 25 percent of the slots.

    All Off

    turns off the RPC/DRCLock/ARQ channel in all slots.

    Mixed

    activates the RPC/DRCLock/ARQ channel in a random number of slots

    RPC/DRCLock/ARQ Parameter Clone 1 and 4

    copies RPC/DRCLock/ARQ parameters of S#1 to S#2, S#3, S#5, S#6, S#7, S#9, S#10, S#11, S#13, S#14, S#15 and S#4 to S#8, and S#12, S#16. The states of RPC/DRCLock/ARQ on the slots are not changed.

    RPC/DRCLock/ARQ Parameter Default

    sets all RPC/DRCLock/ARQ parameters to default values. The states of RPC/DRCLock/ARQ on the slots are not changed .

3GPP2

Timeslot Number

Displays the slot number of the currently displayed parameters.

MAC RA State

Selections: On, Off

Default: On

Sets the reverse activity (RA) channel state for each slot. The RA channel provides flow control information to the access terminal.

MAC RA Data

Selections: 0, 1

Default: 1

Sets the reverse activity (RA) channel information bit. The bit is set to either a 1 or 0 in each slot.

MAC RA Gain

Range: –30 dB to 30 dB

Default: –3.01 dB

Sets the reverse activity (RA) channel gain (relative to the pilot channel).

MAC RPC/DRClock/ARQ State

Selections: On, Off

Default: On

Sets the RPC/DRCLock/ARQ channel state for each slot. When on, it indicates that the state, data, and power settings for the channels within the selected slot are valid.

MAC RPC/DRCLock/ARQ

Opens a Closed drop-down menu which allows you to automatically change the timeslot channel parameters according to a selectable pattern rather than manually editing each timeslot.

Click each of the following for descriptions of available choices.

  • Closed RPC State

    All On

    activates the RPC channel in a selected timeslot.

    75% On

    activates 75 percent of the RPC channels in a selected timeslot.

    50% On

    activates 50 percent of the RPC channels in a selected timeslot.

    25% On

    activates 25 percent of the RPC channels in a selected timeslot.

    All Off

    turns off all RPC channels in a selected timeslot.

    Mixed

    activates a random number of RPC channels in a selected timeslot.

  • Closed RPC Data

    0s

    sets the RPC data to 0 in all RPC channels of a selected slot.

    1s

    sets the RPC data to 1 in all RPC channels of a selected slot.

    01..

    alternates 0 and 1 as the RPC data across all RPC channels of a selected slot.

    10..

    alternates 1 and 0 as the RPC data across all RPC channels of a selected slot.

    Mixed

    randomly assigns a mixture of 0s and 1s as the RPC data across all RPC channels of a selected slot.

  • Closed DRCLock State

    All On

    activates all DRCLock states in the selected slot.

    75% On

    activates 75 percent of the DRCLock states in a selected slot.

    50% On

    activates 50 percent of the DRCLock states in a selected slot.

    25% On

    activates 25 percent of the DRCLock states in a selected slot

    All Off

    turns off all DRCLock states in a selected slot.

    Mixed

    activates a random number of DRCLock states in a selected slot.

    Copy from RPC State

    copies the RPC state of each channel to the DRCLock state for all channels in a selected slot.

  • Closed DRCLock Data

    0s

    sets the DRCLock data to 0 in all DRCLock channels of a selected slot.

    1s

    sets the DRCLock data to 1 in all DRCLock channels of a selected slot

    01..

    alternates 0 and 1 as the DRCLock data across all DRCLock channels of a selected slot.

    10..

    alternates 1 and 0 as the DRCLock data across all DRCLock channels of a selected slot.

    Mixed

    randomly assigns a mixture of 0s and 1s as the DRCLock data across all DRCLock channels of a selected slot.

  • Closed H-/L-ARQ State

    All On

    activates the H-/L-ARQ data for all H-/L-ARQ states for the selected timeslot.

    75% On

    activates the H-/L-ARQ data in 75 percent of the H-/L-ARQ states for the selected timeslot.

    50% On

    activates the H-/L-ARQ data in 50 percent of the H-/L-ARQ states for the selected timeslot.

    25% On

    activates the H-/L-ARQ data in 25 percent of the H-/L-ARQ states for the selected timeslot.

    All Off

    turns off the H-/L-ARQ data in all H-/L-ARQ states.

    Mixed

    activates the H-/L-ARQ data in a random number of the H-/L-ARQ states

    Copy from P-ARQ State

    copies the P-ARQ state of each channel to the H-/L-ARQ state for the selected slot.

  • Closed H-/L-ARQ Type

    H-ARQ

    assigns H-ARQ data for all H-/L-ARQ types.

    L-ARQ

    assigns L-ARQ data for all H-/L-ARQ types.

    Mixed

    randomly assigns a mixture of H-ARQ and L-ARQ data for all H-/L-ARQ types.

  • Closed H-/L-ARQ Data

    ACK

    assigns ACK for all H-/L-ARQ types.

    NAK

    assigns NAK for all H-/L-ARQ types.

    Mixed

    randomly assigns a mixture of ACK and NAK data for all H-/L-ARQ types across all of the channels.

  • Closed P-ARQ State

    All On

    activates all P-ARQ states in the selected slot.

    75% On

    activates 75 percent of the P-ARQ states in a selected slot.

    50% On

    activates 50 percent of the P-ARQ states in a selected slot.

    25% On

    activates 25 percent of the P-ARQ states in a selected slot

    All Off

    turns off all P-ARQ states in a selected slot.

    Mixed

    activates a random number of P-ARQ states in a selected slot.

    Copy from H-/L-ARQ State

    copies the H-/L-ARQ state of each channel to the P-ARQ state for the selected slot.

  • Closed P-ARQ Data

    ACK

    assigns ACK for all P-ARQ data.

    NAK

    assigns NAK for all P-ARQ data.

    Mixed

    randomly assigns a mixture of ACK and NAK as the P-ARQ channel data across P-ARQ data

  • Closed Gain

    +3

    sets the relative power of all RPC/DRCLock channels to 3 dB.

    0

    sets the relative power of all RPC/DRCLock channels to 0 dB.

    –3

    sets the relative power of all RPC/DRCLock channels to –3 dB.

    –6

    sets the relative power of all RPC/DRCLock channels to –6 dB.

    –10

    sets the relative power of all RPC/DRCLock channels to –10 dB.

    –20

    sets the relative power of all RPC/DRCLock channels to –20 dB

    Mixed

    randomly assigns a mixture of 3, 0, -3, –6, –10, and –20 dB as the relative power across all RPC/DRCLock channels.

    Set Value...

    A window appears where you can set the relative power of all RPC/DRCLock channels. The range is –30 dB to 30 dB.

    Normalize...

    A window appears where you can set the target power relative to the pilot power. The RPC/DRCLock gain is automatically adjusted to the target power relative to the Pilot power. The setting is applied only for activated RPC/DRCLock channels.

Displays all columns including RPC, DRCLock, H-/L-ARQ, and P-ARQ current data settings.

CH #

Displays the channel number of the currently displayed parameters.

MAC #

Displays the MAC number of the currently displayed parameters.

RPC State

Displays the state of the RPC channel.

RPC Data

Displays the reverse power control (RPC) channel bits. Each RPC channel carries a single power control data bit per slot to a unique active access terminal. The access terminal will raise or lower power depending on whether a 0 or a 1 data bit is sent respectively. The data bit for each active RPC channel can be individually defined. The bit is set to either a 1 or 0.

DRCLock State

Displays the state of the DRCLock channel.

DRCLock Data

Displays the DRCLock channel bits. The data bit for each active channel can be individually defined. The bit is set to either a 1 or 0.

H-/L-ARQ State

Selections: On, Off

Selects the H-ARQ/L-ARQ data on or off.

H-/L-ARQ Type

Selections H-ARQ, L-ARQ

Selects the ARQ data type, H-ARQ or L-ARQ.

H-/L-ARQ Data

Selections: ACK, NAK

Sets the H-ARQ or L-ARQ data bits for ACK or NAK. The data bit for each active data can be individually defined.

P-ARQ State

Selections: On, Off

Sets the P-ARQ data on or off.

P-ARQ Data

Selections: ACK, NAK

Sets the P-ARQ data for ACK or NAK. The data bit for each active data can be individually defined.

Gain

Range: –30 dB to 30 dB

Default: –3.01 dB

Sets the ARQ channel gain (relative to the pilot channel).

Related Topics

Advanced 1xEV-D0 Rev.A Forward


Basic 1xEV-DO Rev.A Reverse Channel Setup

Real Time

Channel Setup: Basic 1xEV-DO Rev.A Reverse

Pilot Channel State | RRI Relative Gain | ACK State
Auxiliary Pilot Channel State | RRI Channel Assignment Mode | ACK Relative Gain
Auxiliary Pilot Channel Relative Gain | DRC State | ACK Channel Modulation (ARQ Mode)
Auxiliary Pilot Channel Assignment Mode | DRC Relative Gain | Data Channel State
Auxiliary Pilot Channel Payload Size Limit | DSC State | Data Packet Transmission Repetition
RRI State | DSC Relative Gain | I MASK
 |  | Q MASK

Buttons

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Pilot Channel State

Selections: On, Off

Default: On

Is the default active channel in every frame.

Auxiliary Pilot Channel State

Selections: On, Off

Default: On

Automatically repeats the generated data to match the maximum length of the configured channels. The Auxiliary Pilot channel is used to increase the effective pilot energy without causing the other reverse link channels to increase their gain at high data rates.

Auxiliary Pilot Channel Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the auxiliary pilot channel with respect to the pilot channel from –30 to 30 dB.

Auxiliary Pilot Channel Assignment Mode

Selections: Manual (16 slots), Manual (12 slots), Auto

Default: Auto

Selects Closed Auto or Closed Manual mode for the auxiliary pilot channel.

Auto

Automatically assigns this channel if the physical layer packet size of the data channel is greater than or equal to the value set in the Auxiliary Pilot Channel Payload Size Limit cell. The configuration in the slots window is ignored when Auto mode is selected.

Manual
(12 slots)

Assigns the first 12 slots (3 subframes) as defined in the slots window.

Manual
(16 slots)

Assigns 16 slots (4 subframes) as defined in the slots window.

Auxiliary Pilot Channel Payload Size Limit

Selections: 128, 256, 512, 768, 1024, 1536, 2048, 3072, 4096, 6144, 8192, 12288

Default: 128

Sets the payload data limit for the auxiliary pilot channel in Auto mode. When the payload data size is greater than or equal to this value, the auxiliary pilot channel is automatically transmitted at the previous or next half slot.

RRI State

Selections: On, Off

Default: On

Sets the state of the reverse rate indicator (RRI) channel for the entire frame. The default selection is ON. When activated, it is time division multiplexed with the pilot channel.

RRI Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the RRI channel with respect to the pilot channel from –30 to 30 dB. The RRI channel must be activated for the setting to be valid.

RRI Channel Assignment Mode

Selections: Manual (16 slots), Manual (12 slots), Auto

Default: Auto

Selects Closed Auto or Closed Manual mode for this channel. The RRI channel carries the transmitted payload size and the subpacket identifier in 6 bits of data that is transmitted in a single slot. The first four bits contain the payload index that conveys the physical packet size being transmitted on the reverse data channel. The last two bits indicate to the base station which subpacket is being transmitted on the reverse data channel in the corresponding four slots.

Auto

Automatically assigns the RRI bits (4-bit payload index and 2-bit subpacket index) based on the Data channel. When the data packet status is off, RRI settings for the related slots are the same as those assigned in manual mode operation.

Manual (12 slots)

Assigns the first 12 slots (3 subframes) as defined in the slots window.

Manual (16 slots)

Assigns 16 slots (4 subframes) as defined in the slots window.

DRC State

Selections: On, Off

Default: On

Sets the state of the data rate control (DRC) channel for the entire frame.

DRC Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the data rate control (DRC) channel with respect to the pilot channel. The DRC channel must be activated for the setting to be valid.

DSC State

Selections: On, Off

Default: On

Sets the data source control (DSC) on or off for the specified slot position.

DSC Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the data source control (DRC) channel with respect to the pilot channel. The DSC channel must be activated for the setting to be valid.

ACK State

Selections: On, Off

Default: On

Sets the state of the acknowledgement (ACK) channel for the entire frame.

ACK Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the acknowledgement (ACK) channel with respect to the pilot channel. The ACK channel must be activated for the setting to be valid.

ACK Channel Modulation (ARQ Mode)

Selections: BPSK, OOK

Default: BPSK

Sets the modulation mode for the (ACK) acknowledgement channel.

BPSK (bipolar keying) | +1 for ACK, –1 for NAK
OOK (on-off keying) | +1 for ACK, 0 for NAK

Data Channel State

Selections: On, Off

Default: On

Sets the state of the data channel for the entire frame. When active, the data channel is present in each of the frame’s timeslots.

Data Packet Transmission Repetition

Range: 1 to 4

Default: 4

Sets how many times to repeat the physical layer packet.

I MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the I mask value in hexadecimal.

Q MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the Q mask value in hexadecimal.

Related Topics

Packets

Timeslots


Packets: Basic 1xEV-DO Rev.A Reverse Channel Setup

Real Time

Packets: Basic 1xEV-DO Rev.A Reverse

Packet Number | Gain
State | Bit Stream
Data Rate | Offset

3GPP2

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Packet Number

Displays the packet number for the displayed parameters.

State

Selections: On, Off

Default: On

Enables or disables the physical layer packet of the data channel.

Data Rate

Selections: Closed Several Selections

Default: 19.2/ 9.6/ 6.4/ 4.8kbps (128) B4

Sets the data rate of the physical layer packet of the data channel. The entries correspond to the data rate [kbps] after 4, 8, 12, and 16 slots, (payload data size [bits]), and modulation type respectively.

Gain

Range: –30 to 30 dB

Default: 0.75 dB

Sets the relative gain of the physical layer packet with respect to the data channel from –30 to 30 dB. The physical layer packet must be activated for the setting to be valid.

Bit Stream

Selections: PN9, PN15, User Defined Bits

Default: PN15

Sets the data type (bit pattern) for the data channel. The data channel must be activated before you can select the data type. The assigned bits are used to generate one data packet. If the Data Packet Transmission Repetition is set to 4, the amount of one data packet is 16 slots (4 slots * 4 transmissions). Then the same data packet is repeated. If the assigned bit stream is shorter than the amount of required length for one data packet generation, the bit stream is repeated until the maximum length is reached. If the assigned bit stream is longer than the amount of one data packet generation, the longer part is ignored.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

Related Topic

Basic 1xEV-D0 Rev.A Reverse


Timeslots: Basic 1xEV-DO Rev.A Reverse Channel Setup

Real Time

Timeslots: Basic 1xEV-DO Rev.A Reverse

Timeslot Number | ACK Data | RRI Payload Index
DRC State | DSC State | RRI Sub-packet Index
DRC Data | DSC Data | Aux Pilot 1st Half Slot State
DRC Cover | RRI State | Aux Pilot 2nd Half Slot State
ACK State |  |

Timeslot Configuration Summary Table

This table enables you to view the key parameters for the channels in each timeslot. Double-clicking a row activates the setup tables for that timeslot. You can use a maximum of 16 timeslots per carrier.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Opens a Closed drop-down menu which allows you to select a pattern to apply to all 16 timeslots rather than manually editing the parameters for individual timeslots.

Click each of the following for descriptions of available choices.

  • Closed DRC State

    All On

    activates the data rate control channel in all timeslots.

    75% On

    activates the data rate control channel in 75 percent of the timeslots. Starting with TS#4, the traffic channel is disabled in every fourth timeslot.

    50% On

    activates the data rate control channel in 50 percent of the timeslots. Starting with TS#1, the traffic control channel is activated in every other timeslot.

    25% On

    activates the data rate control channel in 25 percent of the timeslots. Starting with TS#4, the traffic channel is activated in every fourth timeslot.

    All Off

    turns off the data rate control channel in all timeslots.

    Mixed

    activates the data rate control channel in a random number of timeslots.

  • Closed DRC Data

    0 (0000)

    sets the data rate control channel data to 0000 in all timeslots. 0 represents this selection.

    1 (0001)

    sets the data rate control channel data to 0001 in all timeslots. 1 represents this selection.

    2 (0010)

    sets the data rate control channel data to 0010 in all timeslots. 2 represents this selection.

    3 (0011)

    sets the data rate control channel data to 0011 in all timeslots. 3 represents this selection.

    4 (0100)

    sets the data rate control channel data to 0100 in all timeslots. 4 represents this selection.

    5 (0101)

    sets the data rate control channel data to 0101 in all timeslots. 5 represents this selection.

    6 (0110)

    sets the data rate control channel data to 0110 in all timeslots. 6 represents this selection.

    7 (0111)

    sets the data rate control channel data to 0111 in all timeslots. 7 represents this selection

    8 (1000)

    sets the data rate control channel data to 1000 in all timeslots. 8 represents this selection.

    9 (1001)

    sets the data rate control channel data to 1001 in all timeslots. 9 represents this selection.

    A (1010)

    sets the data rate control channel data to 1010 in all timeslots. 10 represents this selection.

    B (1011)

    sets the data rate control channel data to 1011 in all timeslots. 11 represents this selection.

    C (1100)

    sets the data rate control channel data to 1100 in all timeslots. 12 represents this selection.

    D (1101)

    sets the data rate control channel data to 1101 in all timeslots. 13 represents this selection.

    E (1110)

    sets the data rate control channel data to 1110 in all timeslots. 14 represents this selection.

    F (1111)

    sets the data rate control channel data to 1111 in all timeslots. 15 represents this selection.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel data across all timeslots.

  • Closed DRC Cover

    0

    sets the data rate control channel cover to 0 in all timeslots.

    1

    sets the data rate control channel cover to 1 in all timeslots.

    2

    sets the data rate control channel cover to 2 in all timeslots.

    3

    sets the data rate control channel cover to 3 in all timeslots.

    4

    sets the data rate control channel cover to 4 in all timeslots.

    5

    sets the data rate control channel cover to 5 in all timeslots.

    6

    sets the data rate control channel cover to 6 in all timeslots.

    7

    sets the data rate control channel cover to 7 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel cover across all timeslots.

  • Closed ACK State

    All On

    activates the acknowledgement channel in all timeslots.

    75% On

    activates the acknowledgement channel in 75 percent of the timeslots. Starting with TS#4, the ACK channel is disabled in every fourth timeslot.

    50% On

    activates the acknowledgement channel in 50 percent of the timeslots. Starting with TS#1, the ACK channel is activated in every other timeslot.

    25% On

    activates the acknowledgement channel in 25 percent of the timeslots. Starting with TS#4, the ACK channel is activated in every fourth timeslot.

    All Off

    turns off the acknowledgement channel in all timeslots.

    Mixed

    activates the acknowledgement channel in a random number of timeslots.

  • Closed ACK Data

    0s

    sets the acknowledgement channel data to 0 in all timeslots.

    1s

    sets the acknowledgement channel data to 1 in all timeslots.

    01..

    alternates 0 and 1 as the acknowledgement channel data across all timeslots.

    10..

    alternates 1 and 0 as the acknowledgement channel data across all timeslots.

    Mixed

    randomly assigns a mixture of 0s and 1s as the acknowledgement channel data across all timeslots.

  • Closed DSC State

    All On

    activates the data source control channel in all timeslots.

    75% On

    activates the data source control channel in 75 percent of the timeslots.

    50% On

    activates the data source control channel in 50 percent of the timeslots.

    25% On

    activates the data source control channel in 25 percent of the timeslots.

    All Off

    turns off the data source control channel in all timeslots.

    Mixed

    activates the data source control channel in a random number of timeslots.

  • Closed DSC Data

    0

    sets the data source channel to 0 in all timeslots.

    1

    sets the data source channel to 1 in all timeslots.

    2

    sets the data source channel to 2 in all timeslots.

    3

    sets the data source channel to 3 in all timeslots.

    4

    sets the data source channel to 4 in all timeslots.

    5

    sets the data source channel to 5 in all timeslots.

    6

    sets the data source channel to 6 in all timeslots.

    7

    sets the data source channel to 7 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the data source control channel across all timeslots.

  • Closed RRI State

    All On

    activates the RRI channel in all timeslots.

    75% On

    activates the RRI channel in 75 percent of the timeslots.

    50% On

    activates the RRI channel in 50 percent of the timeslots.

    25% On

    activates the RRI channel in 25 percent of the timeslots.

    All Off

    turns off the RRI channel in all timeslots.

    Mixed

    activates the RRI channel in a random number of timeslots.

  • Closed RRI Payload Index

    0(0000)

    sets the RRI channel data to 0000 in all timeslots

    1(0001)

    sets the RRI channel data to 0001 in all timeslots.

    2(0010)

    sets the RRI channel data to 0010 in all timeslots.

    3(0011)

    sets the RRI channel data to 0011 in all timeslots.

    4(0100)

    sets the RRI channel data to 0100 in all timeslots.

    5(0101)

    sets the RRI channel data to 0101 in all timeslots

    6(0110)

    sets the RRI channel data to 0110 in all timeslots.

    7(0111)

    sets the RRI channel data to 0111 in all timeslots.

    8(1000)

    sets the RRI channel data to 1000 in all timeslots.

    9(1001)

    sets the RRI channel data to 1001 in all timeslots.

    A(1010)

    sets the RRI channel data to 1010 in all timeslots.

    B(1011)

    sets the RRI channel data to 1011 in all timeslots.

    C(11100)

    sets the RRI channel data to 1100 in all timeslots.

    D(11101)

    sets the RRI channel data to 1101 in all timeslots.

    E(1110)

    sets the RRI channel data to 1110 in all timeslots.

    F(1111)

    sets the RRI channel data to 1111 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the RRI channel data across all timeslots.

  • Closed RRI Subpacket Index

    0

    sets the RRI subpacket index to 0 in all timeslots.

    1

    sets the RRI subpacket index to 1 in all timeslots.

    2

    sets the RRI subpacket index to 2 in all timeslots.

    3

    sets the RRI subpacket index to 3 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the RRI subpacket index across all timeslots.

  • Closed Aux Pilot 1st Half Slot State

    All On

    configures the Auxiliary Pilot channel in 1st half slots in all slots.

    75% On

    configures the Auxiliary Pilot channel in 1st half slots in 75 percent of the slots.

    50% On

    configures the Auxiliary Pilot channel in 1st half slots in 50 percent of the slots.

    25% On

    configures the Auxiliary Pilot channel in 1st half slots in 25 percent of the slots.

    All Off

    turns off the Auxiliary Pilot channel in all 1st half slots.

    Mixed

    configures the Auxiliary Pilot channel in 1st half slots in a random number of slots.

  • Closed Aux Pilot 2nd Half Slot State

    All On

    configures the Auxiliary Pilot channel in 2nd half slots in all slots.

    75% On

    configures the Auxiliary Pilot channel in 2nd half slots in 75 percent of the slots.

    50% On

    configures the Auxiliary Pilot channel in 2nd half slots in 50 percent of the slots.

    25% On

    configures the Auxiliary Pilot channel in 2nd half slots in 25 percent of the slots.

    All Off

    turns off the Auxiliary Pilot channel in all 2nd half slots.

    Mixed

    configures the Auxiliary Pilot channel in 2nd half slots in a random number of slots.

3GPP2

Timeslot Number

Displays the number of the timeslot for the displayed parameters.

DRC State

Selections: On, Off

Default: On

Sets the state of the data rate control (DRC) channel for each slot.

DRC Data

Range: 0 to 15

Default: 15

Sets the fixed, 4-bit data rate control (DRC) pattern, indicating the selected serving sector and the requested data rate on the forward traffic channel.

DRC Cover

Range: 0 to 7

Default: 7

Sets the 8-ary Walsh cover for the data rate control (DRC) channel.

ACK State

Selections: On, Off

Default: On

Sets the acknowledgement channel state for each slot.

ACK Data

Range: 0 to 1

Default: 1

Sets the acknowledgement channel information bit to either 0 or 1.

DSC State

Selections: On, Off

Default: On

Sets the data source control (DSC) on or off for the specified slot position.

DSC Data

Range: 0 to 7

Default: 7

Sets the data source control value.

RRI State

Selections: On, Off

Default: On

Sets the reverse rate indicator channel state for each slot.

RRI Payload Index

Range: 0 to 15

Default: 1

Sets the 4-bit payload index when using manual mode.

RRI Sub-packet Index

Range: 0 to 3

Default: 0

Sets the 2-bit subpacket index when using manual mode.

Aux Pilot 1st Half Slot State

Selections: On, Off

Default: On

Selects the 1st half slot for auxiliary pilot channel configuration when using manual mode.

Aux Pilot 2nd Half Slot State

Selections: On, Off

Default: On

Selects the 2nd half slot for auxiliary pilot channel configuration when using manual mode.

Related Topic

Basic 1xEV-D0 Rev.A Reverse


Advanced 1xEV-DO Rev.A Reverse Channel Setup

Real Time

Channel Setup: Advanced 1xEV-DO Rev.A Reverse

Pilot Channel State | RRI Relative Gain | ACK State
Auxiliary Pilot Channel State | RRI Channel Assignment Mode | ACK Relative Gain
Auxiliary Pilot Channel Relative Gain | DRC State | ACK Channel Modulation (ARQ Mode)
Auxiliary Pilot Channel Assignment Mode | DRC Relative Gain | Data Channel State
Auxiliary Pilot Channel Payload Size Limit | DSC State | Data Packet Transmission Repetition
RRI State | DSC Relative Gain | I MASK
 |  | Q MASK

Buttons

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Pilot Channel State

Selections: On, Off

Default: On

Is the default active channel in every frame.

Auxiliary Pilot Channel State

Selections: On, Off

Default: On

Automatically repeats the generated data to match the maximum length of the configured channels. The Auxiliary Pilot channel is used to increase the effective pilot energy without causing the other reverse link channels to increase their gain at high data rates.

Auxiliary Pilot Channel Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the auxiliary pilot channel with respect to the pilot channel.

Auxiliary Pilot Channel Assignment Mode

Selections: Manual (16 slots), Manual (12 slots), Auto

Default: Auto

Selects Closed Auto or Closed Manual mode for the auxiliary pilot channel.

Auto

Automatically assigns this channel if the physical layer packet size of the data channel is greater than or equal to the value set in the Auxiliary Pilot Channel Payload Size Limit cell. The configuration in the slots window is ignored when Auto mode is selected.

Manual
(12 slots)

Assigns the first 12 slots (3 subframes) as defined in the slots window.

Manual
(16 slots)

Assigns 16 slots (4 subframes) as defined in the slots window.

Auxiliary Pilot Channel Payload Size Limit

Selections: 128, 256, 512, 768, 1024, 1536, 2048, 3072, 4096, 6144, 8192, 12288

Default: 128

Sets the payload data limit for the auxiliary pilot channel, in Auto mode. When the payload data size is greater than or equal to this value, the auxiliary pilot channel is automatically transmitted at the previous or next half slot.

RRI State

Selections: On, Off

Default: On

Sets the state of the reverse rate indicator (RRI) channel for the entire frame. When activated, it is time division multiplexed with the pilot channel.

RRI Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the RRI channel with respect to the pilot channel from –30 to 30 dB. The RRI channel must be activated for the setting to be valid.

RRI Channel Assignment Mode

Selections: Manual (16 slots), Manual (12 slots), Auto

Default: Auto

Selects Closed Auto or Closed Manual mode for this channel. The RRI channel carries the transmitted payload size and the subpacket identifier in 6 bits of data that is transmitted in a single slot. The first four bits contain the payload index that conveys the physical packet size being transmitted on the reverse data channel. The last two bits indicate to the base station which subpacket is being transmitted on the reverse data channel in the corresponding four slots.

Auto

Automatically assigns the RRI bits (4-bit payload index and 2-bit subpacket index) based on the data channel. When the data packet status is off, RRI settings for the related slots are the same as those assigned in manual mode operation.

Manual
(12 slots)

Assigns the first 12 slots (3 subframes) as defined in the timeslots window.

Manual
(16 slots)

Assigns 16 slots (4 subframes) as defined in the timeslots window.

DRC State

Selections: On, Off

Default: On

Sets the state of the data rate control (DRC) channel for the entire frame.

DRC Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the data rate control (DRC) channel with respect to the pilot channel. The DRC channel must be activated for the setting to be valid.

DSC State

Selections: On, Off

Default: On

Sets the data source control (DSC) on or off for the specified slot position.

DSC Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the data source control (DRC) channel with respect to the pilot channel. The DSC channel must be activated for the setting to be valid.

ACK State

Selections: On, Off

Default: On

Sets the state of the acknowledgement (ACK) channel for the entire frame.

ACK Relative Gain

Range: –30 dB to 30 dB

Default: 0 dB

Sets the relative gain of the acknowledgement (ACK) channel with respect to the pilot channel. The ACK channel must be activated for the setting to be valid.

ACK Channel Modulation (ARQ Mode)

Selections: BPSK, OOK

Default: BPSK

Sets the modulation mode for the (ACK) acknowledgement channel.

BPSK (bipolar keying) | +1 for ACK, –1 for NAK
OOK (on-off keying) | +1 for ACK, 0 for NAK

Data Channel State

Selections: On, Off

Default: On

Sets the state of the data channel for the entire frame. When active, the data channel is present in each of the frame’s timeslots.

Data Packet Transmission Repetition

Range: 1 to 4

Default: 4

Sets how many times to repeat the physical layer packet.

I MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the I mask value in hexadecimal.

Q MASK

Range: 0 to 3FFFFFFFFFF

Default: 0

Sets the Q mask value in hexadecimal.

Related Topics

Packets

Timeslots


Packets: Advanced 1xEV-DO Rev.A Reverse Channel Setup

Real Time

Packets: Advanced 1xEV-DO Rev.A Reverse

Packet Number | Gain | Offset
State | Bit Stream |
Data Rate | Encoder |

3GPP2

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Packet Number

Displays the packet number for the displayed parameters.

State

Selections: On, Off

Default: On

Enables or disables the physical layer packet of the data channel.

Data Rate

Selections: Closed Several Selections

Default: 19.2/ 9.6/ 6.4/ 4.8kbps (128) B4

Sets data rate of the physical layer packet of the data channel. The Closed entries correspond to the data rate [kbps] after 4, 8, 12, and 16 slots, (payload data size [bits]), and modulation type respectively.

Gain

Range: –30 to 30 dB

Default: 0.75 dB

Sets the relative gain of the physical layer packet with respect to the data channel from –30 to 30 dB. The physical layer packet must be activated for the setting to be valid.

Bit Stream

Selections: PN9, PN15, User Defined Bits

Default: PN15

Sets the data type (bit pattern) for the data channel. The data channel must be activated before you can select the data type. The assigned bits are used to generate one data packet. If the Data Packet Transmission Repetition is set to 4, the amount of one data packet is 16 slots (4 slots * 4 transmissions). Then the same data packet is repeated. If the assigned bit stream is shorter than the amount of required length for one data packet generation, the midstream is repeated until the maximum length is reached. If the assigned bit stream is longer than the amount of one data packet generation, the longer part is ignored.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pan

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Encoder

Selections: On, Off

Default: On

Enables the turbo coder, turbo interleaver, and repeat bits for the data channel. The data channel must be activated for the setting to be valid.

Offset

Range: 0 to 32768

Default: 0

Sets the number of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

Related Topic

Advanced 1xEV-DO Rev.A Reverse


Timeslots: Advanced 1xEV-DO Rev.A Reverse Channel Setup

Real Time

Timeslots: Advanced 1xEV-DO Rev.A Reverse

Timeslot Number | ACK Data | RRI Payload Index
DRC State | DSC State | RRI Sub-packet Index
DRC Data | DSC Data | Aux Pilot 1st Half Slot State
DRC Cover | RRI State | Aux Pilot 2nd Half Slot State
ACK State |  |

Timeslot Configuration Summary Table

This table enables you to view the key parameters for the channels in each timeslot. Double-clicking a row activates the setup tables for that timeslot. You can use a maximum of 16 timeslots per carrier.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Opens a Closed drop-down menu which allows you to select a pattern to apply to all 16 timeslots rather than manually editing the parameters for individual timeslots.

Click each of the following for descriptions of available choices.

  • Closed DRC State

    All On

    activates the data rate control channel in all timeslots.

    75% On

    activates the data rate control channel in 75 percent of the timeslots. Starting with TS#4, the traffic channel is disabled in every fourth timeslot.

    50% On

    activates the data rate control channel in 50 percent of the timeslots. Starting with TS#1, the traffic control channel is activated in every other timeslot.

    25% On

    activates the data rate control channel in 25 percent of the timeslots. Starting with TS#4, the traffic channel is activated in every fourth timeslot.

    All Off

    turns off the data rate control channel in all timeslots.

    Mixed

    activates the data rate control channel in a random number of timeslots.

  • Closed DRC Data

    0 (0000)

    sets the data rate control channel data to 0000 in all timeslots. 0 represents this selection.

    1 (0001)

    sets the data rate control channel data to 0001 in all timeslots. 1 represents this selection.

    2 (0010)

    sets the data rate control channel data to 0010 in all timeslots. 2 represents this selection.

    3 (0011)

    sets the data rate control channel data to 0011 in all timeslots. 3 represents this selection.

    4 (0100)

    sets the data rate control channel data to 0100 in all timeslots. 4 represents this selection.

    5 (0101)

    sets the data rate control channel data to 0101 in all timeslots. 5 represents this selection.

    6 (0110)

    sets the data rate control channel data to 0110 in all timeslots. 6 represents this selection.

    7 (0111)

    sets the data rate control channel data to 0111 in all timeslots. 7 represents this selection

    8 (1000)

    sets the data rate control channel data to 1000 in all timeslots. 8 represents this selection.

    9 (1001)

    sets the data rate control channel data to 1001 in all timeslots. 9 represents this selection.

    A (1010)

    sets the data rate control channel data to 1010 in all timeslots. 10 represents this selection.

    B (1011)

    sets the data rate control channel data to 1011 in all timeslots. 11 represents this selection.

    C (1100)

    sets the data rate control channel data to 1100 in all timeslots. 12 represents this selection.

    D (1101)

    sets the data rate control channel data to 1101 in all timeslots. 13 represents this selection.

    E (1110)

    sets the data rate control channel data to 1110 in all timeslots. 14 represents this selection.

    F (1111)

    sets the data rate control channel data to 1111 in all timeslots. 15 represents this selection.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel data across all timeslots.

  • Closed DRC Cover

    0

    sets the data rate control channel cover to 0 in all timeslots.

    1

    sets the data rate control channel cover to 1 in all timeslots.

    2

    sets the data rate control channel cover to 2 in all timeslots.

    3

    sets the data rate control channel cover to 3 in all timeslots.

    4

    sets the data rate control channel cover to 4 in all timeslots.

    5

    sets the data rate control channel cover to 5 in all timeslots.

    6

    sets the data rate control channel cover to 6 in all timeslots.

    7

    sets the data rate control channel cover to 7 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the data rate control channel cover across all timeslots.

  • Closed ACK State

    All On

    activates the acknowledgement channel in all timeslots.

    75% On

    activates the acknowledgement channel in 75 percent of the timeslots. Starting with TS#4, the ACK channel is disabled in every fourth timeslot.

    50% On

    activates the acknowledgement channel in 50 percent of the timeslots. Starting with TS#1, the ACK channel is activated in every other timeslot.

    25% On

    activates the acknowledgement channel in 25 percent of the timeslots. Starting with TS#4, the ACK channel is activated in every fourth timeslot.

    All Off

    turns off the acknowledgement channel in all timeslots.

    Mixed

    activates the acknowledgement channel in a random number of timeslots.

  • Closed ACK Data

    0s

    sets the acknowledgement channel data to 0 in all timeslots.

    1s

    sets the acknowledgement channel data to 1 in all timeslots.

    01..

    alternates 0 and 1 as the acknowledgement channel data across all timeslots.

    10..

    alternates 1 and 0 as the acknowledgement channel data across all timeslots.

    Mixed

    randomly assigns a mixture of 0s and 1s as the acknowledgement channel data across all timeslots.

  • Closed DSC State

    All On

    activates the data source control channel in all timeslots.

    75% On

    activates the data source control channel in 75 percent of the timeslots.

    50% On

    activates the data source control channel in 50 percent of the timeslots.

    25% On

    activates the data source control channel in 25 percent of the timeslots.

    All Off

    turns off the data source control channel in all timeslots.

    Mixed

    activates the data source control channel in a random number of timeslots.

  • Closed DSC Data

    0

    sets the data source channel to 0 in all timeslots.

    1

    sets the data source channel to 1 in all timeslots.

    2

    sets the data source channel to 2 in all timeslots.

    3

    sets the data source channel to 3 in all timeslots.

    4

    sets the data source channel to 4 in all timeslots.

    5

    sets the data source channel to 5 in all timeslots.

    6

    sets the data source channel to 6 in all timeslots.

    7

    sets the data source channel to 7 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the data source control channel across all timeslots.

  • Closed RRI State

    All On

    activates the RRI channel in all timeslots.

    75% On

    activates the RRI channel in 75 percent of the timeslots.

    50% On

    activates the RRI channel in 50 percent of the timeslots.

    25% On

    activates the RRI channel in 25 percent of the timeslots.

    All Off

    turns off the RRI channel in all timeslots.

    Mixed

    activates the RRI channel in a random number of timeslots.

  • Closed RRI Payload Index

    0(0000)

    sets the RRI channel data to 0000 in all slots

    1(0001)

    sets the RRI channel data to 0001 in all slots.

    2(0010)

    sets the RRI channel data to 0010 in all slots.

    3(0011)

    sets the RRI channel data to 0011 in all slots.

    4(0100)

    sets the RRI channel data to 0100 in all slots.

    5(0101)

    sets the RRI channel data to 0101 in all slots

    6(0110)

    sets the RRI channel data to 0110 in all slots.

    7(0111)

    sets the RRI channel data to 0111 in all slots.

    8(1000)

    sets the RRI channel data to 1000 in all slots.

    9(1001)

    sets the RRI channel data to 1001 in all slots.

    A(1010)

    sets the RRI channel data to 1010 in all slots.

    B(1011)

    sets the RRI channel data to 1011 in all slots.

    C(11100)

    sets the RRI channel data to 1100 in all slots.

    D(11101)

    sets the RRI channel data to 1101 in all slots.

    E(1110)

    sets the RRI channel data to 1110 in all slots.

    F(1111)

    sets the RRI channel data to 1111 in all slots.

    Mixed

    randomly assigns a mixture of the above selections as the RRI channel data across all slots.

  • Closed RRI Subpacket Index

    0

    sets the RRI subpacket index to 0 in all timeslots.

    1

    sets the RRI subpacket index to 1 in all timeslots.

    2

    sets the RRI subpacket index to 2 in all timeslots.

    3

    sets the RRI subpacket index to 3 in all timeslots.

    Mixed

    randomly assigns a mixture of the above selections as the RRI subpacket index across all timeslots.

  • Closed Aux Pilot 1st Half Slot State

    All On

    configures the Auxiliary Pilot channel in 1st half slots in all slots.

    75% On

    configures the Auxiliary Pilot channel in 1st half slots in 75 percent of the slots.

    50% On

    configures the Auxiliary Pilot channel in 1st half slots in 50 percent of the slots.

    25% On

    configures the Auxiliary Pilot channel in 1st half slots in 25 percent of the slots.

    All Off

    turns off the Auxiliary Pilot channel in all 1st half slots.

    Mixed

    configures the Auxiliary Pilot channel in 1st half slots in a random number of slots.

  • Closed Aux Pilot 2nd Half Slot State

    All On

    configures the Auxiliary Pilot channel in 2nd half slots in all slots.

    75% On

    configures the Auxiliary Pilot channel in 2nd half slots in 75 percent of the slots.

    50% On

    configures the Auxiliary Pilot channel in 2nd half slots in 50 percent of the slots.

    25% On

    configures the Auxiliary Pilot channel in 2nd half slots in 25 percent of the slots.

    All Off

    turns off the Auxiliary Pilot channel in all 2nd half slots.

    Mixed

    configures the Auxiliary Pilot channel in 2nd half slots in a random number of slots.

Timeslot Number

Displays the number of the timeslot for the displayed parameters.

DRC State

Selections: On, Off

Default: On

Sets the state of the data rate control (DRC) channel for each slot.

DRC Data

Range: 0 to 15

Default: 15

Sets the fixed, 4-bit data rate control (DRC) pattern, indicating the selected serving sector and the requested data rate on the forward traffic channel.

DRC Cover

Range: 0 to 7

Default: 7

The Cells in this column set the 8-ary Walsh cover for the data rate control (DRC) channel.

ACK State

Selections: On, Off

Default: On

Sets the acknowledgement channel state for each slot.

ACK Data

Range: 0 to 1

Default: 1

Sets the acknowledgement channel information bit to either 0 or 1.

DSC State

Selections: On, Off

Default: On

Sets the data source control (DSC) on or off for the specified slot position.

DSC Data

Range: 0 to 7

Default: 7

Sets the data source control value.

RRI State

Selections: On, Off

Default: On

Sets the reverse rate indicator channel state for each slot.

RRI Payload Index

Range: 0 to 15

Default: 1

Sets the 4-bit payload index when using manual mode.

RRI Sub-packet Index

Range: 0 to 3

Default: 0

Sets the 2-bit subpacket index when using manual mode.

Aux Pilot 1st Half Slot State

Selections: On, Off

Default: On

Selects the half slot just before the specified subframe for auxiliary pilot channel configuration when using manual mode.

Aux Pilot 2nd Half Slot State

Selections: On, Off

Default: On

Selects the half slot just after the specified subframe for auxiliary pilot channel configuration when using manual mode.

Related Topic

Advanced 1xEV-DO Rev.A Reverse


FTM Channel Setup

Real Time

Channel Setup: 1xEV-DO Rev.0 Forward Test Mode Signal

The 1xEV-DO Rev.0 Forward Test Mode Signal carrier provides an encoded Test Mode Signal forward channel that can be configured in a multicarrier waveform test setup.

1xEV-DO Rev 0 Forward Test Mode Signal, enabled in Closed Waveform Setup, is a special mode for testing mobile handsets and cannot be used in a multicarrier waveform setup. When using that mode, the Channel parameters are set in Test Mode Sgnal Control and are read-only parameters in the Traffic and Control Channel panes.

Traffic Channel

Traffic Data Rate | MAC Index
Payload | Total Number of Packets

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Traffic Data Rate

Selections: Closed Several Selections

Default: 0x4 307.2 (2) QPSK

Sets the traffic channel data rate set. Each set, for example 0x4 307.2 (2) QPSK, includes the data rate control (DRC) value (0x4), data rate (307.2 kbps), number of slots per packet (2), and modulation type (QPSK).

Payload

Selections: PN9, PN15, User Defined Bits

Default: PN9

Sets the data type (bit pattern) to be transmitted during the medium access control (MAC) layer portion of the physical layer packet. The default selection is PN9.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1) . When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1) . When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

MAC Index

Range: 5 to 63

Default: 7

Sets the medium access control (MAC) index for the forward link traffic channel.

Total Number of Packets

Range: 1 to 16

Default: 8

Sets the number of unique physical layer packets to be transmitted over the traffic channel.

Control Channel

Control Data Rate

Pilot PN Offset

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

3GPP2

Control Data Rate

Selections: 38.4 or 76.8 kbps

Default: 38.4 kbps

Sets the data rate for the control channel.

Pilot PN Offset

Range: 0 to 511

Default: 0

Sets the pilot channel’s PN offset index. The PN offset of the pilot channel indicates the cell or sector of the transmitting access network.


Channel Setup: Advanced CDMA2000 Forward

3GPP2
Channel Number | Data Rate | Minimum Protocol Revision Level
Name | Walsh Code | System Identification
State | Data | Network Identification
Power | Channel Coding | Frequency Assignment
Radio Config | Protocol Revision Level |
Channel Coding Parameters
RPC Pattern | Frame Offset | SCH Coding Type
RPC Number of Steps | MAC Data |
FPC Mode | FCH Coding Type |
Graphs
CDP | CCDF |

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in the carrier. You can also add or delete channels using the buttons above the table (see descriptions below). Clicking a channel row activates the setup tables for that channel. You can use a maximum of 256 channels.

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration Summary Table.

Opens a Closed drop-down menu which allows you to add a channel to the current configuration. The following types of channels can be added to the channel configuration: Pilot, Paging, Traffic, Sync, or two supplemental traffic channels

The new channel is added immediately above the currently highlighted channel in the Channel Configuration Summary Table.

When selecting from the Traffic or the supplemental traffic channels, Closed additional drop-down menus are displayed which allow you to select the available Radio Config (RC) and data rate choices for each channel type.

Closed All available RC and Data Rate choices…

For the Traffic Channel:

Radio Config | Available Data Rates (bps)
RC1 | 1200, 2400, 4800, or 9600
RC2 | 1800, 3600, 7200, or 14400
RC3 | 1500, 2700, 4800, or 9600
RC4 | 1500, 2700, 4800, or 9600
RC5 | 1800, 3600, 7200, or 14400

For the Supplemental Traffic Channels:

Radio Config | Available Data Rates (bps)
RC1 | 9600
RC2 | 14400
RC3 | 1500, 2700, 4800, 9600, 19200, 38400, 76800, or 153600
RC4 | 1500, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200
RC5 | 1800, 3600, 7200, 14400, 28800, 57600, 115200, or 230400

For the OCNS Channel:

OCNS | Available Data Rates (bps)
 | 1200,1500,1800,2400,2700,3600,4800,7200,9600,14400

Deletes the currently highlighted channels in the Channel Configuration Summary Table and the current configuration. You can highlight multiple channels by holding down the CTRL key while selecting the channels. You can also use the SHIFT key to select a succession (group) of channels.

3GPP2

Channel Number

displays the channel number selected in the Channel Configuration Summary Table. You can change the channel configuration or add individual channels using the Add Channel button at the top of the table.

Name

Displays the channel type or name that is selected in the Channel Configuration Summary Table.

State

Selections: On, Off

Default: On

Sets the state of the selected channel to either on or off. The [image] icon at the right of the entry box displays the valid selections.

Power

Range: -60 to 0 dB

Default: 0.00 dB

Sets the power of the selected channel.

Radio Config

displays the Radio Config value of the selected channel. This value was set when the predefined configuration was selected or the channel was added as a new channel.

Data Rate

Displays the data rate setting of the selected channel. This value was set when the predefined configuration was selected or the channel was added as a new channel.

Walsh Code

Range: 0 to 63

Default: 0

Sets the Walsh Code for the selected channel.

Data

Allows you to select or specify the data for the selected channel. The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from Random, PN9, MAC Data, Sync Standard or User Defined Bits.

To select from the following data types, click the desired radio selection:

Random

Provides random signal generator data. If this is the selection, you are returned to the Channel Setup pane.

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

Sync Standard

provides the configuration of Protocol Revision Level, Minimum Protocol Revision Level, System Identification, Network Identification, Frequency Assignment .

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has four buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Channel Coding

Selections: On, Off

Default: Off

This setting is only for the paging channel and sets whether the paging channel uses coded or uncoded data.

On | The channel uses uncoded data.
Off | The channel uses coded data.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Protocol Revision Level

Range: 0 to 511

Default: 6

Sets the protocol revision level for Sync channel.

Minimum Protocol Revision Level

Range: 0 to 511

Default: 6

Sets the minimum protocol revision level for Sync channel.

System Identification

Range: 0 to 511

Default: 0

Sets the system identification in Sync channel.

Network Identification

Range: 0 to 511

Default: 0

Sets the network identification in Sync channel.

Frequency Assignment

Range: 0 to 2016

Default: 387

Sets the frequency assignment field in Sync channel.

Channel Coding Parameters

RPC Pattern

Choice:Up/Down; Down/Up; All Up; All Down; User Defined Bits

Select a data type using the RPC Selection dialog box.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • using the Insert PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has four buttons that can be used to manipulate data for the channel.

RPC Number of Steps

Range: 1-80

Enter the RPC Number of Steps value when RPC Pattern 'UP/Down' or 'Down/Up' is used.

FPC MODE

Displays Forward Power Control mode.

Frame Offset

Displays Frame Offset.

MAC Data

Select a data type using the Data Source Selection dialog box. Mac Data is used when Forward channel data is 'Mac Data' (default).

FCH Coding Type

Set the FCH Coding Type:

  • 1/2 rate convolutional encoder

  • 1/4 rate convolutional encoder

  • No Coding

SCH Coding Type

Set the SCH Coding Type:

  • 1/2 rate convolutional encoder

  • 1/4 rate convolutional encoder

  • 1/2 rate turbo encoder

  • 1/3 rate turbo encoder

  • 1/4 rate turbo encoder

  • 1/5 rate turbo encoder

  • No Coding

Graphs

CDP

Shows the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. Select the channel setup in the Closed tree view to view the CDP distribution for that carrier.

Click on a Closed channel in the graph to view the parameter selections for that channel.

Hold the cursor over any individual channel to view a Closed tool tip showing the channel number, type, Walsh Code, rate, and power.

Bit Reverse / Hadamard

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that rearranges the location of the bits of data such Closed the bit in most significant bit (MSB) position is rearranged and placed into the least significant bit (LSB) position and so on until all of the bits are rearranged.

Closed Example…

Original Data | 1 | 1 | 0 | 1 | 1 | 1 | 0 | 1
Original Location | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7
Original Location in Binary (MSB … LSB) | 000 | 001 | 010 | 011 | 100 | 101 | 110 | 111
Location after Bit Reverse (MSB … LSB) | 000 | 100 | 010 | 110 | 001 | 101 | 011 | 111
New Location | 0 | 4 | 2 | 6 | 1 | 5 | 3 | 7
Interleaved Data | 1 | 1 | 0 | 0 | 1 | 1 | 1 | 1

Each channel is also displayed as a bar where the height of the bar is proportionately representative of the channel's power and the width of the bar is proportional to the data rate.

CCDF

Shows the Complimentary Cumulative Distribution Function (CCDF) graph. This graph shows the plot and peak-to-average values for the current carrier. This topic describes the CCDF functionality using the graph in the Channel Setup view.

The CCDF graph displays the probability (in percentage) of the generated carrier's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the carrier. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Gaussian

Toggles the view of the band-limited Gaussian noise curve (blue).

Reference

Toggles the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button

Acquire Ref.

Sets the current waveform curve to yellow and the reference curve to red. Click the Reference button to view the reference curve.


API Control

The signal studio software includes a full Microsoft.NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help and usage requirements.
Sample API Programs | provides guidance in using the API examples, included with the software, that can be modified for your application.
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7601B Signal Studio graphical user interface are documented in the N7601B Documented Class Library (N7601API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\cdma.

Refer to www.keysight.com/find/signalstudio for the latest software updates.

Many of the links in the Class Library (API help) require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without the development environment, those links appear broken. After you obtain and download the IDE, the links will work.

Sample API Programs

When you install the software, two sets of sample API program files are provided in the default installation directory: C:\ProgramData\Keysight\Signal Studio\cdma\Samples. You can use these sample programs as a starting point to develop your own API programs using Microsoft Visual C# .NET or a similar IDE application.

Numeric Format

The software recognizes only US style numeric format, for example floating point is "."

Language Requirement

To set the API to "en-US," the following commands must be completed prior to starting the user main routine:

// Sets the culture to English (US)

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");

//Sets the UI culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");

You can view these culture setting commands in the Main() method at:

C:\ProgramData\Keysight\Signal Studio\cdma\Samples\SimpleControl\Main.cs.

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

Related Websites

The Microsoft .NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

Two sample API programs are provided to illustrate the basic program flow for automating signal configuration and playback in a .NET programming environment. They are installed in the directories (default) shown below when you install the software:

  • C:\ProgramData\Keysight\Signal Studio\cdma\Samples\SimpleControl

  • C:\ProgramData\Keysight\Signal Studio\cdma\Samples\ControlByGUI

Basic Program Flow

  1. Create API object.

  2. Configure the instrument connection.

  3. Clear the waveform

  4. Clear all carriers

  5. Add carrier

  6. Generate and download the waveform to the signal generator.

  7. Turn on RF output.

  8. End program and turn RF output off.

Before editing the sample programs, make backup copies of all files. You will need to right click each file, select Properties, and de-select the Read-only attribute.

Simple Control Sample Project

The Simple Control project (...\Samples\SimpleControl\SimpleControl.sln), provides a simple basic program to generate and download waveforms using API commands.

To view the code, open the SimpleControl.sln file using the Microsoft Visual C# .NET application, or open the Main.cs file using another text editor, such as Notepad. Since the SimpleControl.sln program flow does not use a GUI, you will see only the source file code contained in the Main.cs file in the code editor, as shown below.

Figure 1: Source code of main.cs displayed in Microsoft Visual Studio C# .NET

Control By GUI Sample Project

  1. In the Microsoft Visual C# .NET, open the API_TEST.sln application (...\Samples\ControlByGUI\API_TEST.sln). This displays a .NET graphical user interface (see Figure 2) with two application modes.

  2. Make sure that Keysight.SignalStudio.N7601 appears as a reference to your API Project in the Closed Solution Explorer. Using Microsoft Visual Studio .NET 2003 IDE, follow the steps below to add this reference, if needed. The steps may vary depending on your development environment.

    1. In the Project window, select Project > Add Reference from the menu.

    2. In the popup window that appears, browse to the directory: C:\Program Files (x86)\Keysight\Signal Studio\cdma (default installation directory) and select the files to be add.

    3. Click Add > OK to add them in the project as references.

  3. Select the API mode in the .NET graphical user interface to use when you configure the settings.

    • With GUI — settings that you configure using the .NET API are displayed in the Signal Studio software interface and are sent to the signal generator through the Signal Studio software. The software graphical user interface is automatically displayed when you select Debug mode. Using this mode allows you to see how changes in your program modify the parameters at the Signal Studio software interface.

    • No GUI — settings that you configure using the .NET API are not displayed in the Signal Studio software interface, but are sent directly to the API instance of the Signal Studio application and subsequently to the signal generator.

  4. To view the C# code in the API_TEST project, select the TestApiForm.cs tab in the code editor window (see Figure 3).

Figure 2: API Graphical User Interface displayed in Microsoft Visual Studio C# .NET

Figure 3: Source code of TestApiForm.cs displayed in Microsoft Visual Studio C# .NET


Using API in LabVIEW

Real Time

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provided Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


Using the Software – Real Time

CDMA2000 | describes the settings that control the real-time baseband and CDMA2000 Reverse Link Channel Settings.
SCPI | provides a list of ESG backwards compatible commands and a comprehensive list of the EXG and MXG commands


Concepts

Click the following links for conceptual information about these subjects:

Power Control

AUX I/O Connector Input Signals (MXG/EXG)


Power Control

This topic shows the DPCH external power control signals.

Figure 1 shows how the external power control feature is implemented.

Figure 1 DPCH Power Control

Figure 2 illustrates the DPCH power control using an external signal. When the Power Hold State is turned off, the instrument's output responds to the power control trigger signal. The transmit power control signal is sent from the base station and indicates whether to increase or decrease the power level. Increases and decreases are done in increments of the specified Power Step. Once the power level has reached the specified Maximum Power, signals requesting an increase in the power level will be ignored (the power is clipped to Maximum Power).

Figure 2 DPCH Power Control


AUX I/O Input Signals (MXG/EXG)

The AUX I/O connector has two nodes that control this port:

  • Instrument: Controls the general operating mode of the AUX I/O that applies to all of the AUX I/O signals.

  • Signal IO: Defines which specific signals are going to be input/output on the AUX I/O port. These are specific to your application and to the type of Signal Studio software used.

This topic covers the use case for the AUX input signals and has the following sections (For more information—including AUX external signals—refer to Using the Keysight MXG/EXG Auxiliary (AUX) I/O Port or and to AUX I/O Input/Output Pin-outs and Signals Closed figure and Table 1):

  • Overview

  • Switching AUX I/O Port Modes

  • Operational Signaling Modes

    • AUX I/O Port: Input Signaling

    • AUX I/O Port: External Device Signaling (Example)

Closed Table 1. AUX I/O Input/Output Pin-outs and Signals
AUX I/O Input/Output Pin-outs and Signals for Real-time Signal Studio
Pin Number | Connector Label/Signal |  | Notes
 | Input | Output |
1 |  | Marker 1 Signal |
2 |  | Marker 2 Signal (Playback only) |
3 |  | Marker 3 Signal |
4 |  | Marker 4 Signal |
5 | -- | -- | Future Use
6 | AUX Strobe |  |
7 |  | 10 MHz Clock |
8 | AUX0 |  |
9 | AUX1 |  |
10 | AUX2 |  |
11 | AUX3 |  |
12 | AUX4 |  |
13 | AUX5 |  |
14 | AUX6 |  |
15 | AUX7 |  |
16 | AUX8 |  |
17 | AUX9 |  |
18 | AUX10 |  |
19 | AUX11 |  |
20 | GND | GND |
21 | AUX12 |  | Future Use
22 | GND | GND |
23 | AUX13 |  | Future Use
24 | GND | GND |
25 | AUX14 |  | Future Use
26 | GND | GND |
27 | AUX15 |  | Future Use
28 | GND | GND |
29 |  | AUX Sample Clock |
30 | GND | GND |
31 |  | AUX out 0 | Future Use
32 | GND | GND |
33 |  | AUX out 1 | Future Use
34 | GND | GND |
35 |  | AUX out 2 | Future Use
36 | GND | GND |

Overview

The AUX input signals are used to provide feedback to real-time signal generation software, such as N7601B Signal Studio for real-time cdma2000 signals.

For the N7601B operation, AUX input signaling can be used to provide power control loop testing. An external signal is connected to the AUX input port and is used to trigger a power change for each signal frame.

The AUX input port can be configured in the Signal IO node of the N7601B real-time software. Refer to Figure 1.

The AUX port has a “Multiplexed” mode and a “Dedicated” mode. Figure 2 indicates that the AUX I/O port is set to “Multiplexed” mode. In Figure 1, notice the 5. Aux Pin/Bit Select parameter area, where the AUX1 pin is selected. This means that the cdma2000 real-time system will expect you to supply a power control feedback signal using the AUX1 pin of the AUX I/O connector.

Figure 1. Signal IO Node

Figure 2. Instrument Node

Signal IO Node AUX Input Parameters

This section describes the Signal IO node, as it relates to the AUX I/O port input signals. The following AUX port settings are displayed in Figure 1. For more information, refer to Signal IO.

Aux Port General Settings

State | On or Off — Off means the AUX signaling is ignored.
Data Polarity | Positive or Negative — Positive means a 3.3-volt signal is interpreted as a ‘1’ and a 0-volt signal is a ‘0’. Negative selection inverts this so that a 3.3-volt signal is interpreted as ‘0’ and 0-volt signal is interpreted as ‘1’.
Multiplexed Mode Setup
In the Instrument node, the AUX IO Global Controls > Operating Mode can be selected as “Multiplexed” or “Dedicated” – in this case it is selected as “Multiplexed”. Refer to Figure 2 or to the MXG/EXG's User Guide (p/n: N5180-90056).
First Address | For the MXG/EXG it is not necessary to select any Group addresses, so these can be left in their default state.
Second Address | For the MXG/EXG it is not necessary to select any Group addresses, so these can be left in their default state.

Dedicated Mode Setup

  • When “Dedicated” mode is selected, these fields are used to select the AUX port pin and baud rate of the dedicated connection.

  • You can switch between AUX port modes “Dedicated” and “Multiplexed” by selecting the Hardware > Instrument node in the software's tree node, or by using a SCPI command, or by using the instrument front panel. Refer to Figure 2 or to the MXG/EXG's User Guide (p/n: N5180-90056).

Aux Port Pin | Because the AUX port mode is selected as “Multiplexed” these settings are not active, and are shown in grey text. When “Dedicated” mode is selected, this field is used to select the AUX pin of the dedicated connection.
Baud Rate | Because the AUX port mode is selected as “Multiplexed” these settings are not active, and are shown in grey text. When “Dedicated” mode is selected, this field is used to select the baud rate of the dedicated connection.
AUX Pin/Bit Select
Transmit Power Control Source | This enables you to select which AUX pin (AUX0 ... AUX11) will be routed to control the N7601B power control function.

Switching AUX input Port Modes

The AUX port has a “Multiplexed” mode and a “Dedicated” mode. In “Multiplexed” mode, auxiliary signaling is sent using level-sensitive binary signaling (3.3V LV TTL) connected to one or more AUX port input bits. In “Dedicated” mode, auxiliary signaling is sent using an RS232C like serial signal at a specified baud rate to a selected AUX port input bit.

The AUX port mode can be selected in the Instrument node's AUX IO Global Controls > Operating Mode parameter (see Figure 2), by sending a SCPI command, or by using the instrument's front panel. Refer to the MXG/EXG's User Guide (p/n: N5180-90056).

AUX Port Global Controls

In the Instrument node there are four AUX Port Global controls.

Operating Mode | Select “Multiplexed” or “Dedicated". These functions are described in Signal IO Node AUX Input Parameters.
Input Strobe | There are two selections: Free Run or User. In Free Run mode, the instrument samples the values of the AUX input signals (AUX0 ... AUX11), according to the instruments internal timing – this happens at about 3.5 MHz. In User mode, you must supply a strobe (trigger) signal which causes the AUX input signals to be sampled.
Input Strobe Polarity | You can choose Positive or Negative polarity. With positive polarity, the AUX input signals are sampled via the rising edge (0V to 3.3V transition) of a pulse (AUX strobe) supplied by you to the AUX I/O connector pin 6. With a negative polarity the AUX input signals are sampled on the falling edge of AUX strobe.
Output Strobe Polarity | Determines when the AUX input signals have been sampled by looking at the AUX sample clock (connector pin 29) signal. If the Output Strobe Polarity is positive, this will be a positive going pulse about 200 ns pulse width which is triggered when the AUX input signals are sampled. If the polarity is negative, the AUX sample clock will be a series of negative going pulses about 200 ns pulse width.

Operational Signaling Modes

  • AUX I/O Port: Input Signaling

  • AUX I/O Port: External Device Signaling (Example)

AUX I/O Port: Input Signaling

The Auxiliary I/O port is designed to support your real-time signal generation software configuration with the instrument, and to interface with different configurations of external equipment under test.

For example, consider a sample configuration where you are using cdma2000 reverse link signal generation software to control the instrument. The N7601B software can be configured to accept a power up or power down command from external equipment to enable testing of power control loops in base stations.

Auxiliary signaling can be delivered from external equipment in one of two formats.

  • Multiplexed: A low-voltage, TTL format where your equipment uses a binary signal connected to the AUX port in an LV TTL format with 0-volts representing a ‘0’, 3.3-volts representing a ‘1’.

    If this signal cannot be delivered directly from the external equipment, an inexpensive interface board can be used to connect to external equipment with a USB connection, for example the USB Bit Whacker (SKU: DEV-00762, www.sparkfun.com) can be used to interface from your external equipment with a USB connection to the Keysight Auxiliary I/O port.

  • Dedicated: A serial format where your equipment uses a serial-port connection with an LV TTL RS-232 type protocol. Baud rates from 9600 to 460800 are supported in this format. For this purpose, a device can use any low voltage transistor to transistor logic (LV TTL) line that can generate RS-232 type signals, or some simple USB to RS-232 TTL signaling devices can be used.

    The default serial format Positive is illustrated in Figures 3 and 4. Each signaling transmission consists of an 8-bit character (bits b7 b6 b5 b4 b3 b2 b1 b0, b0 is least-significant bit, b7 is most significant bit). The signaling transmission consists of a start bit ‘0’, followed by the 8 data bits (transmitted LSB first) followed by a stop bit ‘1’. The bit rate can be one of 9600, 19200, 38400, 57600, 115200, 230400, or 460800 bits per second.

    If the polarity is selected as Negative (inverted), then the expected signal will be the inverted form shown in Figure 5.

    Figure 3. Serial Data Transmission Format–Polarity is Positive (Default)

    Figure 4. Polarity is Positive - Hex Example

    Figure 5. Serial Data Transmission Format–Polarity is Inverted

AUX I/O Port: External Device Signaling (Example)

Again, using the cdma2000 AUX I/O Port: Input Signaling. In this example, your external equipment must communicate a command to control the instrument's cdma2000 reverse link transmission power for the next frame. The external device transmits a signal to either increase or decrease power. This occurs on each frame.

The diagram below shows a typical interconnect diagram with a cdma2000 base station for purposes of doing base station receiver test. In this example, the instrument RF signal is connected to the input of the base station, an even-second trigger signal is sent from the base station to the instrument PAT TRIG input (BNC connector on rear panel) enabling the instrument to synchronize it’s frame timing with the base station, and a power control feedback signal connected to the AUX port of the instrument. Refer to Power Control.

In this case, a single binary signal could be used, where a ‘1’ means to increase power and a ‘0’ means to decrease power. The external equipment generates an LV TTL signal for each frame. For this configuration, your equipment connection to the instrument can be as simple as a cable with a single signal wire and a ground connection. For example: connecting the LV TTL signal to pin 8 of the AUX port connector, and ground to pin 20.

The single line's signaling format can be selected as Multiplexed or Dedicated. The instrument's interface enables selection of the signaling format by pressing the following keys:

Mode > Real-Time Applications > Real-Time Apps System Settings > AUX Port Setup > Operating Mode > Dedicated or Multiplexed

  • In the case of Multiplexed mode, the external equipment can send a 3.3-volt signal or 0-volt signal with each frame to communicate a command to increase or decrease power in the next frame.

  • In the case of Dedicated mode, the external equipment can send a single character each frame to indicate a command to increase or decrease power in the next frame. Any one of these 8-bits, can be used to control the power level in the next frame. In Dedicated mode, your external equipment would send one serial character for each frame.

The instrument's AUX pins, AUX0 to AUX11, are available for delivering auxiliary commands from 1- to 12-bits in width in Multiplexed mode.

In Dedicated mode, where serial format signaling is used, serial signaling can be connected to any one of the pins AUX0 to AUX11.

Dedicated Mode

In Dedicated mode, all signaling is delivered in the serial format as described in AUX I/O Port: Input Signaling. Serial command signals can be connected to the AUX0 to AUX11 pins of the AUX I/O connector. The serial format transmits 8-bits at a time to the instrument. These bits can be mapped to the auxiliary signaling functions of Signal Studio's real-time signal generation software.

Multiplexed Mode

In Multiplexed mode, auxiliary commands are delivered as 1- to 12-bit wide commands in LV TTL format.

Related Topics

Keysight X-Series Signal Generator's User Guide (p/n: n5180-90056)


Instrument (MXG/EXG Real-Time Software)

This topic describes the parameters available in the Closed Instrument node for real-time Signal Studio products. Some parameters will vary by product.

State On

State Off

Update from Instrument

Preset

DC Cal

Power Search

Hint

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Baseband

6. AUX IO Global Controls

7. Trigger

8. Real-time AWGN Setup

State On

Turns the application on, generating the real-time IQ signal in the connected instrument with the parameters you set in the software.

[:SOURce]:RADio:CDMA2000[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG][:STATe]?

State Off

Turns the application off, disabling the real-time IQ and RF signals on the connected instrument.

[:SOURce]:RADio:CDMA2000[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG][:STATe]?

Update from Instrument

Retrieves the parameters from the connected instrument and updates the Instrument node settings.

Preset

Sets the signal generator to the factory-defined default state.

:SYSTem:PRESet

*RST

DC Cal

Performs a one to two second adjustment that is not traceable to a standard. However, it will minimize errors associated with offset voltages. This adjustment minimizes errors for the current instrument setting and at a single frequency. The DC adjustment is volatile and must be repeated with each instrument setting change.

:CALibration:IQ:DC

*OPC

Power Search

Coupling:The ALC must be Off to use this feature.

Executes a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

[:SOURce]:POWer:ALC:SEARch ONCE

*OPC

Hint

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

[:SOURce]:FREQuency[:CW] <val><unit>

[:SOURce]:FREQuency[:CW]?

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude] <val><unit>

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]?

RF Output

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

:OUTPut[:STATe] ON|OFF|1|0

:OUTPut[:STATe]?

3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

[:SOURce]:DM:IQADjustment[:STATe]?

I Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:IOFFset <val><unit>

[:SOURce]:DM:IQADjustment:IOFFset?

Q Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QOFFset <val><unit>

[:SOURce]:DM:IQADjustment:QOFFset?

I/Q Gain Balance

Range: –1 dB to 1 dB

Default: 0.000 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:GAIN[1] <val><unit>

[:SOURce]:DM:IQADjustment:GAIN[1]?

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0.00 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QSKew <val><unit>

[:SOURce]:DM:IQADjustment:QSKew?

I/Q Timing Skew Path

This cell is grayed out and provides no function.

I/Q Correction Optimized Path

Choice: RF Output | Ext I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:DM:CORRection:OPTimization RFOut|EXTernal

[:SOURce]:DM:CORRection:OPTimization?

I/Q Skew

Range: –500 ns to 500 ns

Default: 0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

[:SOURce]:DM:IQADjustment:SKEW <val><unit>

[:SOURce]:DM:IQADjustment:SKEW?

I/Q Delay

Range: –250 ns to 250 ns

Default: 0.0 seconds

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

[:SOURce]:DM:IQADjustment:DELay <val><unit>

[:SOURce]:DM:IQADjustment:DELay?

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

[:SOURce]:POWer:ALC[:STATe] ON|OFF|1|0

[:SOURce]:POWer:ALC[:STATe]?

ALC Bandwidth

Choice: Auto | 200 Hz | 2 kHz | 20 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO ON|OFF|1|0

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO?

[:SOURce]:POWer:ALC:BANDwidth|BWIDth 200Hz|2kHz|20kHz

[:SOURce]:POWer:ALC:BANDwidth|BWIDth?

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:ALC:SEARch:REFerence RMS|FIXed|MANual|MODulated

[:SOURce]:POWer:ALC:SEARch:REFerence?

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:PROTection[:STATe] ON|OFF|1|0

[:SOURce]:POWer:PROTection[:STATe]?

5. Baseband

Sample Rate

Range: dependent on the instrument and its configuration—refer to the instrument's Data Sheet for the range

Default: 1.228800 MSa/s

Modify the Sample Rate by entering a value within the limits of the instrument.

[:SOURce]:RADio:CDMA2000[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:CDMA2000[:BBG]:SAMPle:RATE?

Runtime Scaling

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Adjusts the scaling of the I and Q data. Reducing the runtime scaling prevents over ranges from occurring. Runtime scaling is also used to scale signals relative to each other.

[:SOURce]:RADio:CDMA2000[:BBG]:RSCaling <val>

[:SOURce]:RADio:CDMA2000[:BBG]:RSCaling?

Frequency Offset

Range: -60 MHz to 60 MHz

Default: 0 Hz

Moves the baseband signal above or below the carrier by the specified frequency. When simulating adjacent channel interferers, this allows you to offset the waveforms to avoid overlap between the waveforms.

[:SOURce]:RADio:CDMA2000[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:CDMA2000[:BBG]:FREQuency:OFFSet?

Input RMS Source

Identifies where the instrument gets the RMS voltage value of the signal to ensure the correct amplitude of the signal is at the output of the signal generator when the power calibration is performed.

[:SOURce]:RADio:CDMA2000[:BBG]:POWer:SOURce

6. AUX IO Global Controls

Operating Mode

Choice: Multiplexed | Dedicated

Default: Multiplexed

Double-click or use the drop-down menu to select the AUX I/O port operating mode.

Multiplexed − configures the AUX I/O port operating mode to Multiplexed for real-time applications.

Dedicated − configures the AUX I/O port operating mode to Dedicated for real-time applications.

[:SOURce]:IQ:AUX:OPERating:MODE DEDicated|MULTiplexed

[:SOURce]:IQ:AUX:OPERating:MODE?

Input Strobe

Choice: Free Run | User

Default: Free Run

Double-click or use the drop-down menu to select the AUX I/O port input strobe. In Dedicated operating mode, the instrument will always be in Free Run mode. If Multiplexed mode is selected, either Free Run or User input strobe mode can be selected.

Free Run − new input data is latched based on an internal clock.

User − a user supplied strobe signal is used to latch data.

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE] FREE|USER

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE]?

Input Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the user external input strobe signal. This external input strobe signal must be at least 200 ns wide, and user must hold assert 16 input data bits stable 20 ns before the active edge of the user input strobe and hold the data stable for at least 100 ns after the active edge of the user input strobe.

Positive − a rising edge of the external strobe signal will latch the data.

Negative − a falling edge will latch the data.

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe?

Output Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the AUX output sample clock. This signal indicates that the 16 input data bits have been latched and will be output in both Free Run and external input strobe mode. The output pulse will be at least 200 ns wide.

Positive − a pulse with a rising edge will be asserted to indicate when the 16 input data bits have been latched.

Negative − a pulse with a falling edge will be asserted to indicate when the 16 input data bits have been latched.

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe?

7. Trigger

Trigger Type

Choice: Free Run | Trigger & Run

Default: Free Run

Coupling: In multiple-instrument configurations, the Trigger Type is set to Trigger and Run for all and cannot be changed

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run − immediately triggers when you turn the format on.

Trigger & Run − waits for and starts on the first trigger; ignores subsequent triggers.

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE] FREE|TRIGger

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE]?

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Coupling: In multiple-instrument configurations, this parameter can only be changed on Instrument 1.

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External − enables you to trigger a waveform with an externally supplied trigger signal.

Bus − enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

[:SOURce]:IQ:OUTPut:TRIGger:SOURce KEY|BUS|EXTernal

[:SOURce]:IQ:OUTPut:TRIGger:SOURce?

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Selects the rear-panel connector for the external trigger source. This parameter is enabled only if external triggering is selected as the trigger source.

Pattern Trigger In 1 − selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 − selects the PATTERN TRIG IN 2 (AUXILIARY I/O) rear panel connector

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce EPT1|EPT2|EPTRIGGER1|EPTRIGGER2

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce?

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select external (Ext) as the trigger source.

Positive − the signal generator triggers an event when it detects a rising edge on the PAT TRIG IN signal.

Negative − the signal generator triggers an event when it detects a falling edge on the PAT TRIG IN signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity POSitive|NEGative

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity?

External Delay Time

Range: 0 s to 41 s

Default: 0 s

Enter a value to set a delay time between when an external trigger is received and when it is applied to the signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay <val>

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay?

8. Real-time AWGN Setup

Real-time AWGN

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the AWGN generator.

On − enables the AWGN.

Off − disables the AWGN.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe]?

Signal to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Enter a value to set the signal to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR?

Integration Bandwidth

Choice: Auto | Manual

Default: Auto

Specifies the integration bandwidth is auto or manual.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO?

Integration Bandwidth

Range: 1.0 Hz to 200.000 MHz, the limits are affected by the instrument types and options.

Default: 1.228800 MHz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth?

Flat Noise Bandwidth

Range: 1.0 Hz to 160.000 MHz, the limits are affected by the instrument types and options.

Default: 1.966080 MHz

Enter a value to set the flat noise bandwidth, which is typically set wider than the carrier bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth?


cdma2000

These settings control the real-time baseband and cdma2000 Reverse Link Channel Settings.

1. General | 2.Absolute Power Levels
State | Even Second Delay (chips)
Long Code State (Hex) | Trigger Advance (chips)
Long Code Mask (Hex) |
Chip Rate |
Link Type |
Filter |
Operating Mode |

1. General

State

Choice: On | Off

Sets the operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:[STATe] 1|0|ON|OFF

[:SOURce]:RADio:CDMA2000[:BBG]:[STATe]?

Long Code State (Hex)

Long Code is a PN Sequence that is used for scrambling on the Forward CDMA channels and spreading on the Reverse CDMA channels.

Range: 0x00000000000 to 0x3FFFFFFFFFF

Sets the long code state of the link, which allows a 42-bit binary number to be entered .

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCSTate <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCSTate?

Long Code Mask (Hex)

Long Code Mask is a 42-bit binary number that creates the unique identity of the long code.

Range: 0x00000000000 to 0x3FFFFFFFFFF

Sets the long code mask of the link.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCMask <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCMask?

Chip Rate

Range: 1kcps to 1.300 Mcps

Default: 1.228800 Mcps

Sets the chip rate of the link. The default value (1.228800 Mcps) is in accordance with the IS-2000 specification.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:CHIPrate <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:CHIPrate?

Link Type

Choice: Forward | Reverse

Sets the link type of the cdma2000 system. It only supports the reverse link in this version.

Filter

Choice: Root Nyquist | Nyquist | Gaussian | Rectangle | IS95 | IS95 w/EQ | IS95 Mod | IS95 Mod w/EQ | UN3/4 GSM Gaussian |User FIR Filter | User File

Default: Root Nyquist

Edit the Filter Type for the cdma2000 link by clicking on the cell. Then click on the dialog box icon [image] to launch the Filter Setup Dialog box.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer RNYQuist|NYQuist|GAUSsian|RECTangle|IS95|IS95_EQ|IS95_MOD|IS95_MOD_EQ|AC4Fm|UGGaussian|"<user FIR>"bnnb hnb

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:ALPHa <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:ALPHa?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:BBT <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:BBT?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:CHANnel EVM|ACP

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:CHANnel?

Operating Mode

Choice: RadioConfig 1/2 Traffic | RadioConfig 1/2 Access | RadioConfig 3/4 Traffic | RadioConfig 3/4 Enhanced Access | RadioConfig 3/4 Common Control

Sets the operating mode of the link.

[:SOURce]:RADio:CDMA2000[:BBG]:LMODe RT12|RA12|RT34|RE34|RC34

[:SOURce]:RADio:CDMA2000[:BBG]:LMODe?

Even Second Delay (chips)

Range: 0.5 to 128

The even second clock pulse sets the delay to align the RF with the trigger. When the noise function is set to ON, this value will increase.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:ESDelay <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:ESDelay?

Trigger Advance (chips)

Range: 0 to 2457599

Sets the number of chips to advance the trigger time slot for the reverse link.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TADVance <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TADVance?


Channel Setup

cdma2000 Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the cdma2000's tree nodes.

This button sets all channels to equal power, and the total power to 0 dB.

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe

Clicking on the Operating Mode tab in the main window allows you to access and configure the radio configurations listed below.

RadioConfig 1/2 Traffic

  • RFCH

  • RSCH

RadioConfig 1/2 Access

  • RACH

RadioConfig 3/4 Traffic

  • RPICH

  • RDCCH

  • RFCH

  • RSCH

RadioConfig 3/4 Enhanced Access

  • RPICH

  • REACH

RadioConfig 3/4 Common Control

  • RPICH

  • RCCCH


RadioConfig 1/2 Traffic

Selecting this radio configuration allows you to access and configure the reverse link channels listed below.

  • RFCH

  • RSCH


RFCH

The Reverse Fundamental Channel (RFCH) is used to carry higher-level data and control information from a mobile station to a base station.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Bit Rate |
Channel Coding |
BER Insertion |
FER Insertion |

1. General

State

Choice: On | Off

Sets the operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe]?

Power

Range: -40 to 0 dB

Sets the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer?

Radio Configuration

Choice: 1 | 2

Sets the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig 1|2

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig?

Data

Choice: PN9 | PN15 | Pattern | UserFile

Default: PN9

Edit the data pattern for the Reverse Fundamental Traffic Channel (RFCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4?

Bit Rate

Choice:

RC1: 1200 | 2400 | 4800 | 9600

RC2: 1800 | 3600 | 7200 | 14400

Sets the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:RATE?

Channel Coding

Choice: All On | All Off

Set the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH: CCODing 0|1|ON|OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH: CCODing ?

BER Insertion

Range: 0.00% to 50%

Set the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER?

FER Insertion

Range: 0% to 100%

Set the frame error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER?

2.Frame

Frame Length

Display the frame Length of the Reverse Fundamental Channel(RFCH).

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FLENgth?

Frame Offset

Choice:

Frame Length = 5ms: Range: 0 to 3

Frame Length = 10ms: Range: 0 to 7

Frame Length = 20ms: Range: 0 to 15

Frame Length = 40ms: Range: 0 to 31

Frame Length = 80ms: Range: 0 to 63

Set the frame offset of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Sets the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO?

Changes to the EbNo values also change the EcNo values for all other channels in the current link (forward or reverse).


RSCH

The R-SCH (Reverse Supplemental Channel) is used to operate in conjunction with the RFCH(Reverse Fundamental Channel) or the RDCCH (Reverse Dedicated Control Channel) in that Reverse Traffic Channel to provide higher data rate services, and on whic higher-level data is transmitted.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Bit Rate |
Channel Coding |
BER Insertion |
FER Insertion |

RSCH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the CDMA2000's tree nodes.

This button sets all channels to equal power, and the total power to 0 dB.

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

1. General

State

Choice: On | Off

Set operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe]?

Power

Range: -40 to 0 dB

Set the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer?

Radio Configuration

Choice: 1 | 2

Set the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig 1|2

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig?

Data

Choice: PN9 | PN15 | Pattern | UserFile

Default: PN9

Edit the data pattern for the Reverse Supplemental channel (RFCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4?

Bit Rate

Choice:

RC1: 1200 | 2400 | 4800 | 9600

RC2: 1800 | 3600 | 7200 | 14400

Set the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:RATE?

Channel Coding

Choice: All On | All Off

Set the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH: CCODing 0|1|ON|OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH: CCODing ?

BER Insertion

Range: 0% to 50%

Set the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER?

FER Insertion

Range: 0% to 100%

Set the frame error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER?

2.Frame

Frame Length

Display the frame Length of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FLENgth?

Frame Offset

Choice:

Frame Length = 5ms: Range: 0 to 3

Frame Length = 10ms: Range: 0 to 7

Frame Length = 20ms: Range: 0 to 15

Frame Length = 40ms: Range: 0 to 31

Frame Length = 80ms: Range: 0 to 63

Set the frame offset of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Set the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO?


RadioConfig 1/2 Access

Selecting this radio configuration allows you to access and configure the reverse link channel listed below.

  • RACH


RACH

The Reverse Access Channel (RACH) is used by the mobile station to initiate communication with the base station and to respond to Paging Channel messages.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Bit Rate |
Channel Coding |
BER Insertion |

RACH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the CDMA2000's tree nodes.

This button sets all channels to equal power, and the total power to 0 dB.

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

1. General

State

Choice: On | Off

Set operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH[:STATe]?

Power

Range: -40 to 0 dB

Set the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:POWer?

Radio Configuration

Choice: 1 | 2

Set the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RCONfig 1|2

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RCONfig?

Data

Choice: PN9 | PN15 | Pattern | UserFile

Default: PN9

Edit the data pattern for the Reverse Fundamental Traffic Channel (RFCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

Set the data of the channel. In the User File case, 0,1 txt file or binary file can be selected as the data source

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA:FIX4?

Bit Rate (bps)

Display the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RATE?

Channel Coding

Choice: All On | All Off

Set the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH: CCODing 0|1|ON|OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH: CCODing ?

BER Insertion

Range: 0.00% to 50%

Set the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:BER?

2.Frame

Frame Length (ms)

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FLENgth?

Frame Offset (ms)

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Sets the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:EBNO?


RadioConfig 3 4 Traffic

Selecting this radio configuration allows you to access and configure the reverse link channels listed below.

  • RPICH

  • RDCCH

  • RFCH

  • RSCH


RPICH

The RPICH (Reverse Pilot Channel) is an unmodulated, direct-sequence spread spectrum signal transmitted by a CDMA mobile station. A RPICH provides a phase reference for coherent demodulation and may provide a means for signal strength measurement.

1. General | 2.Frame
State | Power Control Bits (Hex)
Power | Gating Rate
Walsh Code | EcNo
Walsh Code Length |

Buttons

This button sets all channels to equal power, and the total power to 0 dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

Click the Closed button to display the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. After clicking this button, the button name changes to Hide Graph.

Click the button to close the graph. After clicking this button, the button name changes to Show Graph.

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that displays the channels as a bar for each channel with the bar height proportionately representative of the channel power and the bar width proportional to the data rate.

1. General

State

Choice: On | Off

Sets the operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh[:STATe]?

Power

Range: -40 to 0 dB

Sets the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:POWer?

Walsh Code

Display the Walsh Code of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:WALsh?

Walsh Code Length

Display the Walsh code length of the channel.

2.Frame

Power Control Bits (Hex)

Range: 0x0000 to 0xFFFF

Set the power control bits for the subchannel of RPICH (Only available in RadioConfig 3/4 Traffic mode).

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:PCB <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:PCB?

Gating Rate

Choice: Full | Half | Quarter

Sets the Gating Rate of RPICH (Only available in RadioConfig 3/4 Enhanced Access mode and RadioConfig 3/4 Common Control mode).

FULL | This choice transmits all sixteen power control bits.
HALF | This choice transmits eight power control bits.
QUARter | This choice transmits four power control bits.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:GRATe FULL|HALF|QUARter

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:GRATe?

EcNo

Range:

Min: -30 + NormalizedPower dB

Max: 30 + NormalizedPower dB

Sets the ratio of energy per chip to the noise power spectral density (expressed in dB) for the reverse Pilot Channel (RPICH).

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RPICh:ECNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RPICh:ECNO?


RDCCH

The RDCCH (Reverse Dedicated Control Channel) is used for the transmission of higher-level data and control information from a mobile station to a base station.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Walsh Code |
Walsh Code Length |
Bit Rate |
Channel Coding |
BER Insertion |
FER Insertion |

Buttons

This button sets all channels to equal power, and the total power to 0 dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

Click the Closed button to display the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. After clicking this button, the button name changes to Hide Graph.

Click the button to close the graph. After clicking this button, the button name changes to Show Graph.

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that displays the channels as a bar for each channel with the bar height proportionately representative of the channel power and the bar width proportional to the data rate.

1. General

State

Choice: On | Off

Sets the operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh[:STATe]?

Power

Range: -40 to 0 dB

Sets the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:POWer?

Radio Configuration

Choice: 3 | 4

Sets the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RCONfig 3|4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RCONfig?

Data

Choice: PN9 | PN15 | Custome Bit Pattern | User File

Default: PN9

Edit the data pattern for the Reverse Fundamental Traffic Channel (RDCCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA:FIX4?

Walsh Code

Display walsh code of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:WALSh?

Walsh Code Length

Display the walsh code length of the channel.

Bit Rate (bps)

Display the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RATE?

Channel Coding

Choice: All On | All Off

Sets the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:CCODing ON|OFF|0|1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:CCODing?

BER Insertion

Range: 0% to 50%

Sets the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:BER?

FER Insertion

Range: 0% to 100%

Sets the frame error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FER?

2.Frame

Frame Length (ms)

Choice: 5 | 20

Sets the frame Length of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FLENgth 5|20

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FLENgth?

Frame Offset (ms)

Choice:

Frame Length = 5ms: Range: 0 to 3

Frame Length = 10ms: Range: 0 to 7

Frame Length = 20ms: Range: 0 to 15

Frame Length = 40ms: Range: 0 to 31

Frame Length = 80ms: Range: 0 to 63

Sets the frame offset of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Sets the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO?


RFCH

The Reverse Fundamental Channel (RFCH) is used to carry higher-level data and control information from a mobile station to a base station.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Walsh Code |
Walsh Code Length |
Bit Rate |
Channel Coding |
BER Insertion |
FER Insertion |

Buttons

This button sets all channels to equal power, and the total power to 0 dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

Click the Closed button to display the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. After clicking this button, the button name changes to Hide Graph.

Click the button to close the graph. After clicking this button, the button name changes to Show Graph.

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that displays the channels as a bar for each channel with the bar height proportionately representative of the channel power and the bar width proportional to the data rate.

1. General

State

Choice: On | Off

Set operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH[:STATe]?

Power

Range: -40 to 0 dB

Set the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:POWer?

Radio Configuration

Choice: 3 | 4

Set the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RCONfig 3|4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RCONfig?

Data

Choice: PN9 | PN15 | Pattern | UserFile

Default: PN9

Edit the data pattern for the Reverse Fundamental Traffic Channel (RFCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

Set the data of the channel. In the User File case, 0,1 txt file or binary file can be selected as the data source

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA:FIX4?

Walsh Code

Display walsh code of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:WALSh?

Walsh Code Length

Display the walsh code length of the channel.

Bit Rate (bps)

Choice:

FrameLength = 5ms and RC3: 9600

FrameLength = 5ms and RC4: 9600

FrameLength = 20ms and RC3: 1500 | 2700 | 4800 | 9600

FrameLength = 20ms and RC4: 1800 | 3600 | 7200 | 14400

Set the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RATE 1.2kbps|1.5kbps|1.8kbps|2.7kbps|3.6kbps|4.8kbps|7.2kbps|9.6kbps|14.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RATE?

Channel Coding

Choice: All On | All Off

Sets the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:CCODing ON|OFF|0|1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:CCODing?

BER Insertion

Range: 0 to 50

Set the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:BER?

FER Insertion

Range: 0 to 100

Sets the frame error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:FER?

2.Frame

Frame Length (ms)

Choice: 5 | 20

Set the frame Length of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FLENgth 5|20

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FLENgth?

Frame Offset (ms)

Choice:

Frame Length = 5ms: Range: 0 to 3

Frame Length = 10ms: Range: 0 to 7

Frame Length = 20ms: Range: 0 to 15

Frame Length = 40ms: Range: 0 to 31

Frame Length = 80ms: Range: 0 to 63

Sets the frame offset of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Sets the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:EBNO?


RSCH

The R-SCH (Reverse Supplemental Channel) is used to operate in conjunction with the RFCH(Reverse Fundamental Channel) o the RDCCH (Reverse Dedicated Control Channel) in that Reverse Traffic Channel to provide higher data rate services, and on whic higher-level data is transmitted.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Walsh Code |
Walsh Code Length |
Bit Rate |
Channel Coding |
Coding Type |
BER Insertion |
FER Insertion |

Buttons

This button sets all channels to equal power, and the total power to 0 dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

Click the Closed button to display the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. After clicking this button, the button name changes to Hide Graph.

Click the button to close the graph. After clicking this button, the button name changes to Show Graph.

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that displays the channels as a bar for each channel with the bar height proportionately representative of the channel power and the bar width proportional to the data rate.

1. General

State

Choice: On | Off

Set operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2[:STATe]?

Power

Range: -40 to 0 dB

Set the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:POWer?

Radio Configuration

Choice: 3 | 4

Set the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RCONfig 3|4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RCONfig?

Data

Choice: PN9 | PN15 | Pattern | UserFile

Default: PN9

Edit the data pattern for the Reverse Fundamental Traffic Channel (RFCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

Set the data of the channel. In the User File case, 0,1 txt file or binary file can be selected as the data source.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA:FIX4?

Walsh Code

Display walsh code of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH1:WALSh <1|2>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH2:WALSh <2|6>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:WALSh?

Walsh Code Length

Display the walsh code length of the channel.

Bit Rate (bps)

Choice:

FrameLength = 20ms and RC3: 1500 | 2700 | 4800 | 9600 | 19200 | 38400 | 76800 | 153600 | 307200

FrameLength = 20ms and RC4: 1800 | 3600 | 7200 | 14400 | 28800 | 57600 | 115200 | 230400

FrameLength = 40ms and RC3: 1350 | 2400 | 4800 | 9600 | 19200 | 38400 | 76800 | 153600

FrameLength = 40ms and RC4: 1800 | 3600 | 7200 | 14400 | 28800 | 57600 | 115200

FrameLength = 80ms and RC3: 1200 | 2400 | 4800 | 9600 | 19200 | 38400 | 76800

FrameLength = 80ms and RC4: 1800 | 3600 | 7200 | 14400 | 28800 | 57600

Sets the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RATE 1.2ksbps|1.350kbps|1.5kbps|1.8kbps|2.4kbps|2.7kbps|3.6kbps|4.8kbps|7.2kbps|9.6kbps|14.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RATE?

Channel Coding

Choice: All On | All Off

Sets the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:CCODing ON|OFF|0|1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCh[1]|2:CCODing?

Coding Type

Choice: Conv Coding | Turbo Coding

Sets the coding type of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:TCODe ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:TCODe?

BER Insertion

Range: 0 to 50

Sets the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCh[1]|2:BER?

FER Insertion

Range: 0 to 100

Sets the frame error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh[1]|2:FER?

Frame Length (ms)

Choice: 5 | 20

Sets the frame Length of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FLENgth 20|40|80

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FLENgth?

Frame Offset (ms)

Choice:

Frame Length = 5ms: Range: 0 to 3

Frame Length = 10ms: Range: 0 to 7

Frame Length = 20ms: Range: 0 to 15

Frame Length = 40ms: Range: 0 to 31

Frame Length = 80ms: Range: 0 to 63

Set the frame offset of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Sets the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:EBNO?


RadioConfig 3/4 Enhanced Access

Selecting this radio configuration allows you to access and configure the reverse link channels listed below.

  • RPICH

  • REACH


REACH

The REACH (Reverse Enhanced Access Channel) is used where a mobile station transmits an Enhanced Access preamble and an Enhanced Access header in the Enhanced Access probe.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Walsh Code |
Walsh Code Length |
Bit Rate |
Channel Coding |
BER Insertion |
FER Insertion |

Buttons

This button sets all channels to equal power, and the total power to 0 dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

Click the Closed button to display the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. After clicking this button, the button name changes to Hide Graph.

Click the button to close the graph. After clicking this button, the button name changes to Show Graph.

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that displays the channels as a bar for each channel with the bar height proportionately representative of the channel power and the bar width proportional to the data rate.

1. General

State

Choice: On | Off

Sets the operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh[:STATe]?

Power

Range: -40 to 0 dB

Sets the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:POWer?

Radio Configuration

Choice: 3 | 4

Sets the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RCONfig 3|4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RCONfig?

Data

Choice: PN9 | PN15 | Pattern | UserFile

Default: PN9

Edit the data pattern for the Reverse Fundamental Traffic Channel (RFCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

Set the data of the channel. In the User File case, 0,1 txt file or binary file can be selected as the data source.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA:FIX4?

Walsh Code

Display walsh code of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:WALSh?

Walsh Code Length

Display the walsh code length of the channel.

Bit Rate (bps)

Display the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RATE 9.6kbps|19.2kbps|38.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RATE?

Channel Coding

Choice: All On | All Off

Sets the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:CCODing ON|OFF|0|1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:CCODing?

BER Insertion

Range: 0% to 50%

Sets the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:BER?

FER Insertion

Range: 0% to 100%

Sets the frame error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FER?

2.Frame

Frame Length (ms)

Choice: 5 | 10 | 20

Sets the frame Length of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:ACCess:REACH:FLENgth?

Frame Offset (ms)

Choice:

Frame Length = 5ms: Range: 0 to 3

Frame Length = 10ms: Range: 0 to 7

Frame Length = 20ms: Range: 0 to 15

Frame Length = 40ms: Range: 0 to 31

Frame Length = 80ms: Range: 0 to 63

Sets the frame offset of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Sets the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:EBNO?


RadioConfig 3/4 Common Control

Selecting this radio configuration allows you to access and configure the reverse link channels listed below.

  • RPICH

  • RCCCH


RCCCH

The Reverse Common Control Channel (RCCCH) is a portion of a Reverse CDMA Channel used for the transmission of digital control information from one or more mobile stations to a base station. The Reverse Common Control Channel can operate in the Reservation Access Mode. It can be power controlled and may support soft handoff.

1. General | 2.Frame
State | Frame Length
Power | Frame Offset
Radio Configuration | EbNo
Data |
Walsh Code |
Walsh Code Length |
Bit Rate |
Channel Coding |
BER Insertion |
FER Insertion |

Buttons

This button sets all channels to equal power, and the total power to 0 dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe

This button scales all of the current channel powers so that the total power equals 0 dB, keeping the previous power ratios between the individual channels.

Click the Closed button to display the Code Domain Power (CDP) graph. This graph shows the position and power level of each channel, relative to the Walsh Code applied. After clicking this button, the button name changes to Hide Graph.

Click the button to close the graph. After clicking this button, the button name changes to Show Graph.

Toggles between two code order display formats, Hadamard and Bit Reverse.

Hadamard uses an algorithm that displays each Walsh code in sequence and the composite representation of the traffic channel.

Bit Reverse uses an algorithm that displays the channels as a bar for each channel with the bar height proportionately representative of the channel power and the bar width proportional to the data rate.

1. General

State

Choice: On | Off

Set operating state of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh[:STATe]?

Power

Range: -40 to 0 dB

Set the power of the channel in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:POWer?

Radio Configuration

Choice: 3 | 4

Set the Radio Configuration of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RCONfig 3|4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RCONfig?

Data

Choice: PN9 | PN15 | Pattern | UserFile

Default: PN9

Edit the data pattern for the Reverse Fundamental Traffic Channel (RFCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed selection dialog box.

Set the data of the channel. In the User File case, 0,1 txt file or binary file can be selected as the data source.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA PN9|PN15|FIX4|"<file name>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4?

Walsh Code

Display walsh code of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:WALSh?

Walsh Code Length

Display the walsh code length of the channel.

Bit Rate (bps)

Choice:

FrameLength = 5ms: 38400

FrameLength = 10ms: 19200 | 38400

FrameLength = 20ms: 9600 | 19200 | 38400

Set the bit rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RATE 9.6kbps|19.2kbps|38.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RATE?

Channel Coding

Choice: All On | All Off

Set the channel code state of the channel.

If the coding state is off, the channel will be no channel coding and interleaver.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:CCODing ON|OFF|0|1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:CCONtrol:RCCCH:CCODing?

BER Insertion

Range: 0% to 50%

Set the bit error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:BER?

FER Insertion

Range: 0% to 100%

Set the frame error rate of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:FER?

2.Frame

Frame Length (ms)

Choice: 5 | 10 | 20

Set the frame Length of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FLENgth 5|10|20

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FLENgth?

Frame Offset (ms)

Choice:

Frame Length = 5ms: Range: 0 to 3

Frame Length = 10ms: Range: 0 to 7

Frame Length = 20ms: Range: 0 to 15

Frame Length = 40ms: Range: 0 to 31

Frame Length = 80ms: Range: 0 to 63

Set the frame offset of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FOFFset?

EbNo

Range:

Min: -30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Max: 30 + 10log10(ChipRate/BitRate) + NormalizedPower dB

Set the Eb/No of the channel.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO?


Transmission (Tx) Power Control

These settings control the real-time transmission power control functionality for the cdma2000 signal.

1.Tx Power Control Settings | 2.Absolute Power Levels
State | Absolute Maximum Power
Maximum Power | Absolute Minimum Power
Minimum Power | Absolute Initial Power
Initial Power |
Power Step |
Up/Down Pattern |
Data |
External_Data_Input_Port |
External Data Input Polarity |

1.Tx Power Control Settings

State

Choice: Off | On

Default: Off

Enables or disables the transmission power control.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:STATe] 1|0|ON|OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:STATe]?

Maximum Power

Default: 0 dB

Indicates the maximum power in dB for transmission power control limit.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MAXimum?

Minimum Power

Range: –40 to 0 (dB)

Default: –40 dB

Sets the minimum power in dB. The down power control is ignored when the transmission power is reached this power level.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MINimum?

Initial Power

Range: -40 to 0 (dB)

Default: 0 dB

Sets the initial power in dB. The value must be bigger than or equal to the value set in Minimum Power.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:INITial <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:INITial?

Power Step

Range: 0.1 to 10

Default: 1

Sets the power step of Transmission Power Control in dB.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:STEP <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:STEP?

Up/Down Pattern

Choice: User Data| External

Default: External1

Select the transmission power control up/down pattern.

External | Sets the Transmission Power Control (TPC) data pattern to External. This choice specifies an external TPC pattern.
User Data| | Sets the Transmission Power Control (TPC) data pattern to User Data|. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 3,840 patterns.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern|<file name>|EXTernal

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern?

Data

Click on the [image] on the right hand side to open the following Closed Up/Down Pattern Dialog Box.

Set the data of the channel. In the User File case, 0,1 txt file or binary file can be selected as the data source.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern|<file name>|EXTernal

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern?

External Data Input Port

When AUX port is multiplexed mode:

Choice: AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11 | AUX12

Default: AUX1

When AUX port is dedicated mode:

Choice: BIT 0 | BIT 1 | BIT 2 | BIT 3 | BIT 4 | BIT 5 | BIT 6 | BIT 7

Default: BIT 0

Select the AUX port or bit as transport power control data input.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:INPut | AUX1| AUX2| AUX3| AUX4| AUX5| AUX6| AUX7| AUX8| AUX9| AUX10| AUX11| AUX12| AUX13| AUX14| AUX15| AUX16

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:INPut?

External Data Input Polarity

When AUX port is multiplexed mode:

Choice: AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX0

When AUX port is dedicated mode:

Choice: BIT 0 | BIT 1 | BIT 2 | BIT 3 | BIT 4 | BIT 5 | BIT 6 | BIT 7

Default: BIT 0

Select the AUX port or bit as transport power control data input.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:POLarity POSitive|NEGative

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:POLarity?

Absolute Maximum Power

Gets the absolute Maximum power in dBm.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:MAXimum?

Absolute Minimum Power

Gets the absolute minimum power in dBm.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:MINimum?

Absolute Initial Power

Gets the absolute Initial power in dBm.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:INITial?


Signal IO

1. Marker | 2. Aux Port General Settings
Marker 1 | State
Marker 3 | Data Polarity
Marker 4 |
3. Multiplexed Mode Setup | 4. Dedicated Mode Setup
First Address | Aux Port Pin
Second Address | Baud Rate
5. Aux Pin/Bit Select |
Transmit Power Contol Source |

1. Marker

Marker 1

Choice: Even Second | Super Frame (80ms) | Radio Frame (20ms) | Power Control Group (1.25ms) | Sync Channel Frame (25.666...ms) | Delayed Even Second Clock (2s) | System Reset

Sets the data source of Marker 1 for the output signal.

[:SOURce]"RADio:CDMA2000[:BBG]:MKR1 ESECond|SFRame|RFRame|TPControl|SCFrame|DESecond|SRESet

[:SOURce]"RADio:CDMA2000[:BBG]:MKR1?

ESECond | Even Second (2s)
SFRame | Super Frame (80ms)
RFRame | Radio Frame (20ms)
TPControl | Transmite Power Control Frame (1.25ms)
SCFrame | Sync Channel Frame (25.666...ms)
DESecond | Delayed Even Second
SRESet | System Reset

Marker 3

Choice: Even Second | Super Frame (80ms) | Radio Frame (20ms) | Power Control Group (1.25ms) | Sync Channel Frame (25.6ms) | Delayed Even Second Clock (2s) | System Reset

Sets the data source of Marker 3 for the output signal.

[:SOURce]"RADio:CDMA2000[:BBG]:MKR ESECond|SFRame|RFRame|TPControl|SCFrame|DESecond|SRESet

[:SOURce]"RADio:CDMA2000[:BBG]:MKR3?

Marker 4

Choice: Even Second | Super Frame (80ms) | Radio Frame (20ms) | Power Control Group (1.25ms) | Sync Channel Frame (25.6ms) | Delayed Even Second Clock (2s) | System Reset

Sets the data source of Marker 4 for the output signal.

[:SOURce]"RADio:CDMA2000[:BBG]:MKR4 ESECond|SFRame|RFRame|TPControl|SCFrame|DESecond|SRESet

[:SOURce]"RADio:CDMA2000[:BBG]:MKR4?

2. Aux Port General Settings

State

When disabled, all the data sent to the AUX port will be ignored by this I/Q channel.

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:[:STATe] ON | OFF | 0 | 1

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:[:STATe]?

Data Polarity

Choice: Negative| Positive

Default: Negative

Determines whether the AUX input data will be inverted or not. If "Negative" is selected, the AUX input data will be inverted.

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DATA:POLarilty POSitive | NEGative

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DATA:POLarilty?

3. Multiplexed Mode Setup

In Multiplexed Mode, 4 pins in AUX port will be used as addresses, the other 12 AUX pins are used as data.

First Address

Choices: Unassigned | Group 1 | Group 2 | Group 3 | Group 4 | Group 5 | Group 6 | Group 7 | Group 8 | Group 9 | Group 10 | Group 11 | Group 12 | Group 13 | Group 14 | Group 15

Default:Group 1

Coupling: grayed out unless Operating Mode is set to Multiplexed Mode

Selects an additional address (different from broadcast address) to receive AUX I/O data.

The data comes with this address value will be transmitted to this I/Q channel.

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR1 GROUP1|GROUP2|GROUP3|GROUP4 | GROUP5|GROUP6|GROUP7|GROUP8 | GROUP9|GROUP10|GROUP11|GROUP12 | GROUP13|GROUP14|GROUP15

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR1?

Second Address

Choices: Unassigned | Group 1 | Group 2 | Group 3 | Group 4 | Group 5 | Group 6 | Group 7 | Group 8 | Group 9 | Group 10 | Group 11 | Group 12 | Group 13 | Group 14 | Group 15

Default:Group 2

Coupling: grayed out unless Operating Mode is set to Multiplexed Mode

Selects another additional address (different from broadcast address) to receive AUX I/O data. The data comes with this address value will be transmitted to this I/Q channel.

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR2 GROUP1|GROUP2|GROUP3|GROUP4 | GROUP5|GROUP6|GROUP7|GROUP8 | GROUP9|GROUP10|GROUP11|GROUP12 | GROUP13|GROUP14|GROUP15

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR2?

4. Dedicated Mode Setup

To activate this mode, in Instrument Node, click on Operating Modein Aux IO Global Controls and select Multiplexed.

In Dedicated Mode, also called Serial Mode, for each application, only one Aux pin is used as AUX input.

Aux Port Pin

Choices: AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX0

Selects a serial pin from which the application channel wants to receive AUX port data (dedicated mode only).

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:PIN NONe | AUX0| AUX1| AUX2| AUX3| AUX4| AUX5| AUX6| AUX7| AUX8 | AUX9| AUX10| AUX11

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:PIN?

Baud Rate

Range: 9600 | 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800 symbols per second

Default: 230400

Coupling: grayed out unless Operating Mode is set to Dedicated Mode

Specifies how fast the serial data is transmitted (in symbol per second), which can be set in remote GUI or using the SCPI commands shown as follows:

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:DATa:RATe 9600|14400|19200|38400|57600|115200|230400|460800

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:DATa:RATe?

5. Aux Pin/Bit Select

Transmit Power Control Source

Operating Mode = Multiplexed Mode

Choices: AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX0

Operating Mode =Dedicated Mode

Choices: BIT0 | BIT1 | BIT2 | BIT3 | BIT4 | BIT5 | BIT6 | BIT7

Default: BIT0

Select the AUX port or bit as transport power control source. This is same meaning as External Data Input Port in Tx Power Control node.

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:TPC AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11 | BIT0 | BIT1 |BIT2 |BIT3 |BIT4 |BIT5 |BIT6 |BIT7

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:TPC?


SCPI

SCPI Command Basics | provides basic information about SCPI commands.
Standard Command List | provides a comprehensive list of the EXG, MXG SCPI commands with links to their descriptions.
SCPIs without GUI Functions | provides a list of commands, with descriptions, that performs a functionality that does not have a companion GUI setting.
EXG, MXG SCPI Compatibility | provides information about the ESG compatible commands for the EXG, MXG.


SCPI Command Basics

This section describes the general use of SCPI commands. It is not intended to teach you everything about the SCPI language; the SCPI Consortium or IEEE can provide that level of detailed information. For a list of the specific commands available, refer to the SCPI list.

For additional information on the SCPI language, refer to the following publications:

  • IEEE Standard 488.1-2003, IEEE Standard For Higher Performance Protocol for the Standard Digital Interface for Programmable Instrumentation. New York, NY, 2003.

  • IEEE Standard 488.2-1992, IEEE Standard Codes, Formats, Protocols and Command Commands for Use with ANSI/IEEE Standard 488.1-1987. New York, NY, 1998.

Common Terms

The following terms are used throughout the remainder of this section:

Command | A command is an instruction in SCPI consisting of mnemonics (keywords), parameters (arguments), and punctuation. You combine commands to form messages that control instruments.
Controller | A controller is any device used to control the instrument, for example a computer or another instrument.
Event Command | Some commands are events and cannot be queried. An event has no corresponding setting; it initiates an action at a particular time.
Query | A query is a special type of command used to instruct the instrument to make response data available to the controller. A query ends with a question mark. Generally you can query any command value that you set.
Response Message | A response message is a collection of data in specific SCPI formats sent from the instrument to the controller. Response messages tell the controller about the internal state of the instrument.

Command Syntax

A typical command is made up of keywords prefixed with colons (:). The keywords are followed by parameters. The following is an example syntax statement:

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

In the example above, the [:STATe] portion of the command immediately follows the :DM:IQADjustment portion with no separating space. The portion following [:STATe], ON|OFF|1|0, are the parameters (argument for the command statement). There is a separating space (white space) between the command and its parameter.

Additional conventions in syntax statements are shown in Table 1. Special Characters in Command Syntax and Table 2. Command Syntax.

Table 1. Special Characters in Command Syntax
Characters | Meaning | Example
| | A vertical stroke between keywords or parameters indicates alterative choices. For parameters, the effect of the command varies depending on the choice. | [:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative POSitive or NEGative are the choices.
[ ] | Square brackets indicate that the enclosed keywords or parameters are optional when composing the command. These implied keywords or parameters will be executed even if they are omitted. | [:SOURce]:FREQuency[:CW]? SOURce and CW are optional items.
< > | Angle brackets around a word (or words) indicate they are not to be used literally in the command. They represent the needed item. | [:SOURce]:FREQuency[:CW] <value><unit> In this command, the words <value> and <unit> should be replaced by the actual frequency and unit. :FREQuency 2.5GHz
{ } | Braces indicate that parameters can optionally be used in the command once, several times, or not at all. | [:SOURce]:LIST:POWer <value>{,<value>} a single power listing: :LIST:POWer 5 a series of power listings: :LIST:POWer 5,10,15,20

Table 2. Command Syntax

Characters, Keywords, and Syntax

Example

Upper-case lettering indicates the minimum set of characters required to execute the command. But, each mode of the command must be in either short form or the complete long form (no in between).

[:SOURce]:FREQuency[:CW]?,

:FREQ is the minimum requirement.

Lower-case lettering indicates the portion of the command that is optional; it can either be included with the upper-case portion of the command or omitted. This is the flexible format principle called forgiving listening. Refer to See "Command Parameters and Responses " for more information.

:FREQuency

Either :FREQ, :FREQuency, or :FREQUENCY is correct.

:FREQuenc is incorrect.

When a colon is placed between two command mnemonics, it moves the current path down one level in the command tree. Refer to See "Command Tree" for more information on command paths.

:IQ:OUTPut:TRIGger:EXTernal:POLarity?

:IQ is the root level keyword for this command.

If a command requires more than one parameter, you must separate adjacent parameters using a comma. Parameters are not part of the command path, so commas do not affect the path level.

[:SOURce]:LIST:DWELl <value>{,<value>}

White space characters, such as <tab> and <space>, are generally ignored as long as they do not occur within or between keywords.

However, you must use white space to separate the command from the parameter, but this does not affect the current path.

:FREQ uency or :POWer :LEVel are not allowed.

A <space> between :LEVel and 6.2 is mandatory: :POWer:LEVel 6.2

Command Tree

SCPI uses a structure for the commands similar to the file systems on most computers. In SCPI, this command structure is called a command tree and is shown in See "Figure 2. Simplified Command Tree".

Figure 2. Simplified Command Tree

The command closest to the top is the root command, or simply “the root.” Notice that you must follow a particular path to reach lower level commands. In the following example, :POWer represents AA, :ALC represents BB, :SOURce represents GG. The complete command path is :POWer:ALC:SOURce? (:AA:BB:GG).

Command Parameters and Responses

SCPI defines different data formats for use in program and response messages. It does this to accommodate the principle of forgiving listening and precise talking. For more information on program data types refer to IEEE 488.2.

Forgiving listening means the command and parameter formats are flexible.

For example, with the :OUTPut:STATe ON|OFF|1|0 command, an MXG accepts :OUTPut:STATe ON, :OUTPut:STATe 1, :OUTP:STAT ON, :OUTP:STAT 1 to turn on the RF output.

Each parameter type has one or more corresponding response data types. A setting that you program using a numeric parameter returns either real or integer response data when queried. Response data (data returned to the controller) is more concise and restricted, and is called precise talking.

Precise talking means that the response format for a particular query is always the same.

For example, if you query the power state (:POWer:ALC:STATe?) when it is on, the response is always 1, regardless of whether you previously sent :POWer:ALC:STATe 1 or :POWer:ALC:STATe ON. Table 3. Parameter and Response Types shows the response for a given parameter type.

Table 3. Parameter and Response Types
Parameter Types | Response Data Types
Numeric | Real, Integer
Extended Numeric | Real, Integer
Discrete | Discrete
Boolean | Numeric Boolean
String | String
Definite Block | Arbitrary byte data(i.e. text, binary, discrete, real, integer, etc.-). 1

Numeric Parameters

Numeric parameters are used in many commands and these commands accept all commonly used decimal representations of numbers including optional signs, decimal points, and scientific notation.

If an instrument setting is programmed with a numeric parameter, which can only assume a finite value, it automatically rounds any entered parameter which is greater or less than the finite value. For example, if a signal generator has a programmable output impedance of 50 or 75 ohms, and you specified 76.1 for the output impedance, the value is rounded to 75.

The following are examples of numeric parameters:

100 | no decimal point required
100. | fractional digits optional
-1.23 | leading signs allowed
4.56E<space>3 | space allowed after the E in exponential
-7.89E-001 | use either E or e in exponential
+256 | leading + allowed
.5 | digits left of decimal point optional

Extended Numeric Parameters

When specifying physical quantities, most commands use extended numeric parameters. Extended numeric parameters accept all numeric parameter values and other special values as well.

The following are examples of extended numeric parameters:

100 | any simple numeric value
1.2GHz | GHz can be used for exponential (E009)
200MHz | MHz can be used for exponential (E006)
-100mV | negative 100 millivolts
10DEG | 10 degrees

Extended numeric parameters also include the following special parameters:

DEFault | resets the parameter to its default value
UP | increments the parameter
DOWN | decrements the parameter
MINimum | sets the parameter to the smallest possible value
MAXimum | sets the parameter to the largest possible value

Discrete Parameters

Discrete parameters use mnemonics to represent each valid setting. They have a long and a short form, just like command mnemonics. You can mix upper and lower case letters for discrete parameters.

The following examples of discrete parameters are used with the command

:POWer:ALC:SEARch:REFerence RMS|FIXed|MODulated

RMS | power search uses a DC bias value
FIXed | power search uses a fixed 0.5 V reference
MODulated | power search uses an AC bias from the modulating signal

Although discrete parameters look like command keywords, do not confuse the two. In particular, be sure to use colons and spaces properly. Use a colon to separate command mnemonics from each other and a space to separate parameters from command mnemonics.

The following are examples of discrete parameters in commands:

:POWer:ALC:SEARch:REFerence RMS

:POWer:ALC:SEARch:REFerence FIXed

:POWer:ALC:SEARch:REFerence MODulated

Boolean Parameters

Boolean parameters represent a single binary condition that is either true or false. The two-state boolean parameter has four arguments.

The following list shows the arguments for the two-state boolean parameter:

ON | boolean true, upper/lower case allowed
OFF | boolean false, upper/lower case allowed
1 | boolean true
0 | boolean false

String Parameters

String parameters allow ASCII strings to be sent as parameters. Single or double quotes are used as delimiters.

The following are examples of string parameters:

'This is valid'

"This is also valid"

'SO IS THIS'

Definite Block

Definite block is always prefixed by the # symbol to indicate the beginning of block data. The definite block (#ABC) is described as follows:

# | This character indicates the beginning of the data block
A | Number of digits in the byte count B
B | Byte count in C
C | data

Real Response Data

Real response data represent decimal numbers in either fixed decimal or scientific notation. Most high-level programming languages that support instrument input/output (I/O) handle either decimal or scientific notation transparently.

The following are examples of real response data:

+4.000000E+010, -2.000000E+004

-9.990000E+002

+4.0000000000000E+010

+1

0

Integer Response Data

Integer response data are decimal representations of integer values including optional signs.

The following are examples of integer response data:

0 | signs are optional
+100 | leading + allowed
-100 | leading - allowed
256 | never any decimal point

Discrete Response Data

Discrete response data are similar to discrete parameters. The main difference is that discrete response data only returns the short form of a particular mnemonic, in all upper case letters.

The following are examples of discrete response data:

IMM

EXT

INT

NEG

Numeric Boolean Response

Boolean response data returns a binary numeric value of one or zero.

String Response Data

String response data are similar to string parameters. The main difference is that string response data returns double quotes, rather than single quotes. Embedded double quotes may be present in string response data. Embedded quotes appear as two adjacent double quotes with no characters between them.

The following are examples of string response data:

"This is a string"

"one double quote inside brackets: [""]"

"Hello!"

File Name Variables

File name variables designate a data file and file path. File name variables are used in the SCPI command syntax whenever files are accessed. The name of the file is always required, but the file path can sometimes be optional or designated. See Table 4. File Name Path Formats for examples:

Table 4. File Name Path Formats
Format | File Name Variable | Example
Format 1 | "<file name>" | "Test_Data"
Format 2 | "<file path/file name>" | "/USER/SEQ/Test_Data"

Format 1 can only be used with SCPI commands that imply the path name as part of the command syntax. Typically, SCPI load commands that access user-data files do not need to have a file path designated.

The maximum length for a file name is 23 characters, excluding the file path.

Quote Usage with SCPI Commands

As a general rule, programming languages require that SCPI commands be enclosed in double quotes as shown in the following example:

":POWer:ALTernate:AMPLitude 55"

However when a string is the parameter for a SCPI command, additional quotes or other delimiters may be required to identify the string. Your programming language may use two sets of double quotes, one set of single quotes, or back slashes with quotes to signify the string parameter. The following examples illustrate these different formats:

"RADio:EDGE:BURSt:SHAPe ""myfile""" used in BASIC programming languages

"RADio:EDGE:BURSt:SHAPe \"myfile"" used in C, C++, Java, and PERL

"RADio:EDGE:BURSt:SHAPe 'myfile'" accepted by most programming languages

Consult your programming language reference manual to determine the correct format.

Binary, Decimal, Hexadecimal, and Octal Formats

Command values may be entered using a binary, decimal, hexadecimal, or octal format. When the binary, hexadecimal, or octal format is used, their values must be preceded with the proper identifier. The decimal format (default format) requires no identifier and an instrument assumes this format when a numeric value is entered without one. The identifiers for the formats that require them are as follows:

#B identifies the number as a binary numeric value (base-2).

#H identifies the number as a hexadecimal alphanumeric value (base-16).

#Q identifies the number as a octal alphanumeric value (base-8).

The following are examples of SCPI command values and identifiers for the decimal value 45:

#B101101 binary equivalent

#H2D hexadecimal equivalent

#Q55 octal equivalent

The following example sets the RF output power to 10 dBm (or the equivalent value for the currently selected power unit, such as DBUV or DBUVEMF) using the hexadecimal value 000A:

:POW #H000A

A unit of measure such as dBm or mV will not work with the values when using a format other than decimal.


N5172B EXG and N5182B MXG SCPI Compatibility

Use this topic to find the E4438C Option 402 SCPI commands supported by the N5172B and the N5182B MXG signal generators.

These commands are separated into supported and unsupported tables.The unsupported table has the least number of commands, thus providing a more time-efficient way of determining whether or not a command is supported by the N5172B/82B MXG signal generators.

In some cases, SCPI commands are only partially supported. This usually occurs due to a variance in parameters between the N5172B/82B and the E4438C. When this condition occurs, the SCPI command appears in both tables showing the exact SCPI command syntax that is either supported or unsupported.

  • Supported Commands

  • Unsupported Commands

Supported Commands

Command | Remarks
CDMA2000 Supported Commands |
:SOURce]:RADio:CDMA2000[:BBG]:LMODe RT12|RA12|RT34|RE34|RC34 | This selection is not supported: FORWard
[:SOURce]:RADio:CDMA2000[:BBG]:LMODe? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:CHIPrate <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:CHIPrate? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:ESDelay <val> | Default Value will be different because of hardware latency
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:ESDelay?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer RNYQuist|NYQuist|GAUSsian|RECTangle|IS95|IS95_EQ|IS95_MOD|IS95_MOD_EQ|AC4Fm|UGGaussian|"<user FIR>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:ALPHa <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:ALPHa? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:BBT <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:BBT? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:CHANnel EVM|ACP |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:CHANnel? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCMask <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCMask? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCSTate <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCSTate? | Query result is 64 bit, not 40bit (may be fixed later)
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal|SCALe |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:POLarity[:ALL] NORMal|INVerted |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:POLarity[:ALL]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe:CN <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe:CN? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:EBNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:EBNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FLENgth? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FOFFset <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FOFFset? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RCONfig 1|2 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4? | FIX4 query has different, returned value is not binary
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FLENgth? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FOFFset <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FOFFset? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RATE 1.2kbps|1.8kbps|2.4kbps|3.6kbps|4.8kbps|7.2kbps|9.6kbps|14.4kbps |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig 1|2 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4? | FIX4 query has different, returned value is not binary
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FLENgth 5|10|20 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FLENgth? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RATE 1.2kbps|1.8kbps|2.4kbps|3.6kbps|4.8kbps|7.2kbps|9.6kbps|14.4kbps |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig 1|2 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4? | FIX4 query has different, returned value is not binary
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RATE 1.2kbps|1.8kbps|2.4kbps|3.6kbps|4.8kbps|7.2kbps|9.6kbps|14.4kbps |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig 1|2 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4? | FIX4 query has different, returned value is not binary
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FOFFset <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FOFFset? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RCONfig 3|4 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RATE 9.6kbps|19.2kbps|38.4kbps |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:WALSh? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RPICh[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RPICh[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA:FIX4? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:EBNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:EBNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:ACCess:REACH:FLENgth? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FOFFset <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FOFFset? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RCONfig 3|4 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RATE 9.6kbps|19.2kbps|38.4kbps |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:WALSh? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh:ECNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh:ECNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh:GRATe FULL|HALF|QUARter |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh:GRATe? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh:WALSh? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:RPICh[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA:FIX4? | FIX4 query has different, returned value is not binary
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:EBNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:EBNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FLENgth 5|20 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FLENgth? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FOFFset <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FOFFset? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RCONfig 3|4 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:WALSh? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA:FIX4? | FIX4 query has different, returned value is not binary
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:EBNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:EBNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FLENgth 5|20 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FLENgth? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FOFFset <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FOFFset? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RCONfig 3|4 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RATE 1.2kbps|1.5kbps|1.8kbps|2.7kbps|3.6kbps|4.8kbps|7.2kbps|9.6kbps|14.4kbps |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:WALSh? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA PN9|PN15|FIX4|"<file name>" |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA:FIX4 <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA:FIX4? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:EBNO <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:EBNO? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FLENgth 20|40|80 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FLENgth? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FOFFset <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FOFFset? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:POWer <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:POWer? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RCONfig 3|4 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RCONfig? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RATE 1.2ksbps|1.350kbps|1.5kbps|1.8kbps|2.4kbps|2.7kbps|3.6kbps|4.8kbps|7.2kbps|9.6kbps|14.4kbps |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RATE? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:TCODe ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:TCODe? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH1:WALSh <1|2> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH2:WALSh <2|6> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:WALSh? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2[:STATe] ON|OFF|1|0 |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2[:STATe]? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TADVance <val> |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TADVance? | Default Value different because of hwarware lantency
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TEDGe RISing|FALLing |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TEDGe? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:SRATe? |
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:STATe] 1|0|ON|OFF | Real-Time power Control related SCPI's, new features added
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:STATe]?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MAXimum?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MINimum <val>
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MINimum?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:INITial <val>
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:INITial?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:STEP <val>
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:STEP?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern|<file name>|EXTernal
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:EXTernal]:POLarity POSitive|NEGative
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:EXTernal]:POLarity?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:MAXimum?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:MINimum?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:INITial?
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:INPut | AUX1| AUX2| AUX3| AUX4| AUX5| AUX6| AUX7| AUX8| AUX9| AUX10| AUX11| AUX12| AUX13| AUX14| AUX15| AUX16
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:INPut?
[:SOURce]"RADio:CDMA2000[:BBG]:MKR1 ESECond|SFRame|RFRame|TPControl|SCFrame|DESecond|SRESet | Marker Selection SCPI's, New added
[:SOURce]"RADio:CDMA2000[:BBG]:MKR1?
[:SOURce]"RADio:CDMA2000[:BBG]:MKR3 ESECond|SFRame|RFRame|TPControl|SCFrame|DESecond|SRESet
[:SOURce]"RADio:CDMA2000[:BBG]:MKR3?
[:SOURce]"RADio:CDMA2000[:BBG]:MKR4 ESECond|SFRame|RFRame|TPControl|SCFrame|DESecond|SRESet
[:SOURce]"RADio:CDMA2000[:BBG]:MKR4?
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:[:STATe] ON | OFF | 0 | 1 | AUX Port Setting SCPI's, New added
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:[:STATe]?
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DATA:POLarilty POSitive | NEGative
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DATA:POLarilty?
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR1 GROUP1|GROUP2|GROUP3|GROUP4 | GROUP5|GROUP6|GROUP7|GROUP8 | GROUP9|GROUP10|GROUP11|GROUP12 | GROUP13|GROUP14|GROUP15
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR1?
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR2 GROUP1|GROUP2|GROUP3|GROUP4 | GROUP5|GROUP6|GROUP7|GROUP8 | GROUP9|GROUP10|GROUP11|GROUP12 | GROUP13|GROUP14|GROUP15
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR2?
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:PIN NONe | AUX1| AUX2| AUX3| AUX4| AUX5| AUX6| AUX7| AUX8| AUX9 | AUX10| AUX11| AUX12
[:SOURce]"RADio:CDMA2000[:BBG]:AUXDEDIcated:PIN?
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:DATa:RATe <val>
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:DATa:RATe?
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:TPC AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11 | AUX12 | BIT0 | BIT1 |BIT2 |BIT3 |BIT4 |BIT5 |BIT6 |BIT7
[:SOURce]"RADio:CDMA2000[:BBG]:AUX:TPC?
[:SOURce]"RADio:CDMA2000[:BBG]:REVerse:TPC:AUX AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11 | AUX12 | BIT0 | BIT1 |BIT2 |BIT3 |BIT4 |BIT5 |BIT6 |BIT7
[:SOURce]"RADio:CDMA2000[:BBG]:REVerse:TPC:AUX? |

Unsupported Commands

Commands | Remarks
CDMA2000 Unsupported Commands |
[:SOURce]:RADio:CDMA2000[:BBG]:LMODe FORWard | These selections are supported: RT12|RA12|RT34|RE34|RC34
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:BBCLock INT[1]|EXT[1] | No baseband clock input supported
[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:BBCLock?
:REVerse:REFerence:EXTernal:FREQuency | External BB clock will not be supported in EXG-B\MXG-B
:REVerse:REFerence[:SOURce]


SCPI Command List

NOTES:

1. In the SCPI command syntax, the letter n equates to a numeric value.

2. The following SCPI command list may include duplicates of certain commands. This duplication offers you the convenience of accessing a command's related descriptions when it is valid for more than one instrument model or channel type, and therefore, appears in multiple help topics.

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DATA:POLarilty POSitive | NEGative

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DATA:POLarilty?

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:DATa:RATe 9600 | 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:DATa:RATe?

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:PIN NONe | AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:DEDIcated:PIN?

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR1 GROUP1 | GROUP2 | GROUP3 | GROUP4 | GROUP5 | GROUP6 | GROUP7 | GROUP8 | GROUP9 | GROUP10 | GROUP11 | GROUP12 | GROUP13 | GROUP14 | GROUP15

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR1?

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR2 GROUP1 | GROUP2 | GROUP3 | GROUP4 | GROUP5 | GROUP6 | GROUP7 | GROUP8 | GROUP9 | GROUP10 | GROUP11 | GROUP12 | GROUP13 | GROUP14 | GROUP15

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:MULTiplexed:ADDR2?

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:[:STATe] ON | OFF | 0 | 1

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:[:STATe]?

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:TPC AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11 | BIT0 | BIT1 | BIT2 | BIT3 | BIT4 | BIT5 | BIT6 | BIT7

[:SOURce]"RADio:CDMA2000[:BBG]:AUX:TPC?

[:SOURce]"RADio:CDMA2000[:BBG]:MKR ESECond | SFRame | RFRame | TPControl | SCFrame | DESecond | SRESet

[:SOURce]"RADio:CDMA2000[:BBG]:MKR1 ESECond | SFRame | RFRame | TPControl | SCFrame | DESecond | SRESet

[:SOURce]"RADio:CDMA2000[:BBG]:MKR1?

[:SOURce]"RADio:CDMA2000[:BBG]:MKR3?

[:SOURce]"RADio:CDMA2000[:BBG]:MKR4 ESECond | SFRame | RFRame | TPControl | SCFrame | DESecond | SRESet

[:SOURce]"RADio:CDMA2000[:BBG]:MKR4?

[:SOURce]:RADio[1]|n:CDMA2000[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio[1]|n:CDMA2000[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio[1]|n:CDMA2000[:BBG]:POWer:SOURce

[:SOURce]:RADio[1]|n:CDMA2000[:BBG]:RSCaling <val>

[:SOURce]:RADio[1]|n:CDMA2000[:BBG]:RSCaling?

[:SOURce]:RADio[1]|n:CDMA2000[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio[1]|n:CDMA2000[:BBG]:SAMPle:RATE?

[:SOURce]:RADio[1]|n:CDMA2000[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio[1]|n:CDMA2000[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio[1]|n:CDMA2000[:BBG][:STATe]?

[:SOURce]:RADio[1]|n:CDMA2000[:BBG][:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:LMODe RT12 | RA12 | RT34 | RE34 | RC34

[:SOURce]:RADio:CDMA2000[:BBG]:LMODe?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:CHIPrate <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:CHIPrate?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:ESDelay <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:ESDelay?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer RNYQuist | NYQuist | GAUSsian | RECTangle | IS95 | IS95_EQ | IS95_MOD | IS95_MOD_EQ | AC4Fm | UGGaussian | "<userFIR>"bnnbhnb

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:ALPHa <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:ALPHa?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:BBT <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:BBT?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:CHANnel EVM | ACP

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:FILTer:CHANnel?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCMask <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCMask?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCSTate <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:LCSTate?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe:CN <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe:CN?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:PADJust EQUal | SCALe

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:CCODing ?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:CCODing 0 | 1 | ON | OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RCONfig 1 | 2

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RACH[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:ACCess:REACH:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:CCODing 0 | 1 | ON | OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:CCODing ?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:CCODing 0 | 1 | ON | OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:CCODing ?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:ACCess:RSCH:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:CCODing ON | OFF | 0 | 1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:CCONtrol:RCCCH:CCODing?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCH:FER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FLENgth 5 | 10 | 20

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RATE 9.6kbps | 19.2kbps | 38.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RCONfig 3 | 4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RCCCh:WALSh?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RPICh:ECNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:CCONtrol:RPICh:ECNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:CCODing ON | OFF | 0 | 1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:CCODing?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RATE 9.6kbps | 19.2kbps | 38.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RCONfig 3 | 4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:EACCess:REACh:WALSh?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:CCODing ON | OFF | 0 | 1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:CCODing?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FLENgth 5 | 20

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RCONfig 3 | 4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RDCCh:WALSh?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh[1]|2:FER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:CCODing ON | OFF | 0 | 1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:CCODing?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCh:FER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FLENgth 5 | 20

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RATE 1.2kbps | 1.5kbps | 1.8kbps | 2.7kbps | 3.6kbps | 4.8kbps | 7.2kbps | 9.6kbps | 14.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RCONfig 3 | 4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RFCH:WALSh?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:GRATe FULL | HALF | QUARter

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:GRATe?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:PCB <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:PCB?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RPICh:WALsh?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:BER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCh[1]|2:BER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:CCODing ON | OFF | 0 | 1

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCh[1]|2:CCODing?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:EBNO <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:EBNO?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FLENgth 20 | 40 | 80

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FLENgth?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FOFFset <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:FOFFset?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RATE 1.2ksbps | 1.350kbps | 1.5kbps | 1.8kbps | 2.4kbps | 2.7kbps | 3.6kbps | 4.8kbps | 7.2kbps | 9.6kbps | 14.4kbps

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RATE?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RCONfig 3 | 4

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:TCODe ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:TCODe?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH1:WALSh <1 | 2>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH[1]|2:WALSh?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC34:TRAFfic:RSCH2:WALSh <2 | 6>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA PN9 | PN15 | FIX4 | "<filename>"

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4 <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:DATA:FIX4?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:FER?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:POWer?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig 1 | 2

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig 1 | 2

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH:RCONfig?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:RC12:TRAFfic:RSCH[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TADVance <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TADVance?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:INITial?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:MAXimum?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:ABS:MINimum?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern|<file name> | EXTernal

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern|<file name> | EXTernal

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:INPut | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11 | AUX12 | AUX13 | AUX14 | AUX15 | AUX16

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:INPut?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:POLarity POSitive | NEGative

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:PATTern[:EXTernal]:POLarity?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:INITial <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:INITial?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MAXimum?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:MINimum?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:STEP <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl:POWer:STEP?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:STATe] 1 | 0 | ON | OFF

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:TPControl[:STATe]?

[:SOURce]:RADio:CDMA2000[:BBG]:[STATe] 1 | 0 | ON | OFF

[:SOURce]:RADio:CDMA2000[:BBG]:[STATe]?


SCPI Commands without GUI Functions

The software provides a standard list of commands created for this software. The list also provides links to the command descriptions.

These commands have no corresponding UI Parameters, but set the real-time baseband for instruments loaded with Signal Studio (N7601B-WFP).

Use this topic to find SCPI commands that do not have corresponding UI parameters supported by either of the N5172B EXG and the N5182B MXG vector signal generators; or the N5106A PXB Baseband Generator and Channel Emulator .

E4438C Compatible Commands

For more detailed information on real-time E4438C compatible commands, for your instrument, refer to the E4438C Compatible Commands with the N5172B/82B topic.

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe:CN <val>

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe:CN?

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe[:STATe] ON|OFF|1|0

[:SOURce]:RADio:CDMA2000[:BBG]:REVerse:NOISe[:STATe]?

UI Parameter: n/a

Description

This command sets the carrier to noise ratio for the reverse link.

The variable <val> is expressed in units of decibels (dB).

*RST: +0.00000000E+000

Range: −30 to 30

Key Entry: C/N

The carrier to noise ratio is the ratio of the carrier power to in-channel noise

power, expressed in decibels (dB).

A change to the carrier to noise ratio will only align the EbNo/EcNo field values

in the active operating mode.


Troubleshooting

Software Problems | describes how to resolve common problems associated with the N7601B software.
Interface Problems | describes how to resolve communication problems between the PC and the signal generator.
Waveform Download Problems | describes problems with downloading generated waveform data to a signal generator for playback.
Instrument Problems | describes what to do if the signal generator or PC has a measurement or operation problem.
Printing Problems | describes how to resolve common printing problems.
User Permissions | describes how to set user permissions for installing and running the software.


Software Problems

Front Panel Keys Do Not Work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates the front panel operation. On the signal generator, press the Local key to restore front panel operation.

DAC Overflow Error

The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow. Reducing the runtime scaling value to 50 percent or less may correct the problem.

Code Conflicts

Channel code conflicts appear the software message area on the status bar and in the status window. Use the information in the Note section of the status window and the channel summary table to help resolve any spreading code or other conflicts.

Connection Failure

If an error message is displayed, after clicking Test I/O Connection, the instrument connection via LAN or GPIB may not be properly enabled. Verify that all equipment is properly connected and that any LAN or GPIB interface has been correctly installed and configured. (Refer to Keysight IO Libraries.)

Access Denied

In order to install and run the N7601B software in a Windows operating environment, the software requires that appropriate security permission settings are enabled. If access is denied, refer to User Permissions for the required security permission settings.

N7601B Documented Class Library for API Help Problems

Many of the links in the N7601B Documentation Class Library API help require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without this development environment, some links appear broken. After you obtain and download the IDE, the links will work. See API Help for more information.

Related Topics

Instrument Problems

Interface Problems

Licensing

Contacting Keysight


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If they do not solve the problem, refer to the Connection Expert utility, installed with Keysight IO Libraries Suite. Older versions of Keysight IO Libraries use the IO Config utility. For information on using the Connection Expert utility and for further troubleshooting information, see the IO libraries online help and the PDF documentation accessed through the Start menu.

Troubleshooting the GPIB Interface

  1. Ensure that the GPIB cable and all connectors are undamaged.

  2. Verify that the GPIB cable connections are securely attached to the PC and the signal generator.

  3. Verify that the instrument you are trying to communicate with is turned on.

  4. Verify that the GPIB address of the instrument is correct and matches the address entered in the Connection Expert:

    In the software Closed tree view, select Hardware to display the Closed GPIB address in the property page.

  5. Verify that the instrument you are trying to communicate with is using the SCPI language. For example, the signal generator supports 8656B, 8657A/B languages as well as SCPI. Refer to the instrument's user guide for information on available languages and how to select the SCPI language.

  6. Validate the connection:

    1. In the software Closed tree view, select Hardware and click the Test I/O Connections button.

    2. Observe the results.

National Instruments (NI) GPIB Card

If you are using a National Instruments (NI) GPIB card and errors occur when you download a waveform, follow steps 1-3 below. If you have both an Keysight and a National Instruments GPIB card installed, and you want to use the Keysight card, you will also need to perform steps 4-5.

  1. Uninstall any Keysight IO Libraries that you have previously installed.

  2. Ensure that you have both the NI PCI card drivers and NI VISA installed, and verify that the NI card is working.

  3. Reinstall Keysight IO Libraries version 14.2. If you select a "Custom" installation, make sure the "Keysight VISA as primary VISA" is unchecked in the Select Features window. This is the default setting for a "Typical" installation.

Continue with steps 4-5 only if you have both Keysight and NI GPIB cards installed.

  1. Open National's Measurement and Automation Explorer (MAX).

  2. Select Tools > NI-Visa > Visa Options > Passports. Ensure that the NiVisaTulip.dll box is checked.

Troubleshooting the LAN Interface

  1. Ensure that the LAN cable and all connectors are undamaged.

  2. Check the LAN connection between the PC and the signal generator.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights on the signal generator's LAN connector indicate LAN activity.

  4. Verify that the hostname or IP address of the instrument is correct and matches the address entered in the Connection Expert:

    In the software Closed tree view, select Hardware to display the Closed LAN address in the property page.

  5. Validate the connection:

    1. In the software Closed tree view, select Hardware, then click the Test I/O Connections button.

    2. Observe the results.

  6. Run the ping program:

    1. From the computer, go to Start > Run, type command then click OK.

    2. At the C:\> prompt, type ping <IP address>, where <IP address> is the signal generator's IP address or hostname.

    3. If the signal generator does not respond, contact your IP department.

    4. Type exit in the command prompt window then press Enter.

Related Topics

ANSI/IEEE standards

Configuring a Crossover LAN

Equipment Setup

Instrument Problems

Keysight 82357A USB/GPIB cable

Keysight GPIB cables

Software Problems

Waveform Download Problems

Contacting Keysight


Real Time

Waveform Download Problems

License Errors

If you attempt to download a waveform and the waveform license is not found or is expired, an error message is displayed in the status bar and the status window. See Licensing for help on resolving license errors.

Download Takes a Long Time

If the signal generator connects directly to the PC using a crossover LAN cable and downloading a waveform takes a long time, or there are connection problems even if the ping command is successful, add the signal generator's IP address and hostname to the Hosts file. The Hosts file is a common way to map a hostname to an IP address. (For more information on Hosts files, go to www.microsoft.com and search on "example hosts file.")

Depending on the operating system, you will find the Hosts file in one of the following directory paths:

C:\Winnt\System32\Drivers\Etc\

C:\Windows\System32\Drivers\Etc\

Procedure

  1. In a text editor, such as Notepad, open the Hosts file. (Drag and drop the file directly into Notepad).

  2. Write the IP address and hostname for the signal generator, and any other instruments used in the system (such as a spectrum analyzer), at the end of the file. See the example Hosts file below.

    Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

  3. Save the file and close the text editor.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

127.0.0.xxx localhost

141.xxx.60.xxx signal generator hostname

141.xxx.40.xxx spectrum analyzer hostname

Related Topics

Instrument Problems

Interface Problems

Licensing

Software Problems

Contacting Keysight


Instrument Problems

Signal Generator

Error messages

  1. Check the signal generator for any error messages; if possible, correct any conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appears at the bottom of the signal generator display. You can view the full text of the error message either by using the front panel of the signal generator or by executing SCPI commands:

    Front Panel

    Press Utility > Error Info (ESG/PSG) or the Error hardkey (EXG/MXG).

    SCPI

    Execute the SCPI error commands described in the System subsystem located in the SCPI command reference.

    For more information on error messages, see the signal generator's programming guide for remote viewing or the user’s guide for front panel viewing.

  2. Refer to the signal generator's documentation for further troubleshooting hints.

  3. Contact Keysight Technologies.

Front Panel Keys Do Not Work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Computer

  1. Verify that the equipment meets the minimum requirements as described in the System Requirements step of the installation procedure.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Interface Problems

Software Problems

Contacting Keysight


Printing Problems

Real Time

Printing Problem

The Popup Text Prints Over other Text

When you click the print icon [image] while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7601B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the cdma installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

Real Time

N7601B Release Notes

Version 3.5 - Sep 2015

Version 3.4 - Mar 2015

Version 3.3 - Sep 2014

Version 3.2 - Aug 2012

Version 3.1 - Jun 2012

Version 3.0 - Apr 2012

Version 2.1 - Oct 2011

Version 2.0 - Jul 2011

Version 1.5 - Jun 2008

Version 1.4 - Oct 2007

Version 1.3 - Sep 2007

Version 1.2 - Aug 2007

Version 1.2 - Jul 2007

Version 1.1.0.0 - Mar 2007

Version 1.0.3.0 - Nov 2006

Version 1.0.2.0 - Sep 2006

Version 3.5 - Sep 2015

Waveform Playback (ARB) Software

Enhancements

  • Added direct-connectivity support for the E6640A EXM Wireless Test Set

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Bug Fixes

  • The software now works with M9381A socket connection

  • Fixed the triggering behavior with the M9381A

Version 3.4 - Mar 2015

Waveform Playback (ARB) Software

Minor Enhancement Updates (MEU) -- Option U02 or greater

  • Added paging channel coding for the Advanced cdma2000 Forward carrier

  • Added auto carrier bandwidth for real-time AWGN

  • Added support for short waveform length for basic carriers only

Version 3.3 - Sep 2014

  • Applied Keysight brand to software

  • Added connectivity for the E6607C EXT

Waveform Playback (ARB) Software

Minor Enhancement Updates (MEU) - Option U01 or greater

  • Added direct connectivity for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

Bug Fixes

  • Fixed the defect of SYNC message package format in Advanced 1xEV-DO Rev.A Forward carrier

Version 3.2 - Aug 2012

Waveform Playback (ARB) Software Revision 2.3

Enhancements

  • Added support for the M9381A PXI Vector Signal Generator

  • Added support for 1xEVDO Rev.A reverse link power control tests

Real-Time Software Revision 1.1

No updates, but supports N7601B Signal Studio for cdma2000/1xEV-DO, Rev. 3.2

MXG/EXG X-Series Firmware Revision B.01.10

No updates.

Version 3.1 - Jun 2012

Waveform Playback (ARB) Software Revision 2.2

No updates.

Real-Time Software Revision 1.1

Enhancements

  • Changed default value for “Even Second Delay” and “Trigger Advance”

  • Changed AUX I/O port pin numbering from “AUX1-12” to “AUX0-11”

  • Changed UART timing polarity positive (default) aligned with standard TTL UART in Dedicated mode

  • Changed continuous trigger behavior. Signal will play continuously when trigger input stopped.

Bug Fixes

  • “External Data Input Port” drop-down menu now shows correct selections when using dedicated mode

  • The behavior for the "External Data Input Polarity” in “Tx Power Control” now matches hint text

MXG/EXG X-Series Firmware Revision B.01.10

Enhancements

  • Support for N7601B Signal Studio for cdma2000/1xEV-DO, Rev. 3.1

Version 3.0 - Apr 2012

Waveform Playback (ARB) Software Revision 2.2

Enhancements

  • Added support for N5182B MXG and N5172B EXG X-Series RF vector signal generators

  • Added support for 1xEVDO Rev.0 reverse link power control tests

Real-Time Software Revision 1.0

Initial Release Features

  • Added support for N7601B real-time cdma2000 reverse channel signal generation capability

    • Supports fully coded signal for base station receiver sensitivity and selectivity measurements

    • Supports real-time transmit power control

    • Supports real-time error insertion for BER and FER test

MXG/EXG X-Series Firmware Revision B.01.01

Initial Release Features

  • Support for N7601B Signal Studio for cdma2000/1xEV-DO, Rev. 3.0

Version 2.1 - Oct 2011

Enhancements

  • Added live connectivity for EXT.

  • Added 50-pack waveform licensing support.

  • Waveform name length increased to 22 characters.

Version 2.0 - Jul 2011

Enhancements

  • Supported large size waveform generation

  • Added new predefined carrier configurations: Advanced CDMA2000 forward which requires Opt QFP

    • Sync channel refinement with valid editable sync message

    • FCH and SCH refinement with channel coding.

    • OCNS for the spectrum power.

  • Updated 1xEV DO Test mode signal which requires Opt SFP

  • Added connectivity to the Agilent N5106A PXB baseband generator and channel emulator

  • Added connectivity to the Agilent N5343A DigRF solution

  • Added floating licenses for the Agilent 16800/16900 logic analyzer and the N5343A Dig RF solution

  • Added support for the Windows 7 operating system runtime environment--requires .NET Framework 3.5

  • Dropped support for the Windows 2000 operation system

  • Noted that waveform file for Logic Analyzer needs to be generated with Logic Analyzer connection, and the generated file can’t be used under the other platforms.

Bug Fixes

  • Test Mode Signal mode exception because of number for repetition too large.

  • RMS value adjustment

Version 1.5 - Jun 2008

Enhancements

  • Added connectivity to the Agilent N5162A MXG ATE

Bug Fixes

  • Corrected the scale on the Y axis of the Spectrum graph.

  • Corrected a defect that limited the functionality of waveform sequencing.

  • Corrected the choices available for the Auxiliary Pilot Channel Payload Size Limit parameter in the Advanced 1xEV-DO Rev.A Reverse Channel Configuration.

Version 1.4 - Oct 2007

Enhancements

  • Added connectivity to the Agilent 16800/16900 logic analyzer.

  • Added new instrument license description of "No Info Available" for connection to logic analyzer.

  • Added support for Agilent IO Library version 15.0.

  • Changed name of Signal Generator node to Instrument node.

  • Added Windows Vista support.

Version 1.3 - Sep 2007

Bug Fixes

  • Corrected an error in N7601B Signal Studio version 1.2 that incorrectly determined the Data Channel Encoder state in settings files created with previous versions of Signal Studio (1xEV-DO Rev A, version 1.0.1.0, and Option 404, 1xEV-DO, version 3.0.1.0) and generated a waveform with no encoding. This situation is specific to the 1xEV-DO Rev. 0 Reverse Link and the 1xEV-DO Rev. A Forward/Reverse Link.

  • Resolved a license compatibility issue where, in certain system configurations, valid licenses for E4438C-401 (cdma2000) and E4438C-404 (1xEV-DO) were not recognized, and generated a warning dialog (shown at waveform download) indicating the target instrument did not have a valid license. The specific setups in which the license was incorrectly handled are:

    • E4438C-401 and E4438C-FFP, E4438C-RFP, or both – Carrier setup that requires both options, such as Basic cdma2000 and Basic or Advanced 1xEV-DO.

    • E-4438C-404 and E4438C-EFP – Carrier setup that requires both options, such as Basic cdma2000 and Basic 1xEV-DO.

Version 1.2 - Aug 2007

Enhancements

  • Updated online documentation with improved license installation procedure and information.

Version 1.2 - Jul 2007

Bug Fixes

  • Resolved a problem where a difference in signal level power occurs with bursted signal configurations when using the E8267D PSG signal generator. For these configurations, after the waveform is downloaded, run the power search function (RMS) rather than using ALC (with ALC Hold and RF Blanking).

  • Added the capability of reading settings files that were created by previous versions of Signal Studio (1xEV-DO Rev A, version 1.0.1.0, and Option 404, 1xEV-DO, version 3.0.1.0).

  • Corrected a Windows exception error that occurred when attempting to connect a non-supported instrument using the hardware connection wizard.

Version 1.1.0.0 - Mar 2007

Enhancements

  • Added new licensing support for the E4438C ESG and E8267D PSG signal generators

  • Added the capability to reset permissions for a user belonging to a Restricted User (User Group)

  • Added new predefined carrier configurations:

    • IS95A Forward, 3 Carrier, 9 Channel

    • IS95A Forward, 4 Carrier, 9 Channel

    • CDMA2000 Forward, 3 Carrier, 9 Channel

  • Refined the predefined CDMA2000 Forward, 4 Carrier waveform content to more closely match the CCDF curve characteristic as generated using the E4438C-401application

    Note: The similarity will be lost if the configuration is modified by adding or deleting carriers or changing channel parameters; however, baseband waveform parameters (except oversampling ratio) can be modified.

Version 1.0.3.0 - Nov 2006

Bug Fixes

  • Updated the software for use with firmware revision A.01.10 for the N5182A MXG signal generator to resolve a licensing problem

  • Corrected a problem where the software displayed an incorrect value when using immediate retrigger mode

  • Corrected a problem with the automatic marker routine selection when using parameter optimization

  • Resolved an API implementation problem for filter setting when using IS-95A Reverse and when deleting a channel

Version 1.0.2.0 - Sep 2006

Initial Release Features

  • Creates for forward and reverse links IS-95A, cdma2000, 1xEV-DO Rev. 0, and 1xEV-DO Rev. A radio formats in a single software package.

  • Supports multicarrier (up to 25 carriers) waveforms

  • Supports mixed-carrier (any mixture of IS-95A, cdma2000, 1xEV-DO Rev. 0, and 1xEV-DO Rev. A) waveforms

  • Allows four waveforms to be created and used in a sequence that you specify

  • Supports 3GPP2 cdma standards

  • Supported by the Agilent N5182A MXG signal generator via the GUI

  • Performs component testing (advanced 1xEV-DO license only)

    • Conducted spurious emission tests

      • 1xEV-DO Rev. 0/1xEV-DO Rev. A AN and AT Packet Error Rate PER test

      • Hybrid Automatic Repeat reQuest HARQtest in 1xEV-DO Rev. A

      • 1xEV-DO Rev. A reverse link throughput verification

      • 1xEV-DO Rev. A baseband functional test

    • Complementary-cumulative-probability distribution function (CCDF) tests

      • Tx Test: conducted spurious emission, waveform quality, Code Domain Power analysis CDP

      • Rx Test: Receiver Sensitivity, access control system ACS, Blocking

  • Performs component testing

    • Conducted spurious emission tests

    • Complementary-cumulative-probability distribution function (CCDF) tests

    • Waveform quality tests

    • Code domain power (CDP) tests

  • Supports Forward test mode Test Mode Signal control mode


Glossary

16-QAM | quadrature amplitude modulation that transmits four bits of data simultaneously
1xEV-DO | Evolution Data Only or Evolution Data Optimized. 1xEV-DO is part of the cdma2000 family. The initial design of 1xEV-DO was developed in 1999 to meet IMT-2000 requirements for greater than 2 Mbit/s downlink for stationary communications.
3GPP2 | 3rd Generation Partnership Project 2 is a collaborative third generation (3G) telecommunication specifications-setting project comprising North American and Asian interests developing global specifications for the radio transmission technologies (RTTs) supported by ANSI/TIA/EIA-41.
8-ary | Walsh cover for the data rate control (DRC) channel in 1xEV-DO Rev. 0
8-PSK | phase-shift keying that transmits two bits of data simultaneously
air interface | specification of the radio transmission between base station (access network) and mobile (access terminal)
ACK | acknowledgement
ACP | adjacent channel power
ACPR | adjacent channel power ratio
ACS | access control system
ALC | automatic leveling control
AN | access network. The network equipment providing data connectivity between a packet switched data network and the access terminals. An access network is equivalent to a base station.
API | application programming interface
Arb | arbitrary, as in arbitrary waveform
AT | access terminal. An access terminal is equivalent to a mobile station.
AWGN | additive white Gaussian noise
B4 | BPSK with 4-ary Walsh cover modulated symbols
BBG | baseband generator
BbT | bandwidth multiplied by bit time
BER | bit error rate
BPSK | binary phase shift keying
bit reverse | reverses the code number in binary form (MSB is LSB, etc.), relative to the Hadamard method
bps | bits per second. The usual unit for data speed in telecommunications.
BPSK | binary phase shift keying
BS | base station
BTS | base transceiver station
CCDF | complementary cumulative distribution function
CDMA system time in slots | an integer value s such that s ={t × 600], where t represents CDMA system time in seconds.
cdma2000 | radio transmission technology for the evolution of narrowband cdmaOne/IS-95 to 3rd-generation adding up multiple carriers.
cdmaOne | name identifying the EIA/TIA standard (commonly referred to as IS-95) for 2G
CDP | Code Domain Power is an analysis of the distribution of signal power projected on a code-space of a particular dimension, normalized to the total signal power.
channel | path between the access network and the access terminals within a given frequency assignment. A channel consists of a forward link and a reverse link.
C/N | (carrier- to noise), ratio of power in an RF carrier to the noise power in the channel.
dB | decibels
dBm | decibels relative to 1 mW
DTX | discontinuous transmission. A method of momentarily powering-down, or muting, a mobile or portable wireless telephone set when there is no voice input to the set.
E4E2 | sum of E4 (8-PSK modulated with 4-ary Walsh cover), and E2 (8-PSK modulated with 2-ary Walsh cover) modulated symbols
EVM | error vector magnitude
FCS | frame check sequence and tail bits are appended to the end of each packet.
Forward Channel | portion of the channel consisting of those physical layer channels transmitted from the access network to the access terminal.
Forward Control Channel | channel that carries data to be received by all access terminals monitoring the forward channel.
Forward MAC Channel | portion of the forward channel dedicated to medium access control activities.
Forward MAC Reverse Activity (RA) Channel | portion of the forward MAC channel that indicates activity level on the reverse channel.
Forward MAC Reverse Power Control (RPC) Channel | portion of the forward MAC channel that controls the power of the reverse channel for one particular access terminal.
Forward Pilot Channel | portion of the forward channel that carries the pilot.
Forward Traffic Channel | portion of the forward channel that carries information for a specific access terminal.
FIR | finite impulse response
Frame | duration of time dependent on the radio transmission used.
GPIB | general purpose interface bus
Hadamard | In IS-95 base-to-mobile transmissions, the transmitter assigns different codes from a 64 x 64 Hadamard matrix to each mobile user. For each outbound data bit, it transmits 64 Hadamard bits instead. Doing so spreads the signal and separates the different base-to-mobile transmissions.
Hybrid (H-ARQ) bit | bit sent on the ARQ channel in response to the 1st, 2nd, and 3rd subpackets of a reverse link physical packet (1xEV-DO Rev A)
HPSK | hybrid complex scrambling by QPSK and p/2 shift QPSK. With HPSK, two consecutive symbols do not pass through the origin.
IMT-2000 | International Mobile Telecommunications-2000
I/Q | in-phase and quadrature channels
IS-95 | Interim Standard 95 (IS-95) is the first CDMA-based digital cellular standard pioneered by Qualcomm. The brand name for IS-95 is cdmaOne. IS-95 is also known as TIA-EIA-95.
kbps | kilo bits per second
LAN | local area network
Last (L-ARQ) bit | bit sent on the ARQ channel in response to the 4th (last) subpacket of a reverse link physical packet (1xEV-DO Rev A)
LSB | least significant bit
MAC Index | Walsh code assignment for AT specific reverse power control from AN
MAC layer | medium access control layer defines the procedures used to transmit and receive over the physical layer
Mbps | megabits per second
ms | milliseconds
MS | mobile station
MSB | most significant bit
NAK | negative acknowledgement
OSR | oversampling ratio
Packet (P-ARQ) bit | bit sent on the ARQ channel to indicate to the AT if the physical layer packet that was transmitted was successfully received (1xEV-DO Rev A)
PC | personal computer
PER | packet error rate
physical layer | defines the channel structure, frequency, power output, modulation, and encoding specifications for the forward and reverse links
PN9 | pseudo-random bit sequence containing 511 bits (29 - 1)
PN15 | pseudo-random bit sequence containing 32,767 bits (215-1)
Q2 | QPSK modulation with 2-ary Walsh cover modulated symbols
Q4 | QPSK modulation with 4-ary Walsh cover modulated symbols
Q4Q2 | sum of the Q4 and Q2 modulated symbols.
QAM | quadrature amplitude modulation
QPSK | quadrature phase shift keying
Radio Config (RC) | defines the physical channel configuration of cdma2000 (IS-2000) signals. Each RC specifies a set of data rates based on either 9.6 or 14.4 kbps. RC1 is the backwards-compatible mode of cdmaOne for 9.6 kbps voice traffic. It includes 9.6, 4.8, 2.4, 1.2 kbps data rates and operates at Spread Rate 1 (SR1). RC3 is a cdma2000 specific configuration based on 9.6 kbps that also supports 4.8, 2.7, and 1.5 kbps for voice, while supporting data at 19.2, 38.4, 76.8, and 153.6 kbps. RC3 also operates at SR1.
Reverse Channel | portion of the channel consisting of those physical layer channels transmitted from the access terminal to the access network
Reverse Traffic | portion of the reverse channel that carries information from a specific access terminal to the access network
Reverse Traffic ACK Channel | portion of the reverse traffic channel that indicates the success or failure of the forward traffic channel reception
Reverse Traffic Data Channel | portion of the reverse traffic channel that carries user data
Reverse Traffic MAC Channel | portion of the reverse traffic channel dedicated to medium access control activities which consists of the RRI, DRC, and DCS channels.
Reverse Traffic MAC Data Rate Control (DRC) Channel | portion of the reverse traffic channel that indicates the rate at which the access terminal can receive the forward traffic channel and the sector from which the access terminal wishes to receive the forward traffic channel
Reverse Traffic MAC Data Source Control (DSC) Channel | portion of the reverse traffic channel that indicates the data source from which the access terminal wishes to receive the forward traffic channel
Reverse Traffic MAC Reverse Rate Indicator (RRI) Channel | portion of the reverse traffic channel that indicates the rate of the reverse traffic data channel
Reverse Traffic Pilot | portion of the reverse channel that carries the pilot
Reverse Traffic Auxiliary Pilot | portion of the reverse channel that provides additional pilot power to the AN when the AT is operating at high data rates
SR | spreading rate
SS | subscriber station (mobile)
subframe | group of 4 contiguous slots (1xEV-DO Rev A)
subpacket | smallest unit of a reverse traffic channel transmission that can be acknowledged at the physical layer by the access network. A subpacket is transmitted over four contiguous slots (1xEV-DO Rev A).
Sync channel | In IS-95A, the sync channel may be used along with the pilot channel by the mobile station to establish initial time synchronization with the base station.
timeslot | minimum possible data allocation unit
Test Mode Signal | Forward test mode. The forward link Test Mode Signal setup provides full transport and physical layer channel coding required for testing receiver design and bit error rates.
Walsh code | uniquely defines individual communication channels. Walsh codes are ”r;orthogonal” mathematical codes. As such, if two Walsh codes are correlated, the result is intelligible only if these two codes are the same. As a result, a Walsh-encoded signal appears as random noise to a PCS CDMA capable mobile terminal, unless that terminal uses the same code as the one used to encode the incoming signal.
WFM | Waveforms may be configured with a single carrier or multicarriers using the same format or mixed formats.


Additional Information

Real Time

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Real Time

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Real Time

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded. Use the Configuration Assistant to explore available upgrades.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. Use the Configuration Assistant to explore available upgrades. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded. Use the Configuration Assistant to explore available upgrades.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.

On the EXT, click System > Show > System to view these numbers.


N7601B System Requirements

To generate signals using the N7601B Signal Studio for cdma2000/1xEV-DO software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Instrument Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-1ER (flexible reference input, 1-50 MHz)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5172B-UNZ (fast switching for manufacturing environments)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-1ER (flexible reference input, 1-50 MHz)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182B-UNZ (fast switching for manufacturing environments)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

N5182A MXG Vector Signal Generator - requires firmware version A.01.10 or later (how to upgrade)

N5182A-503

250 kHz to 3 GHz frequency range

Or the other frequency option:

N5182A-506

250 kHz to 6 GHz frequency range

N5182A-651

Internal Baseband Generator (30 MSa/s and 8 MSa)

Or one of the Closed other internal baseband generator options :

Simple guidelines for deciding which internal baseband generator you will need is using the following equation:

Sample Size = ARB Sample Clock Rate (located in the signal generator node) ARB Sample Clock X Oversampling Ratio X Number of Carriers

As example,

  • If you have an ARB Sample Clock rate of 1.2288 MHz and you are testing with 4 carriers and an oversampling ratio of 4,

    Sample Size

    = 1.2288 MHz X 4 X 4

    = 19.6608 MSa/s

    Since 19.6608 MSa/s is less than the 30 MSa/s capability of option 651, this internal baseband generator should be adequate for this testing.

  • If you have an ARB Sample Clock rate of 1.2288 MHz and you are testing with 10 carriers and an oversampling ratio of 4,

    Sample Size

    = 1.2288 MHz X 4 X 10

    = 49.152 MSa/s

    Since 49.152 MSa/s is greater than the 30 MSa/s capability of option 651, this internal baseband generator will not be adequate for this testing. However, option 652 has 60 MSa/s capability. So the option 652 internal baseband generator should be adequate for this testing.

N5182A-652

Internal Baseband Generator (60 MSa/s and 8 MSa)

N5182A-654

Internal Baseband Generator (125 MSa/s and 8 MSa)

N5182A-UNV

Enhanced Dynamic Range

N5182A-019

Increased baseband generator memory to 64 MSa is also available, in addition to one of the Internal Baseband Generator options listed above. (Used to save several types of waveform files)

N5182A-1EL

Differential I/Q Outputs (Depends on the test requirements)

N5182A-403

Calibrated AWGN Personality (used only for receiver test)

E4438C Vector Signal Generator - requires firmware version C.04.84 or later (how to upgrade)
 | E4438C-503 | 250 kHz to 3 GHz frequency range
 |  | Or the other frequency option:
 |  | E4438C-506 | 250 kHz to 6 GHz frequency range
 | E4438C-6021 | Internal Baseband Generator (64 MSa memory)
 | E4438C-005 | 6 GB internal hard drive
 | E4438C-UNJ | Enhanced phase noise (required with E4438C-506)
 | E4438C-403 | Calibrated AWGN Personality (used only for receiver test)
E8267D Vector Signal Generator - requires firmware version C.04.85 or later (how to upgrade)
 | E8267D-520 | 250 kHz to 20 GHz frequency range
 | E8267D-6021 | Internal Baseband Generator (64 MSa memory)
 | E8267D-005 | 6 GB internal hard drive
 | E8267D-UNX | Ultra phase noise
 | E8267D-005 | 6 GB internal hard drive
 | E8267D-1EH | Improved harmonics below 2 GHz
 | E8267D-403 | Calibrated AWGN Personality (used only for receiver test)
N5106A PXB Baseband Generator and Channel Emulator
N5106A-612 | 2 DSP blocks on 1 baseband card
N5106A-632 | 2 I/O channels - 2 analog I/Q out and 2 digital I/O
N5106A-EFP | Baseband Generation
N5106A-JFP | Calibrated AWGN

1. Recommended option: the baseband generator option can be any of the following: E4438C-001, -002, -601, -602 or E8267D-602

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

Adobe Flash Player 7 or later (required for using the Signal Studio Configuration Assistant)

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • On the EXT, click System > Show > System to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • SystemVue ESL design software

  • M9381A PXIe vector signal generator

  • E6640A EXM wireless test set

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator

  • E6607 EXT wireless communications test set

  • N5106A PXB baseband generator and channel emulator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


1xEV-DO abbrev

Real Time

1x refers to a single active channel.

EV stands for the evolution of cdma2000 technology.

DO is the abbreviation for data optimized.


Marker Selection Dialog Box

Real Time

Marker Source Selection Dialog Box

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.

None

Sets all maker points are set to zero (inactive).

Frame

Sets the first five marker bits of the frame to 1, which sets an active marker for the first five waveform samples (waveform points). The signal generator outputs the Marker 1 output from the rear-panel Event 1 output.

RF ALC Control

Activates the automatic leveling control (ALC) function. When enabled, the ALC constantly monitors and controls the RF output power of the signal generator.

The ALC circuit cannot properly handle some modulation conditions, leading to output power level errors. In these conditions, turning the ALC off and using the signal generator power search function can achieve better power level accuracy.

RF Blanking Control

Assigns a specific marker to activate RF blanking. The automatic leveling control (ALC) hold is automatically enabled during output blanking.

RF Blanking Control improves the signal quality when the MAC channel and/or traffic channel are de-activated in a timeslot. It does so by increasing the on/off ratio of the forward link RF bursts.

When RF Blanking Control is enabled, the marker polarity must be set to positive or the wanted RF signal will be blanked, resulting in no RF output from the signal generator.

Timing Control

This marker is generated by the waveForm. IS95/2000 generates the first five waveform samples (waveform points) in the The short PN code has a length of 32,768 chips, a speed of 1.2288 million chips per second, and a cyclic period of 26.67 ms. short code cycle. 1xEV-DO generates the half-slot timing.

User Defined Bits

Opens the user Closed data entry area, which lets you customize the marker signal.

The user data area contains buttons to import, export, or clear user marker data along with the ability to insert a PN9 sequence as the marker bits. Optionally you can manually insert or delete marker data. To manually insert marker data, simply place the cursor within the data entry area or highlight existing bits, and insert bits. There are three ways to insert marker data:

  • using the 1 (marker active) and 0 (marker inactive) keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete data. The key board short cut Ctrl+Z also deletes highlighted data.

The maximum number of marker bits for the user data entry area is 2,097,152 which equals 32,768 (1short code data points) * 64 (oversampling ratio). This is also the maximum file size.

The four buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29–1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

The software lets you create a file larger than it uses for the waveform. When this occurs, the software truncates the excess marker bits. Conversely, if there are not enough marker bits, the software repeats the marker bit pattern until there are enough marker bits to match the Total Sample Points cell value.


Packets_1xEV-DO_Rev.0_Forward_FTM

Packets: Advanced 1xEV-DO Rev.A Forward

Opens a Closed drop-down menu of predefined channel configuration selections. Double-clicking a configuration replaces the current configuration in the Channel Configuration window and displays it at the top of the window.

Packet Number

Displays the packet number of currently displayed parameters.

State

Selections: On, Off

Default: On

Generates a data packet when selected on. When it is selected off, it uses DTX or is filled with noise, according to the setting of the idle slot noise.

Data Rate

Selections: Closed Several Selections

Default: 4.8 kbps (128, 16, 1024) QPSK

Selects the nominal data rate (kbps), physical layer packet size (bits), nominal transmit duration (slots), preamble length (chips), and modulation type respectively.

MAC Index

Range: 0 to 127

Selects the data coding (0 to 127) used for the preamble generation.

Data Source

Selections: PN9, PN15, User Defined Bits

Default: PN15

Selects the data bits to be used to generate a data packet. The data channel must be activated before you can select the data type.

If the specified data length is shorter than the required length for the packet, the bits are repeated. If the data length is longer than the required length for the packet, the longer part is ignored. The same generated data packet is then used repeatedly.

The [image] icon at the right of the entry box opens the Closed Data Source Selection dialog box.

The Data Source Selection dialog box allows you to select from PN9, PN15, or User Defined Bits.

To select from the following data types, click the desired radio selection:

PN9

Provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

PN15

Provides a pseudo-random bit sequence containing 32,767 bits (215-1). When there are not enough bits left in the PN sequence to fill a frame, the software repeats the data sequence. When the maximum length is reached, it truncates any remaining data. If this is the selection, you are returned to the Channel Setup pane.

User Defined Bits

Opens the Closed user data entry area, which lets you customize the transmitted data.

The user data entry area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or PN15 button

  • pasting data from a file or from within the current view

(The key board shortcuts Ctrl+C and Ctrl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Ctrl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 65,536, which is also the maximum file size.

The expanded area has five buttons that can be used to manipulate data for the channel.

The five buttons in the expanded area are:

Import

Loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

Saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Clears all data showing in the user data entry area.

Insert PN9

Inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

Inserts a fixed pattern pseudo-random bit sequence containing 32,767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN15 sequences until the software attains the maximum file size of 65,536 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Data Coding

Selections: On, Off

Default: On

Adds FCS, turbo coding, spreading, and scrambling when selected on. Selecting off adds spreading and scrambling only.

Data Offset

Range: 0 to 32768

Default: 0

This parameter sets the numBer of bits that the payload data is offset. For example, if the payload data is 0110 and the offset is 2, the resulting bit stream begins with the third bit (1), skipping over the first two (01) before continuing to repeat the selected pattern (0110). Therefore, in this example, the pattern would be 10011001100110... and so on.

Related Topic

Advanced 1xEV-D0 Rev.A Forward


tree_view_hardware

Real Time


Filter Setup

This topic explains the filter setup dialog box for the Filter parameters.

Use the following links to navigate to and view the various figures and available settings:

Filter Setup Figures | Selections | Buttons | Tabs
Selections and Tables | Root Nyquist | Browse | FIR
Generate User FIR Filter | Nyquist | Import | Plot h(t)
 | Gaussian | Export | Plot FFT
 | Rectangle | Clear |
 | IS95 |  |
 | IS95 w/EQ |  |
 | IS95 Mod |  |
 | IS95 Mod w/EQ |  |
 | UN3/4 GSM Gaussian |  |
 | User FIR Filter |  |
 | User File |  |

Filter Setup Figures

Selections and Tables

Generate User FIR Filter using Default Filter Setting Table

Selections

Filter Type | Description
Root Nyquist |
Nyquist |
Gaussian |
Rectangle |
IS95 | This filter that meets the criteria of the IS-95 standard.
IS95 w/EQ | This filter is a combination of the IS-95 filter (above) and the equalizer filter described in the IS-95 standard and is best suited for IS-95 baseband filtering.
IS95 Mod | This filter meets the criteria of the IS-95 error function (for improved adjacent channel performance) with lower passband rejection than the filter specified in the IS-95 standard.
IS95 Mod w/EQ | This filter is a combination of the equalizer filter described in the IS-95 standard and a filter that meets the criteria of the IS-95 error function (for improved adjacent channel performance), with lower passband rejection.
UN3/4 GSM Gaussian | This is a GSM Gaussian filter with a fixed BbT value of 0.300.
User FIR Filter | Select this choice to expand the Filter Setup dialog box that provides tabs and additional buttons to configure a user FIR filter.
User File | This variable represents any FIR filter file stored in instrument memory.

Buttons

Browse

Coupling: This button is enabled with the User File selection.

Click this button to open the Open user file dialog box to navigate to and select a previously configured and saved FIR filter file.

Import

Coupling: This button becomes visible with the User FIR Filter selection.

Use this button to load a previously defined and saved FIR filter configuration–launches the Open user defined data dialog box for navigation to a FIR filter file.

Export

Coupling: This button becomes visible with the User FIR Filter selection.

Use this button to save a defined FIR filter configuration–launches the Save user defined data dialog box for navigation to the desired location.

Clear

Coupling: This button becomes visible with the User FIR Filter selection.

This button clears the indexes and values leaving only Index 0 set to a value of zero.

Tabs

The tabs become visible with the User FIR Filter selection.

FIR

Provides the buttons and settings to configure the User FIR Filter:

FIR Tab Buttons

Insert

This button inserts a new index (coefficient) prior to the highlighted index. The value of the new index is copied from the highlighted index. After inserting a new index, change its value by highlighting it and entering a new value.

Delete

This button deletes the highlighted index.

Mirror

This button adds indexes (coefficients) by mirroring the current indexes.

Load Default

This button:

  • replaces the User Filter Settings table with the Default Filter Setting table

  • loads default settings into the Default Filter Settings table for the initial access during the current software session. If changes are made to the settings, subsequent Load Default button clicks loads the Default Filter Settings table with the modified settings.

Generate

This button appears after clicking the Load Default button and generates the filter coefficients using the settings from the Default Filter Setting table–coefficient indexes and values appear in the Index and Value columns of the tab. After the coefficient generation, the table changes back to the User Filter Setting table.

Return

This button appears after clicking the Load Default button. It returns to the User Filter Setting table without generating the coefficients.

FIR Tab Tables

The tables appear in the Filter Settings field.

User Filter Setting

  • Oversample Ratio

    Range: 4–16

    Default: 4

This cell provides the oversample ratio value (number of filter coefficients per symbol) applied to the FIR filter design. It uses two modes of operation:

  • set the value by highlighting and entering a new value

  • displays the oversampling ratio set in the Default Filter Setting table.

  • Length in Symbols

This cell only displays the number of symbols with a maximum of 32. Its value is derived from the Oversample Ratio value and the number of coefficients (index). This cell also displays the Filter Symbols value set in the Default Filter Setting table.

Default Filter Setting

Click the Load Default button to view this table

  • Oversample Ratio

    Range: 4–16

    Default: 4

This cell enables you to set the oversample ratio (number of filter coefficients per symbol) to be applied to the user FIR filter design. After generating the filter, the Oversample Ratio displays in the Oversample Ratio cell of the User Filter Setting Table.

  • Filter Symbols

    Range: 1–32

    Default: 8

Set the number of filter symbols.

This cell selects the number of symbols for the current FIR filter. The FIR table editor allows a maximum filter length of 512 coefficients with a maximum oversample ratio of 16 and a maximum of 32 symbols.

After generating the filter, the Filter Symbols value displays in the Length in Symbols cell of the User Filter Setting Table.

  • Filter Type

    Choices: RootNyquist | Nyquist | Gaussian | Rectangle

    Default: RootNyquist

Click the cell and use the drop down arrow to display and select a filter.

  • Filter Alpha

    Range: 0.000–1.000

    Default: 0.350

Available with the RootNyquist and Nyquist filter selections. With other filter selections, this setting is grayed out and displays N/A.

  • Filter BbT

    Range: 0.000–1.000

    Default: 0.300

Available with the Gaussian filter selection. With other filter selections, this setting is grayed out and displays N/A.

  • Window Type

    Choices: None | Hamming | Hann | Kaiser

    Default: None

This cell accesses a menu for applying a windowing function to the selected filter. The default is to use no windowing (None), which optimizes the passband response (EVM). Several windowing selections are provided in this menu which can be applied to smooth the filter’s transition to zero. Windowing improves out of band performance (ACP) but simultaneously degrades EVM. With the Kaiser selection, the Beta cell is enabled for setting the windowing Beta.

  • Beta

    Range: 1.000–10.000

    Default: 4.000

This cell activates when you select the Kaiser windowing function. The default Beta factor provides a good solution for optimizing out-of-band performance (ACP), without seriously compromising passband performance (EVM).

Changing the Beta factor adjusts the trade-off between ACP and EVM:

  • Decreasing the value improves EVM.

  • Increasing the value improves ACP.

Plot h(t)

Use this tab to view the Closed plot of the User FIR filter impulse response in time:

This plot was generated using the default settings of the Default Filter Setting table ( root Nyquist filter with an oversample ratio of 4).

Plot FFT

Use this tab to view the Closed plot of the filter frequency response (calculated using a fast Fourier transform).

This plot was generated using the default settings of the Default Filter Setting table ( root Nyquist filter with an oversample ratio of 4).


Trigger Mode

This topic describes the trigger mode and synchronization for the instrument.

The instrument’s frame synchronization method is continuous trigger.

Continuous Trigger

All external triggers are used to adjust the instrument’s frame timing

Figure 1 Continuous Trigger Mode and Synchronization

For the following timing diagrams, the trigger input (even second signal) period is 2 seconds.

Figure 2 Baseband Initial Triggering and Frame Synchronization for Early and Late Continuous Triggers (EXG/MXG)